import SIPrefixFactor from './../utils/unit.converter'

const CycleServiceMock= {
    project_categories: [{url: "Regular", value: 'Regular'}, {url: "User Shared Support", value: 'User Shared Support'}],
    period_categories: [{url: "Single Cycle", value: 'Single Cycle'}, {url: "Long Term", value: 'Long Term'}],
    resources: [  {
        "name": "LTA Storage",
        "url": "http://127.0.0.100:8008/api/resource_type/LTA%20Storage",
        "created_at": "2022-01-12T07:17:10.144347",
        "description": "Amount of storage in the LTA (in bytes)",
        "quantity": "http://127.0.0.100:8008/api/quantity/bytes",
        "quantity_value": "bytes",
        "tags": [],
        "updated_at": "2022-01-12T07:17:10.144362"
    },
    {
        "name": "CEP Storage",
        "url": "http://127.0.0.100:8008/api/resource_type/CEP%20Storage",
        "created_at": "2022-01-12T07:17:10.144398",
        "description": "Amount of storage on the CEP processing cluster (in bytes)",
        "quantity": "http://127.0.0.100:8008/api/quantity/bytes",
        "quantity_value": "bytes",
        "tags": [],
        "updated_at": "2022-01-12T07:17:10.144405"
    },
    {
        "name": "CEP Processing Time",
        "url": "http://127.0.0.100:8008/api/resource_type/CEP%20Processing%20Time",
        "created_at": "2022-01-12T07:17:10.144434",
        "description": "Processing time on the CEP processing cluster (in seconds)",
        "quantity": "http://127.0.0.100:8008/api/quantity/time",
        "quantity_value": "time",
        "tags": [],
        "updated_at": "2022-01-12T07:17:10.144441"
    },
    {
        "name": "LOFAR Observing Time",
        "url": "http://127.0.0.100:8008/api/resource_type/LOFAR%20Observing%20Time",
        "created_at": "2022-01-12T07:17:10.144469",
        "description": "Observing time (in seconds)",
        "quantity": "http://127.0.0.100:8008/api/quantity/time",
        "quantity_value": "time",
        "tags": [],
        "updated_at": "2022-01-12T07:17:10.144476"
    },
    {
        "name": "LOFAR Observing Time prio A",
        "url": "http://127.0.0.100:8008/api/resource_type/LOFAR%20Observing%20Time%20prio%20A",
        "created_at": "2022-01-12T07:17:10.144504",
        "description": "Observing time with priority A (in seconds)",
        "quantity": "http://127.0.0.100:8008/api/quantity/time",
        "quantity_value": "time",
        "tags": [],
        "updated_at": "2022-01-12T07:17:10.144512"
    },
    {
        "name": "LOFAR Observing Time prio B",
        "url": "http://127.0.0.100:8008/api/resource_type/LOFAR%20Observing%20Time%20prio%20B",
        "created_at": "2022-01-12T07:17:10.144540",
        "description": "Observing time with priority B (in seconds)",
        "quantity": "http://127.0.0.100:8008/api/quantity/time",
        "quantity_value": "time",
        "tags": [],
        "updated_at": "2022-01-12T07:17:10.144547"
    },
    {
        "name": "LOFAR Observing Time Commissioning",
        "url": "http://127.0.0.100:8008/api/resource_type/LOFAR%20Observing%20Time%20Commissioning",
        "created_at": "2022-01-12T07:17:10.144575",
        "description": "Observing time for Commissioning/DDT (in seconds)",
        "quantity": "http://127.0.0.100:8008/api/quantity/time",
        "quantity_value": "time",
        "tags": [],
        "updated_at": "2022-01-12T07:17:10.144582"
    },
    {
        "name": "LOFAR Support Time",
        "url": "http://127.0.0.100:8008/api/resource_type/LOFAR%20Support%20Time",
        "created_at": "2022-01-12T07:17:10.144634",
        "description": "Support time by human (in seconds)",
        "quantity": "http://127.0.0.100:8008/api/quantity/time",
        "quantity_value": "time",
        "tags": [],
        "updated_at": "2022-01-12T07:17:10.144644"
    },
    {
        "name": "Number of triggers",
        "url": "http://127.0.0.100:8008/api/resource_type/Number%20of%20triggers",
        "created_at": "2022-01-12T07:17:10.144675",
        "description": "Number of trigger events (as integer)",
        "quantity": "http://127.0.0.100:8008/api/quantity/number",
        "quantity_value": "number",
        "tags": [],
        "updated_at": "2022-01-12T07:17:10.144682"
    }
    ],
    projectResourceDefaults: {
        'LOFAR Observing Time': 3600, 
        'LOFAR Observing Time prio A': 3600, 
        'LOFAR Observing Time prio B': 3600,
        'CEP Processing Time': 3600,
        'LTA Storage': SIPrefixFactor ** 4,
        'Number of triggers': 1,
        'LOFAR Support Time': 3600
    },
    cycle: [{
      "name": "test7",
  "url": "http://192.168.99.100:8008/api/cycle/test7/",
  "created_at": "2020-08-10T11:50:15.427875",
  "description": "test7",
  "duration": 1778443.978,
  "projects": [],
  "projects_ids": [],
  "quota": [
    "http://192.168.99.100:8008/api/cycle_quota/136/"
  ],
  "quota_ids": [
    136
  ],
  "start": "2020-08-10T14:49:11.405000",
  "stop": "2020-08-31T04:49:55.383000",
  "tags": [],
  "updated_at": "2020-08-10T11:50:15.427895"
    }],
   cycleQuota: [
    {
      "id": 1,
      "url": "http://192.168.99.100:8008/api/cycle_quota/1/",
      "cycle": "http://192.168.99.100:8008/api/cycle/Cycle%2000/",
      "cycle_id": "Cycle 00",
      "resource_type": "http://192.168.99.100:8008/api/resource_type/observing_time/",
      "resource_type_id": "observing_time",
      "value": 10575360
    },
    {
      "id": 2,
      "url": "http://192.168.99.100:8008/api/cycle_quota/2/",
      "cycle": "http://192.168.99.100:8008/api/cycle/Cycle%2000/",
      "cycle_id": "Cycle 00",
      "resource_type": "http://192.168.99.100:8008/api/resource_type/cep_processing_time/",
      "resource_type_id": "cep_processing_time",
      "value": 10575360
    },
    {
      "id": 3,
      "url": "http://192.168.99.100:8008/api/cycle_quota/3/",
      "cycle": "http://192.168.99.100:8008/api/cycle/Cycle%2000/",
      "cycle_id": "Cycle 00",
      "resource_type": "http://192.168.99.100:8008/api/resource_type/lta_storage/",
      "resource_type_id": "lta_storage",
      "value": 0
    },
    {
      "id": 4,
      "url": "http://192.168.99.100:8008/api/cycle_quota/4/",
      "cycle": "http://192.168.99.100:8008/api/cycle/Cycle%2000/",
      "cycle_id": "Cycle 00",
      "resource_type": "http://192.168.99.100:8008/api/resource_type/support_time/",
      "resource_type_id": "support_time",
      "value": 0
    },
    {
      "id": 5,
      "url": "http://192.168.99.100:8008/api/cycle_quota/5/",
      "cycle": "http://192.168.99.100:8008/api/cycle/Cycle%2000/",
      "cycle_id": "Cycle 00",
      "resource_type": "http://192.168.99.100:8008/api/resource_type/observing_time_commissioning/",
      "resource_type_id": "observing_time_commissioning",
      "value": 660960
    },
    {
      "id": 6,
      "url": "http://192.168.99.100:8008/api/cycle_quota/6/",
      "cycle": "http://192.168.99.100:8008/api/cycle/Cycle%2000/",
      "cycle_id": "Cycle 00",
      "resource_type": "http://192.168.99.100:8008/api/resource_type/observing_time_prio_a/",
      "resource_type_id": "observing_time_prio_a",
      "value": 0
    },
    {
      "id": 7,
      "url": "http://192.168.99.100:8008/api/cycle_quota/7/",
      "cycle": "http://192.168.99.100:8008/api/cycle/Cycle%2000/",
      "cycle_id": "Cycle 00",
      "resource_type": "http://192.168.99.100:8008/api/resource_type/observing_time_prio_b/",
      "resource_type_id": "observing_time_prio_b",
      "value": 0
    },
    {
      "id": 8,
      "url": "http://192.168.99.100:8008/api/cycle_quota/8/",
      "cycle": "http://192.168.99.100:8008/api/cycle/Cycle%2001/",
      "cycle_id": "Cycle 01",
      "resource_type": "http://192.168.99.100:8008/api/resource_type/observing_time/",
      "resource_type_id": "observing_time",
      "value": 14653440
    },
    {
      "id": 9,
      "url": "http://192.168.99.100:8008/api/cycle_quota/9/",
      "cycle": "http://192.168.99.100:8008/api/cycle/Cycle%2001/",
      "cycle_id": "Cycle 01",
      "resource_type": "http://192.168.99.100:8008/api/resource_type/cep_processing_time/",
      "resource_type_id": "cep_processing_time",
      "value": 14653440
    },
    {
      "id": 10,
      "url": "http://192.168.99.100:8008/api/cycle_quota/10/",
      "cycle": "http://192.168.99.100:8008/api/cycle/Cycle%2001/",
      "cycle_id": "Cycle 01",
      "resource_type": "http://192.168.99.100:8008/api/resource_type/lta_storage/",
      "resource_type_id": "lta_storage",
      "value": 0
    },
    {
      "id": 11,
      "url": "http://192.168.99.100:8008/api/cycle_quota/11/",
      "cycle": "http://192.168.99.100:8008/api/cycle/Cycle%2001/",
      "cycle_id": "Cycle 01",
      "resource_type": "http://192.168.99.100:8008/api/resource_type/support_time/",
      "resource_type_id": "support_time",
      "value": 0
    },
    {
      "id": 12,
      "url": "http://192.168.99.100:8008/api/cycle_quota/12/",
      "cycle": "http://192.168.99.100:8008/api/cycle/Cycle%2001/",
      "cycle_id": "Cycle 01",
      "resource_type": "http://192.168.99.100:8008/api/resource_type/observing_time_commissioning/",
      "resource_type_id": "observing_time_commissioning",
      "value": 915840
    }
    ], 
    getAllCycleQuotas: [
      {
          "id": 113,
          "url": "http://127.0.0.100:8008/api/cycle_quota/113",
          "cycle": "http://127.0.0.100:8008/api/cycle/Cycle%2000",
          "cycle_id": "Cycle 16",
          "resource_type": "http://127.0.0.100:8008/api/resource_type/LOFAR%20Observing%20Time",
          "resource_type_id": "LOFAR Observing Time",
          "value": 19077120.0
      },      
      {
          "id": 16,
          "url": "http://127.0.0.100:8008/api/cycle_quota/16",
          "cycle": "http://127.0.0.100:8008/api/cycle/Cycle%2002",
          "cycle_id": "Cycle 02",
          "resource_type": "http://127.0.0.100:8008/api/resource_type/CEP%20Processing%20Time",
          "resource_type_id": "CEP Processing Time",
          "value": 12648960.0
      },
      {
        "cycle": "http://127.0.0.100:8008/api/cycle/Cycle%2016",
        "cycle_id": "Cycle 16",
        'id': 113,
        "resource_type": "http://127.0.0.100:8008/api/resource_type/LOFAR%20Observing%20Time",
        "resource_type_id": "LOFAR Observing Time",
        "url": "http://127.0.0.100:8008/api/cycle_quota/113",
        "value": 12579840
      }
    ],    
    getAllCycles:  [
          {
              "name": "Cycle 14",
              "url": "http://127.0.0.100:8008/api/cycle/Cycle%2014",
              "created_at": "2022-01-19T02:47:01.243929",
              "description": "Lofar Cycle 14",
              "duration": 15724800.0,
              "projects": [],
              "projects_ids": [],
              "quota": [
                  "http://127.0.0.100:8008/api/cycle_quota/99",
                  "http://127.0.0.100:8008/api/cycle_quota/100",
                  "http://127.0.0.100:8008/api/cycle_quota/101",
                  "http://127.0.0.100:8008/api/cycle_quota/102",
                  "http://127.0.0.100:8008/api/cycle_quota/103",
                  "http://127.0.0.100:8008/api/cycle_quota/104",
                  "http://127.0.0.100:8008/api/cycle_quota/105"
              ],
              "quota_ids": [
                  99,
                  100,
                  101,
                  102,
                  103,
                  104,
                  105
              ],
              "start": "2020-06-01T00:00:00",
              "stop": "2020-11-30T00:00:00",
              "tags": [],
              "updated_at": "2022-01-19T02:47:01.243944"
          },
          {
              "name": "Cycle 15",
              "url": "http://127.0.0.100:8008/api/cycle/Cycle%2015",
              "created_at": "2022-01-19T02:47:01.252666",
              "description": "Lofar Cycle 15",
              "duration": 15638400.0,
              "projects": [],
              "projects_ids": [],
              "quota": [
                  "http://127.0.0.100:8008/api/cycle_quota/106",
                  "http://127.0.0.100:8008/api/cycle_quota/107",
                  "http://127.0.0.100:8008/api/cycle_quota/108",
                  "http://127.0.0.100:8008/api/cycle_quota/109",
                  "http://127.0.0.100:8008/api/cycle_quota/110",
                  "http://127.0.0.100:8008/api/cycle_quota/111",
                  "http://127.0.0.100:8008/api/cycle_quota/112"
              ],
              "quota_ids": [
                  106,
                  107,
                  108,
                  109,
                  110,
                  111,
                  112
              ],
              "start": "2020-12-01T00:00:00",
              "stop": "2021-05-31T00:00:00",
              "tags": [],
              "updated_at": "2022-01-19T02:47:01.252680"
          },
          {
              "name": "Cycle 16",
              "url": "http://127.0.0.100:8008/api/cycle/Cycle%2016",
              "created_at": "2022-01-19T02:47:01.261717",
              "description": "Lofar Cycle 16",
              "duration": 15724800.0,
              "projects": [
                  "http://127.0.0.100:8008/api/project/high",
                  "http://127.0.0.100:8008/api/project/normal",
                  "http://127.0.0.100:8008/api/project/low"
              ],
              "projects_ids": [
                  "high",
                  "normal",
                  "low"
              ],
              "quota": [
                  "http://127.0.0.100:8008/api/cycle_quota/113",
                  "http://127.0.0.100:8008/api/cycle_quota/114",
                  "http://127.0.0.100:8008/api/cycle_quota/115",
                  "http://127.0.0.100:8008/api/cycle_quota/116",
                  "http://127.0.0.100:8008/api/cycle_quota/117",
                  "http://127.0.0.100:8008/api/cycle_quota/118",
                  "http://127.0.0.100:8008/api/cycle_quota/119"
              ],
              "quota_ids": [
                  113,
                  114,
                  115,
                  116,
                  117,
                  118,
                  119
              ],
              "start": "2021-06-01T00:00:00",
              "stop": "2021-11-30T00:00:00",
              "tags": [],
              "updated_at": "2022-01-19T02:47:01.261732"
          },
          {
              "name": "Cycle 17",
              "url": "http://127.0.0.100:8008/api/cycle/Cycle%2017",
              "created_at": "2022-01-19T02:47:01.270186",
              "description": "Lofar Cycle 17",
              "duration": 15638400.0,
              "projects": [],
              "projects_ids": [],
              "quota": [
                  "http://127.0.0.100:8008/api/cycle_quota/120",
                  "http://127.0.0.100:8008/api/cycle_quota/121",
                  "http://127.0.0.100:8008/api/cycle_quota/122",
                  "http://127.0.0.100:8008/api/cycle_quota/123",
                  "http://127.0.0.100:8008/api/cycle_quota/124",
                  "http://127.0.0.100:8008/api/cycle_quota/125",
                  "http://127.0.0.100:8008/api/cycle_quota/126"
              ],
              "quota_ids": [
                  120,
                  121,
                  122,
                  123,
                  124,
                  125,
                  126
              ],
              "start": "2021-12-01T00:00:00",
              "stop": "2022-05-31T00:00:00",
              "tags": [],
              "updated_at": "2022-01-19T02:47:01.270199"
          } 
      ],
    getResources:  [
          {
              "name": "LTA Storage",
              "url": "http://127.0.0.100:8008/api/resource_type/LTA%20Storage",
              "created_at": "2022-01-19T02:47:01.035135",
              "description": "Amount of storage in the LTA (in bytes)",
              "quantity": "http://127.0.0.100:8008/api/quantity/bytes",
              "quantity_value": "bytes",
              "tags": [],
              "updated_at": "2022-01-19T02:47:01.035151"
          },
          {
              "name": "CEP Storage",
              "url": "http://127.0.0.100:8008/api/resource_type/CEP%20Storage",
              "created_at": "2022-01-19T02:47:01.035187",
              "description": "Amount of storage on the CEP processing cluster (in bytes)",
              "quantity": "http://127.0.0.100:8008/api/quantity/bytes",
              "quantity_value": "bytes",
              "tags": [],
              "updated_at": "2022-01-19T02:47:01.035194"
          },
          {
              "name": "CEP Processing Time",
              "url": "http://127.0.0.100:8008/api/resource_type/CEP%20Processing%20Time",
              "created_at": "2022-01-19T02:47:01.035222",
              "description": "Processing time on the CEP processing cluster (in seconds)",
              "quantity": "http://127.0.0.100:8008/api/quantity/time",
              "quantity_value": "time",
              "tags": [],
              "updated_at": "2022-01-19T02:47:01.035230"
          },
          {
              "name": "LOFAR Observing Time",
              "url": "http://127.0.0.100:8008/api/resource_type/LOFAR%20Observing%20Time",
              "created_at": "2022-01-19T02:47:01.035257",
              "description": "Observing time (in seconds)",
              "quantity": "http://127.0.0.100:8008/api/quantity/time",
              "quantity_value": "time",
              "tags": [],
              "updated_at": "2022-01-19T02:47:01.035264"
          },
          {
              "name": "LOFAR Observing Time prio A",
              "url": "http://127.0.0.100:8008/api/resource_type/LOFAR%20Observing%20Time%20prio%20A",
              "created_at": "2022-01-19T02:47:01.035291",
              "description": "Observing time with priority A (in seconds)",
              "quantity": "http://127.0.0.100:8008/api/quantity/time",
              "quantity_value": "time",
              "tags": [],
              "updated_at": "2022-01-19T02:47:01.035298"
          },
          {
              "name": "LOFAR Observing Time prio B",
              "url": "http://127.0.0.100:8008/api/resource_type/LOFAR%20Observing%20Time%20prio%20B",
              "created_at": "2022-01-19T02:47:01.035326",
              "description": "Observing time with priority B (in seconds)",
              "quantity": "http://127.0.0.100:8008/api/quantity/time",
              "quantity_value": "time",
              "tags": [],
              "updated_at": "2022-01-19T02:47:01.035333"
          },
          {
              "name": "LOFAR Observing Time Commissioning",
              "url": "http://127.0.0.100:8008/api/resource_type/LOFAR%20Observing%20Time%20Commissioning",
              "created_at": "2022-01-19T02:47:01.035360",
              "description": "Observing time for Commissioning/DDT (in seconds)",
              "quantity": "http://127.0.0.100:8008/api/quantity/time",
              "quantity_value": "time",
              "tags": [],
              "updated_at": "2022-01-19T02:47:01.035367"
          },
          {
              "name": "LOFAR Support Time",
              "url": "http://127.0.0.100:8008/api/resource_type/LOFAR%20Support%20Time",
              "created_at": "2022-01-19T02:47:01.035394",
              "description": "Support time by human (in seconds)",
              "quantity": "http://127.0.0.100:8008/api/quantity/time",
              "quantity_value": "time",
              "tags": [],
              "updated_at": "2022-01-19T02:47:01.035401"
          },
          {
              "name": "Number of triggers",
              "url": "http://127.0.0.100:8008/api/resource_type/Number%20of%20triggers",
              "created_at": "2022-01-19T02:47:01.035428",
              "description": "Number of trigger events (as integer)",
              "quantity": "http://127.0.0.100:8008/api/quantity/number",
              "quantity_value": "number",
              "tags": [],
              "updated_at": "2022-01-19T02:47:01.035435"
          }
      ],
      getProjectsByCycle: [
        {
            "name": "high",
            "url": "http://127.0.0.100:8008/api/project/high",
            "auto_ingest": false,
            "auto_pin": false,
            "can_trigger": true,
            "created_at": "2022-01-19T02:47:01.379147",
            "cycles": [
                "http://127.0.0.100:8008/api/cycle/Cycle%2016"
            ],
            "cycles_ids": [
                "Cycle 16"
            ],
            "description": "Project for all TMSS tests and commissioning (high priority)",
            "expert": true,
            "filler": false,
            "period_category": null,
            "period_category_value": null,
            "piggyback_allowed_aartfaac": true,
            "piggyback_allowed_tbb": true,
            "priority_rank": 3.0,
            "private_data": true,
            "project_category": null,
            "project_category_value": null,
            "project_state": "http://127.0.0.100:8008/api/project_state/opened",
            "project_state_value": "opened",
            "quota": [
                "http://127.0.0.100:8008/api/project_quota/1"
            ],
            "quota_ids": [
                1
            ],
            "tags": [
                "Commissioning"
            ],
            "trigger_priority": 1000,
            "updated_at": "2022-01-19T02:47:01.388744"
        },
        {
            "name": "low",
            "url": "http://127.0.0.100:8008/api/project/low",
            "auto_ingest": false,
            "auto_pin": false,
            "can_trigger": false,
            "created_at": "2022-01-19T02:47:01.410842",
            "cycles": [
                "http://127.0.0.100:8008/api/cycle/Cycle%2016"
            ],
            "cycles_ids": [
                "Cycle 16"
            ],
            "description": "Project for all TMSS tests and commissioning (low priority)",
            "expert": true,
            "filler": false,
            "period_category": null,
            "period_category_value": null,
            "piggyback_allowed_aartfaac": true,
            "piggyback_allowed_tbb": true,
            "priority_rank": 1.0,
            "private_data": true,
            "project_category": null,
            "project_category_value": null,
            "project_state": "http://127.0.0.100:8008/api/project_state/opened",
            "project_state_value": "opened",
            "quota": [
                "http://127.0.0.100:8008/api/project_quota/3"
            ],
            "quota_ids": [
                3
            ],
            "tags": [
                "Commissioning"
            ],
            "trigger_priority": 1000,
            "updated_at": "2022-01-19T02:47:01.415056"
        },
        {
            "name": "normal",
            "url": "http://127.0.0.100:8008/api/project/normal",
            "auto_ingest": false,
            "auto_pin": false,
            "can_trigger": false,
            "created_at": "2022-01-19T02:47:01.398927",
            "cycles": [
                "http://127.0.0.100:8008/api/cycle/Cycle%2016"
            ],
            "cycles_ids": [
                "Cycle 16"
            ],
            "description": "Project for all TMSS tests and commissioning (normal priority)",
            "expert": true,
            "filler": false,
            "period_category": null,
            "period_category_value": null,
            "piggyback_allowed_aartfaac": true,
            "piggyback_allowed_tbb": true,
            "priority_rank": 2.0,
            "private_data": true,
            "project_category": null,
            "project_category_value": null,
            "project_state": "http://127.0.0.100:8008/api/project_state/opened",
            "project_state_value": "opened",
            "quota": [
                "http://127.0.0.100:8008/api/project_quota/2"
            ],
            "quota_ids": [
                2
            ],
            "tags": [
                "Commissioning"
            ],
            "trigger_priority": 1000,
            "updated_at": "2022-01-19T02:47:01.403021"
        }
    ],
    
}

export default CycleServiceMock;