import {Component} from 'react';
import { ProgressSpinner } from 'primereact/progressspinner';
import PropTypes from 'prop-types';

/**
 * Custom spinner component for the whole page.
 */
export class CustomPageSpinner extends Component {
    render() {
        return (
            <>
            {this.props.visible &&
                <div style={{position: 'fixed', left:0, top: 0, width:'100%', height:'100%', backgroundColor: 'grey', zIndex: 9999, opacity: '0.75'}}>
                     <span style={{position: 'absolute', top: '50%', left:'50%', 'msTransform': 'translateY(-50%)', transform: 'translateY(-50%)', backgroundColor:'white' }}>
                        <div style={{textAlign: 'center'}}>                           
                            <ProgressSpinner/>
                            {this.props.percentage!==undefined && 
                                <label style={{fontSize: '20px', fontWeight: 'bold', left:"35px", top:"35px", position:"absolute"}}>{`${this.props.percentage}%`}</label>
                            }
                        </div>
                    </span>
                     
                   
                </div>
            }
            </>
        );
    }
}

CustomPageSpinner.propTypes = {
  visible: PropTypes.any,
  percentage: PropTypes.any
}