import 'react-app-polyfill/ie11';
import { Route } from 'react-router';
import ReactDOM from 'react-dom';
import './index.css';
import App from './App';
import 'cleave.js/dist/cleave';

import { TracingInstrumentation } from '@grafana/faro-web-tracing';

import { FaroErrorBoundary, getWebInstrumentations, initializeFaro, ReactIntegration, ReactRouterVersion } from '@grafana/faro-react';


let faro = initializeFaro({
  url: 'https://faro-collector-prod-eu-west-2.grafana.net/collect/8b2ee2532bfff84be000d24235916b3b',
  app: {
    name: 'TMSS Front-End',
    version: '1.0.0',
    environment: 'production'
  },
  instrumentations: [
    // Load the default Web instrumentations
    ...getWebInstrumentations(),

    // Tracing Instrumentation is needed if you want to use the React Profiler
    new TracingInstrumentation({ captureConsole: true}),

    new ReactIntegration({
      // Only needed if you want to use the React Router instrumentation
 

      // Or if you use react-router v4/v5
      router2: {
        version: ReactRouterVersion.V5, // or ReactRouterVersion.V4,
        dependencies: {
         
          Route, // Route component imported from react-router package
        },
      },
    }),
  ],
});

faro.api.pushLog(['Faro was initialized']);


ReactDOM.render(
  // <React.StrictMode>
  <FaroErrorBoundary> <App />  </FaroErrorBoundary>,
  // </React.StrictMode>,
  document.getElementById('root')
);

