import CycleReportContent from "./report.content"
import renderer from 'react-test-renderer';
import testCycle  from './testdata/test.cycle.json'
import ReportBusiness from "./report.business"

describe('Render Contents', () => {
    it("renders without errors without data ", () => {
        const page = renderer
            .create(<CycleReportContent> </CycleReportContent>)
            .toJSON();
        expect(page).toMatchSnapshot();
    });

    it('renders correctly with data', () => {
        let data = ReportBusiness.generateVisualData([testCycle]);
        let reportCycles=["Cycle 20"]

        let ReportPeriod = [new Date("2023-1-1"), new Date("2024-1-1")];
        const page = renderer
            .create(<CycleReportContent reportCycles ={reportCycles}  ReportPeriod={ReportPeriod} ReportData={data}></CycleReportContent>)
            .toJSON();
        expect(page).toMatchSnapshot();

    });
});


