import { DataTable } from 'primereact/datatable';
import { Column } from 'primereact/column';
import PropTypes from 'prop-types';

/**
 * Component to show projects summary in cycle.
 */
export default function CycleProjectSummary(props) {
    let { data } = props;
    return (

        <DataTable value={data} resizableColumns columnResizeMode="expand" className="card" style={{ paddingLeft: '0em', textAlign: 'center' }} sortField="project"  sortOrder={1} >
            <Column field="cycle" header="Cycle Code" sortable ></Column>
            <Column field="project" header="Project" sortable ></Column>
            <Column field="durationObserved" header="Time Observed (hr)" sortable ></Column>
            <Column field="durationProcessed" header="Time Processed (hr)" sortable ></Column>
            <Column field="dataToSara" header="Ingested To Sara data size (TB)" sortable ></Column>
            <Column field="dataToJuelich" header="Ingested To Juelich data size (TB)" sortable ></Column>
            <Column field="dataToPoznan" header="Ingested To Poznan data size (TB)" sortable ></Column>
        </DataTable>
    )
}

CycleProjectSummary.propTypes = {
  data: PropTypes.array
}