import PropTypes from 'prop-types';
import { Component } from 'react';
import { Button } from 'primereact/button';
import { Link } from 'react-router-dom';
import moment from 'moment';

class Scheduled extends Component {
    constructor(props) {
        super(props);
        this.state = {};
        this.Next = this.Next.bind(this);
    }

    /**
     * Method will trigger on click Next buton
     * here onNext props coming from parent, where will handle redirection to other page
     */
    Next() {
        this.props.onNext({});
    }

    render() {
        return (
            <>
                <div>
                    <div className="p-fluid">
                        <div className="p-field p-grid  workflow-wrap">
                            <label htmlFor="suStatus" className="col-lg-2 col-md-2 col-sm-12">Start Time</label>
                            <div className="col-lg-3 col-md-3 col-sm-12">
                                <span>{this.props.schedulingUnit.start_time && moment(this.props.schedulingUnit.start_time).format("YYYY-MMM-DD HH:mm:SS")}</span>
                            </div>
                            <div className="col-lg-1 col-md-1 col-sm-12"></div>
                            <label htmlFor="suStatus" className="col-lg-2 col-md-2 col-sm-12">End Time</label>
                            <div className="col-lg-3 col-md-3 col-sm-12">
                                <span>{this.props.schedulingUnit.stop_time && moment(this.props.schedulingUnit.stop_time).format("YYYY-MMM-DD HH:mm:SS")}</span>
                            </div>
                            <div className="col-lg-1 col-md-1 col-sm-12"></div>
                            <label htmlFor="suStatus" className="col-lg-2 col-md-2 col-sm-12">Timeline</label>
                            <div className="col-lg-3 col-md-3 col-sm-12 block-list">
                                <Link to={{ pathname: '/su/timelineview/week' }}>Week Overview &nbsp; <span className="fas fa-calendar-alt"></span></Link>
                            </div>
                            <div className="col-lg-1 col-md-1 col-sm-12"></div>
                            <label htmlFor="suStatus" className="col-lg-2 col-md-2 col-sm-12">Scheduling Method</label>
                            <div className="col-lg-3 col-md-3 col-sm-12 block-list">
                                <span>{this.props.schedulingUnit.scheduling_constraints_doc.scheduler}</span>
                            </div>
                        </div>
                    </div>

                    {!this.props.readOnly && <div className="p-grid p-justify-start">
                        <div className="p-col-1">
                            <Button label="Cancel" className="p-button-danger" icon="pi pi-times" style={{ width: '90px' }} 
                                onClick={() => {this.props.onCancel()}} />
                        </div>
                    </div>}
                </div>
            </>
        )
    }

}

Scheduled.propTypes = {
  onNext: PropTypes.func,
  schedulingUnit: PropTypes.shape({
    start_time: PropTypes.func,
    stop_time: PropTypes.func,
    scheduling_constraints_doc: PropTypes.shape({
      scheduler: PropTypes.any
    })
  }),
  readOnly: PropTypes.any,
  onCancel: PropTypes.func
}
export default Scheduled;