
import { renderHook,act,waitFor } from '@testing-library/react';
import WebSocket from 'jest-websocket-mock';
import useWeekViewWebSocket from '../utils/websocket';
import moment from 'moment';
import MockAdapter from 'axios-mock-adapter';
import axios from "axios";
import SchedulingUnitBlueprintSlimWithTask from '../__mocks__/scheduling_unit_blueprint_slim_with_task.json'
//  added now as a experiment various unit tests for the websocket, should be completed later on
describe('useWeekViewWebSocket', () => {
  let server;
  
  

  beforeEach(() => {
    server = new WebSocket(process.env.REACT_APP_WEBSOCKET_URL);
     });

  afterEach(() => {
    WebSocket.clean();
  });

  test('it should handle WebSocket events', async () => {

    let mock = new MockAdapter(axios);

  
    mock.onGet("/api/scheduling_unit_blueprint_slim_with_tasks/?process_start_time_before=2023-01-02 00:00:00&process_stop_time_after=2023-01-01 00:00:00&id=1").reply(200, SchedulingUnitBlueprintSlimWithTask);
    mock.onGet("/api/scheduling_unit_blueprint_slim_with_tasks/?process_start_time_before=2023-01-02 00:00:00&process_stop_time_after=2023-01-01 00:00:00&id=1&limit=50&offset=12").reply(200, SchedulingUnitBlueprintSlimWithTask);
    
    let data = {}
    let  setData =  jest.fn()
    let  summaryItem = { id : "1"}
    let  setSummaryItem = jest.fn()
    let  setShowSummary = jest.fn()
    let  startTime = moment("01-01-2023","MM-DD-YYYY")
    let  endTime = moment("01-02-2023","MM-DD-YYYY")
    const hook  = renderHook(() => useWeekViewWebSocket(data,setData,summaryItem,setSummaryItem,setShowSummary,startTime,endTime));

    await act(async () => {
        await server.connected;
      });
     await server.send(JSON.stringify({ object_type: 'scheduling_unit_blueprint', action: 'create' , object_details:{id:'1'}}));
     await waitFor(() => {
        expect(setData).toHaveBeenCalled();
      });
     await server.send(JSON.stringify({ object_type: 'scheduling_unit_blueprint', action: 'delete' , object_details:{id:'1'}}));
        
      
      await waitFor(() => {
        expect(setShowSummary).toHaveBeenCalled();
      });
    expect (hook).toBeDefined();
  });
});
