
import { render, act, fireEvent } from '@testing-library/react';

import DecideAcceptance from '../../../routes/Workflow/decide.acceptance';

import { LocalStorageMock } from '../../localstoragemocks';
import { MemoryRouter } from 'react-router-dom/cjs/react-router-dom.min';
import MockAdapter from 'axios-mock-adapter';
import axios from 'axios';



describe('Decide Acceptance', () => {

    it('Decide Acceptance', async () => {
        global.localStorage = new LocalStorageMock;
        global.localStorage.user = JSON.stringify({ name: "test" })
        let mock = new MockAdapter(axios);

        mock.onPost("/workflow_api/scheduling_unit_flow/qa_scheduling_unit_process/1/perform/").reply(200,{})
        mock.onGet("/workflow_api/scheduling_unit_flow/qa_reporting_to/3").reply(200, {
            "id": 1,
            "operator_report": "<p>Subject- Observation Success</p><p>Dear Colleague,</p><p> The following message contains information regarding a LOFAR Cycle test project for which you are listed as the contact author.            Please forward this information to your collaborators.</p><p> We would like to inform you that observations related to your LOFAR Cycle test project have been performed. Please find detailed information below.</p><p><strong>General notes:</strong></p><p> The validation plots linked below remains online for 3 weeks from the date of observation. After that, they are compressed and transferred to offline storage. users can request access to them by submitting a ticket through the <a href=\"https://support.astron.nl/sdchelpdesk\">helpdesk</a>.</p><p><strong>Observations:</strong></p><table><thead><tr><th><div>Observation ID</div></th><th><div> Scheduling Unit ID</div></th><th><div> Task ID</div></th><th><div> Pipeline ID</div></th><th><div> Project</div></th><th><div> Target Name</div></th><th><div> Station plots</div></th><th><div> Completeness</div></th><th><div> Antenna Set</div></th><th><div> Filter</div></th><th><div> Start Time</div></th><th><div> End time</div></th><th><div> Number of Sub-bands</div></th><th><div> Number of files</div></th><th><div> Parset</div></th></tr></thead><tbody><tr><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000000/index.html\">2000000</a></div></td><td><div>1</div></td><td><div>1</div></td><td><div>2000001</div></td><td><div>low</div></td><td><div><br></div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000000/Stations/station_beamlets.html\">BST</a></div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000000/index.html\">0%</a></div></td><td><div>HBA_DUAL_INNER</div></td><td><div>HBA_110_190</div></td><td><div>2024-01-26 14:20:45</div></td><td><div>2024-01-26 14:30:45</div></td><td><div>243</div></td><td><div>243</div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/2000000/rtcp-2000000.parset\">parset</a></div></td></tr><tr><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000002/index.html\">2000002</a></div></td><td><div>1</div></td><td><div>3</div></td><td><div>2000003</div></td><td><div>low</div></td><td><div>P306+46</div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000002/Stations/station_beamlets.html\">BST</a></div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000002/index.html\">0%</a></div></td><td><div>HBA_DUAL_INNER</div></td><td><div>HBA_110_190</div></td><td><div>2024-01-26 06:19:45</div></td><td><div>2024-01-26 14:19:45</div></td><td><div>243</div></td><td><div>243</div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/2000002/rtcp-2000002.parset\">parset</a></div></td></tr><tr><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000004/index.html\">2000004</a></div></td><td><div>1</div></td><td><div>5</div></td><td><div>2000005</div></td><td><div>low</div></td><td><div><br></div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000004/Stations/station_beamlets.html\">BST</a></div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000004/index.html\">0%</a></div></td><td><div>HBA_DUAL_INNER</div></td><td><div>HBA_110_190</div></td><td><div>2024-01-26 06:08:45</div></td><td><div>2024-01-26 06:18:45</div></td><td><div>243</div></td><td><div>243</div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/2000004/rtcp-2000004.parset\">parset</a></div></td></tr></tbody></table><p><br></p><p><strong>Performance of the system:</strong><br><br></p><p><strong>Data recording:</strong><br><br></p><p><strong>Data processing:</strong><br><br></p><p><strong>Archiving:</strong><br><br></p><p><strong>Remarks:</strong></p><p> Please analyse the validation plots at             <a href=\"https://proxy.lofar.eu/inspect/HTML/\">https://proxy.lofar.eu/inspect/HTML/</a> within 24 hours after this notification and submit your             findings using the form at <a href=\"/schedulingunit/1/workflow\">http://localhost:3000/schedulingunit/1/workflow </a>.            After this time window has passed, we will assume that your judgement is that the observation was successful and we will complete the actions described above ourselves to support your run.</p><p><br></p><p>From the moment the data are made available to you at the LTA you have four weeks to check their quality and to report any problems to the             Observatory through the <a href=\"https://support.astron.nl/sdchelpdesk\">helpdesk</a>. After this time window has passed, no requests for re-observations will be considered.</p><p><strong>Actions:</strong></p><p>If you need any further clarification, please do not hesitate to contact us through the SDC helpdesk at <a href=\"https://support.astron.nl/sdchelpdesk\">https://support.astron.nl/sdchelpdesk</a>, specifying your project code in the subject.            </p><p>Best regards,</p><p>TO name (Telescope Operations)</p><p>SDCO name (Science Data center Operations)</p>",
            "operator_accept": true
        });
        mock.onGet("/workflow_api/scheduling_unit_flow/qa_decide_acceptance/true").reply(200,{})
        mock.onGet("/workflow_api/scheduling_unit_flow/qa_pi_verification/2").reply(200, { "operator_accept": true });

        mock.onGet("/workflow_api/scheduling_unit_flow/qa_reporting_sos/1").reply(200, {
            "id": 1,
            "sos_report": "<p>Subject- Observation Success</p><p>Dear Colleague,</p><p> The following message contains information regarding a LOFAR Cycle test project for which you are listed as the contact author.            Please forward this information to your collaborators.</p><p> We would like to inform you that observations related to your LOFAR Cycle test project have been performed. Please find detailed information below.</p><p><strong>General notes:</strong></p><p> The validation plots linked below remains online for 3 weeks from the date of observation. After that, they are compressed and transferred to offline storage. users can request access to them by submitting a ticket through the <a href=\"https://support.astron.nl/sdchelpdesk\">helpdesk</a>.</p><p><strong>Observations:</strong></p><table><thead><tr><th><div>Observation ID</div></th><th><div> Scheduling Unit ID</div></th><th><div> Task ID</div></th><th><div> Pipeline ID</div></th><th><div> Project</div></th><th><div> Target Name</div></th><th><div> Station plots</div></th><th><div> Completeness</div></th><th><div> Antenna Set</div></th><th><div> Filter</div></th><th><div> Start Time</div></th><th><div> End time</div></th><th><div> Number of Sub-bands</div></th><th><div> Number of files</div></th><th><div> Parset</div></th></tr></thead><tbody><tr><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000000/index.html\">2000000</a></div></td><td><div>1</div></td><td><div>1</div></td><td><div>2000001</div></td><td><div>high</div></td><td><div><br></div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000000/Stations/station_beamlets.html\">BST</a></div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000000/index.html\">0%</a></div></td><td><div>HBA_DUAL_INNER</div></td><td><div>HBA_110_190</div></td><td><div>2024-02-01 15:15:21</div></td><td><div>2024-02-01 15:25:21</div></td><td><div>243</div></td><td><div>243</div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/2000000/rtcp-2000000.parset\">parset</a></div></td></tr><tr><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000002/index.html\">2000002</a></div></td><td><div>1</div></td><td><div>3</div></td><td><div>2000003</div></td><td><div>high</div></td><td><div>P306+46</div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000002/Stations/station_beamlets.html\">BST</a></div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000002/index.html\">0%</a></div></td><td><div>HBA_DUAL_INNER</div></td><td><div>HBA_110_190</div></td><td><div>2024-02-01 07:14:21</div></td><td><div>2024-02-01 15:14:21</div></td><td><div>243</div></td><td><div>243</div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/2000002/rtcp-2000002.parset\">parset</a></div></td></tr><tr><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000004/index.html\">2000004</a></div></td><td><div>1</div></td><td><div>5</div></td><td><div>2000005</div></td><td><div>high</div></td><td><div><br></div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000004/Stations/station_beamlets.html\">BST</a></div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/HTML/2000004/index.html\">0%</a></div></td><td><div>HBA_DUAL_INNER</div></td><td><div>HBA_110_190</div></td><td><div>2024-02-01 07:03:21</div></td><td><div>2024-02-01 07:13:21</div></td><td><div>243</div></td><td><div>243</div></td><td><div><a href=\"https://proxy.lofar.eu/inspect/2000004/rtcp-2000004.parset\">parset</a></div></td></tr></tbody></table><p><br></p><p><strong>Performance of the system:</strong><br><br></p><p><strong>Data recording:</strong><br><br></p><p><strong>Data processing:</strong><br><br></p><p><strong>Archiving:</strong><br><br></p><p><strong>Remarks:</strong></p><p> Please analyse the validation plots at             <a href=\"https://proxy.lofar.eu/inspect/HTML/\">https://proxy.lofar.eu/inspect/HTML/</a> within 24 hours after this notification and submit your             findings using the form at <a href=\"/schedulingunit/1/workflow\">http://localhost:3000/schedulingunit/1/workflow </a>.            After this time window has passed, we will assume that your judgement is that the observation was successful and we will complete the actions described above ourselves to support your run.</p><p><br></p><p>From the moment the data are made available to you at the LTA you have four weeks to check their quality and to report any problems to the             Observatory through the <a href=\"https://support.astron.nl/sdchelpdesk\">helpdesk</a>. After this time window has passed, no requests for re-observations will be considered.</p><p><strong>Actions:</strong></p><p>If you need any further clarification, please do not hesitate to contact us through the SDC helpdesk at <a href=\"https://support.astron.nl/sdchelpdesk\">https://support.astron.nl/sdchelpdesk</a>, specifying your project code in the subject.            </p><p>Best regards,</p><p>TO name (Telescope Operations)</p><p>SDCO name (Science Data center Operations)</p>",
            "quality_within_policy": true,
            "sos_accept_show_pi": true
        });
        let component
        let mockCancel = jest.fn();
        let processPermission = jest.fn();
        processPermission.mockReturnValue(true);
        let mockOnNext = jest.fn();
        let getCurrentTaskDetails = jest.fn();
        getCurrentTaskDetails.mockReturnValue({
            owner_id: 123,
            id: 456,
            owner_username: 'test',
            editPermissions: true
        });
        let process = { qa_reporting_to: "3", qa_reporting_sos: "1", pi_verification: "2"    }
        let workflowTask = { owner: "test" }
        let instance;
        await act(async () => { component = render(<MemoryRouter><DecideAcceptance id="1"  workflowTask={workflowTask} process={process} processPermission={processPermission} getCurrentTaskDetails={getCurrentTaskDetails} ref={(Instance) => { instance = Instance; }} onNext={mockOnNext} onCancel={mockCancel} task={{ id: 1, name: 'taskname', status: 'statushere' }} /></MemoryRouter>) });
        expect(component.asFragment()).toMatchSnapshot();

        const piAccept = component.container.querySelector('#piAccept');
        expect(piAccept.checked).toBe(false);
        act(() => { fireEvent.click(piAccept); });
        expect(piAccept.checked).toBe(true);


        const finalAcceptance = component.container.querySelector('#finalAcceptance');
        expect(finalAcceptance.checked).toBe(false);
        act(() => { fireEvent.click(finalAcceptance); });

        const reassigner = component.container.querySelector('#reassigner');
        act(() => { fireEvent.click(reassigner); });
        expect(component.asFragment()).toMatchSnapshot("reassigned");

        const cancelButton = component.getByText('Cancel');
        fireEvent.click(cancelButton);
        expect(mockCancel).toHaveBeenCalled();

        const nextButton = component.getByText('Next');
        act(() => { fireEvent.click(nextButton); });
        expect(mockOnNext).not.toHaveBeenCalled();
        act(() => { instance.setState({ content: 'A Value' }) });


     
        

        getCurrentTaskDetails.mockReturnValue({
            owner_id: 123,
            id: 456,
            owner_username: 'test',
            editPermissions: false
        });

        
        await act(async () => { component = render(<MemoryRouter><DecideAcceptance workflowTask={workflowTask} id="1" process={process} processPermission={processPermission} getCurrentTaskDetails={getCurrentTaskDetails} ref={(Instance) => { instance = Instance; }} onNext={mockOnNext} onCancel={mockCancel} task={{ id: 1, name: 'taskname', status: 'statushere' }} /></MemoryRouter>) });
        expect(component.asFragment()).toMatchSnapshot("No Edit Permission");
        
        await act(async () => { component = render(<MemoryRouter><DecideAcceptance workflowTask={workflowTask} id="1" readOnly={true} process={process} processPermission={processPermission} getCurrentTaskDetails={getCurrentTaskDetails} ref={(Instance) => { instance = Instance; }} onNext={mockOnNext} onCancel={mockCancel} task={{ id: 1, name: 'taskname', status: 'statushere' }} /></MemoryRouter>) });
        expect(component.asFragment()).toMatchSnapshot("Read Only, matching User");
        global.localStorage.user = JSON.stringify({ name: "notest" })


        act(() => { instance.setState({ processPermission :true, currentWorkflowTask: {editPermissions :true}})});
           act(() => { fireEvent.click(nextButton); });
          expect(mockOnNext).toHaveBeenCalled();
          process.decide_acceptance=true;
        await act(async () => { component = render(<MemoryRouter><DecideAcceptance workflowTask={workflowTask} id="1" readOnly={true} process={process} processPermission={processPermission} getCurrentTaskDetails={getCurrentTaskDetails} ref={(Instance) => { instance = Instance; }} onNext={mockOnNext} onCancel={mockCancel} task={{ id: 1, name: 'taskname', status: 'statushere' }} /></MemoryRouter>) });

        expect(component.asFragment()).toMatchSnapshot("Read Only, Not matching User");





        component.unmount();
    });





});


