
import { render, act ,fireEvent } from '@testing-library/react';
import Ingesting from '../../../routes/Workflow/ingesting';


describe('Ingesting', () => {

    it('Renders Ingesting', async () => {

        let component
        let mockCancel=jest.fn();
        let mockOnNext=jest.fn();
        let instance;
        await act(async () => { component = render(<Ingesting ref={(Instance) => { instance = Instance; } }  onNext={mockOnNext} onCancel={mockCancel} task ={{ id:1,name:'taskname',status:'statushere'}  }/>) });
        expect(component.asFragment()).toMatchSnapshot();
        

        const cancelButton = component.getByText('Cancel');
        fireEvent.click(cancelButton);
        expect(mockCancel).toHaveBeenCalled();

        const nextButton = component.getByText('Next');
        act(() => { fireEvent.click(nextButton); });
        expect(mockOnNext).not.toHaveBeenCalled();
        act(() => {instance.setState({ content: 'A Value' })});

        act(() => { fireEvent.click(nextButton); });
        expect(mockOnNext).toHaveBeenCalled();


        

        component.unmount();
    });

    

     

});


