import {parseTemplatesToCorrectJSONFormat} from "../services/service.helper";

const fs = require('fs');
const path = require('path');

const SUServiceMock = {
    scheduleSetList: [
        {
            "id": 1,
            "url": "http://127.0.0.100:8008/api/scheduling_set/1",
            "created_at": "2022-02-03T01:53:42.824670",
            "description": "",
            "name": "Test Scheduling Set",
            "project": "http://127.0.0.100:8008/api/project/high",
            "project_id": "high",
            "scheduling_unit_drafts": [
                "http://127.0.0.100:8008/api/scheduling_unit_draft/1",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/2",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/3",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/4",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/5",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/6",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/7",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/8",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/9",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/10",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/11",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/12",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/13",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/14",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/15",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/16",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/49",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/50",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/51",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/53"
            ],
            "scheduling_unit_drafts_ids": [
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                49,
                50,
                51,
                53
            ],
            "tags": [],
            "updated_at": "2022-02-03T01:53:42.824686"
        },
        {
            "id": 2,
            "url": "http://127.0.0.100:8008/api/scheduling_set/2",
            "created_at": "2022-02-03T01:53:42.848197",
            "description": "",
            "name": "Test Scheduling Set",
            "project": "http://127.0.0.100:8008/api/project/normal",
            "project_id": "normal",
            "scheduling_unit_drafts": [
                "http://127.0.0.100:8008/api/scheduling_unit_draft/17",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/18",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/19",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/20",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/21",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/22",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/23",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/24",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/25",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/26",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/27",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/28",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/29",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/30",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/31",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/32"
            ],
            "scheduling_unit_drafts_ids": [
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32
            ],
            "tags": [],
            "updated_at": "2022-02-03T01:53:42.848209"
        },
        {
            "id": 3,
            "url": "http://127.0.0.100:8008/api/scheduling_set/3",
            "created_at": "2022-02-03T01:53:42.866377",
            "description": "",
            "name": "Test Scheduling Set",
            "project": "http://127.0.0.100:8008/api/project/low",
            "project_id": "low",
            "scheduling_unit_drafts": [
                "http://127.0.0.100:8008/api/scheduling_unit_draft/33",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/34",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/35",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/36",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/37",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/38",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/39",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/40",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/41",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/42",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/43",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/44",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/45",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/46",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/47",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/48",
                "http://127.0.0.100:8008/api/scheduling_unit_draft/52"
            ],
            "scheduling_unit_drafts_ids": [
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                52
            ],
            "tags": [],
            "updated_at": "2022-02-03T01:53:42.866395"
        }
    ],
    observStrategies: [
        {
            "id": 1,
            "url": "http://127.0.0.100:8008/api/scheduling_unit_observing_strategy_template/1",
            "created_at": "2022-02-03T01:54:06.310497",
            "description": "This observation strategy template defines a Calibrator-Target-Calibrator observation chain, plus a preprocessing pipeline for each.",
            "name": "UC1 CTC+pipelines",
            "scheduling_unit_template": "http://localhost:3000/api/scheduling_unit_template/1",
            "scheduling_unit_template_id": 1,
            "tags": [],
            "template": {
                "tasks": {
                    "Ingest": {
                        "tags": [],
                        "description": "Ingest all preprocessed dataproducts",
                        "specifications_doc": {},
                        "specifications_template": {
                            "name": "ingest"
                        }
                    },
                    "Pipeline 1": {
                        "tags": [],
                        "description": "Preprocessing Pipeline for Calibrator Observation 1",
                        "specifications_doc": {
                            "flag": {
                                "rfi_strategy": "HBAdefault",
                                "outerchannels": true,
                                "autocorrelations": true
                            },
                            "demix": {
                                "sources": [],
                                "time_steps": 10,
                                "ignore_target": false,
                                "frequency_steps": 64
                            },
                            "average": {
                                "time_steps": 1,
                                "frequency_steps": 4
                            },
                            "storagemanager": "dysco"
                        },
                        "specifications_template": {
                            "name": "preprocessing pipeline"
                        }
                    },
                    "Pipeline 2": {
                        "tags": [],
                        "description": "Preprocessing Pipeline for Calibrator Observation 2",
                        "specifications_doc": {
                            "flag": {
                                "rfi_strategy": "HBAdefault",
                                "outerchannels": true,
                                "autocorrelations": true
                            },
                            "demix": {
                                "sources": [],
                                "time_steps": 10,
                                "ignore_target": false,
                                "frequency_steps": 64
                            },
                            "average": {
                                "time_steps": 1,
                                "frequency_steps": 4
                            },
                            "storagemanager": "dysco"
                        },
                        "specifications_template": {
                            "name": "preprocessing pipeline"
                        }
                    },
                    "Pipeline target1": {
                        "tags": [],
                        "description": "Preprocessing Pipeline for Target Observation target1",
                        "specifications_doc": {
                            "flag": {
                                "rfi_strategy": "HBAdefault",
                                "outerchannels": true,
                                "autocorrelations": true
                            },
                            "demix": {
                                "sources": [],
                                "time_steps": 10,
                                "ignore_target": false,
                                "frequency_steps": 64
                            },
                            "average": {
                                "time_steps": 1,
                                "frequency_steps": 4
                            },
                            "storagemanager": "dysco"
                        },
                        "specifications_template": {
                            "name": "preprocessing pipeline"
                        }
                    },
                    "Pipeline target2": {
                        "tags": [],
                        "description": "Preprocessing Pipeline for Target Observation target2",
                        "specifications_doc": {
                            "flag": {
                                "rfi_strategy": "HBAdefault",
                                "outerchannels": true,
                                "autocorrelations": true
                            },
                            "demix": {
                                "sources": [],
                                "time_steps": 10,
                                "ignore_target": false,
                                "frequency_steps": 64
                            },
                            "average": {
                                "time_steps": 1,
                                "frequency_steps": 4
                            },
                            "storagemanager": "dysco"
                        },
                        "specifications_template": {
                            "name": "preprocessing pipeline"
                        }
                    },
                    "Target Observation": {
                        "tags": [],
                        "description": "Target Observation for UC1 HBA scheduling unit",
                        "specifications_doc": {
                            "QA": {
                                "plots": {
                                    "enabled": true,
                                    "autocorrelation": true,
                                    "crosscorrelation": true
                                },
                                "file_conversion": {
                                    "enabled": true,
                                    "nr_of_subbands": -1,
                                    "nr_of_timestamps": 256
                                },
                                "inspection_plots": "msplots"
                            },
                            "SAPs": [
                                {
                                    "name": "target1",
                                    "subbands": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4,
                                        5,
                                        6,
                                        7,
                                        8,
                                        9,
                                        10,
                                        11,
                                        12,
                                        13,
                                        14,
                                        15,
                                        16,
                                        17,
                                        18,
                                        19,
                                        20,
                                        21,
                                        22,
                                        23,
                                        24,
                                        25,
                                        26,
                                        27,
                                        28,
                                        29,
                                        30,
                                        31,
                                        32,
                                        33,
                                        34,
                                        35,
                                        36,
                                        37,
                                        38,
                                        39,
                                        40,
                                        41,
                                        42,
                                        43,
                                        44,
                                        45,
                                        46,
                                        47,
                                        48,
                                        49,
                                        50,
                                        51,
                                        52,
                                        53,
                                        54,
                                        55,
                                        56,
                                        57,
                                        58,
                                        59,
                                        60,
                                        61,
                                        62,
                                        63,
                                        64,
                                        65,
                                        66,
                                        67,
                                        68,
                                        69,
                                        70,
                                        71,
                                        72,
                                        73,
                                        74,
                                        75,
                                        76,
                                        77,
                                        78,
                                        79,
                                        80,
                                        81,
                                        82,
                                        83,
                                        84,
                                        85,
                                        86,
                                        87,
                                        88,
                                        89,
                                        90,
                                        91,
                                        92,
                                        93,
                                        94,
                                        95,
                                        96,
                                        97,
                                        98,
                                        99,
                                        100,
                                        101,
                                        102,
                                        103,
                                        104,
                                        105,
                                        106,
                                        107,
                                        108,
                                        109,
                                        110,
                                        111,
                                        112,
                                        113,
                                        114,
                                        115,
                                        116,
                                        117,
                                        118,
                                        119,
                                        120,
                                        121,
                                        122,
                                        123,
                                        124,
                                        125,
                                        126,
                                        127,
                                        128,
                                        129,
                                        130,
                                        131,
                                        132,
                                        133,
                                        134,
                                        135,
                                        136,
                                        137,
                                        138,
                                        139,
                                        140,
                                        141,
                                        142,
                                        143,
                                        144,
                                        145,
                                        146,
                                        147,
                                        148,
                                        149,
                                        150,
                                        151,
                                        152,
                                        153,
                                        154,
                                        155,
                                        156,
                                        157,
                                        158,
                                        159,
                                        160,
                                        161,
                                        162,
                                        163,
                                        164,
                                        165,
                                        166,
                                        167,
                                        168,
                                        169,
                                        170,
                                        171,
                                        172,
                                        173,
                                        174,
                                        175,
                                        176,
                                        177,
                                        178,
                                        179,
                                        180,
                                        181,
                                        182,
                                        183,
                                        184,
                                        185,
                                        186,
                                        187,
                                        188,
                                        189,
                                        190,
                                        191,
                                        192,
                                        193,
                                        194,
                                        195,
                                        196,
                                        197,
                                        198,
                                        199,
                                        200,
                                        201,
                                        202,
                                        203,
                                        204,
                                        205,
                                        206,
                                        207,
                                        208,
                                        209,
                                        210,
                                        211,
                                        212,
                                        213,
                                        214,
                                        215,
                                        216,
                                        217,
                                        218,
                                        219,
                                        220,
                                        221,
                                        222,
                                        223,
                                        224,
                                        225,
                                        226,
                                        227,
                                        228,
                                        229,
                                        230,
                                        231,
                                        232,
                                        233,
                                        234,
                                        235,
                                        236,
                                        237,
                                        238,
                                        239,
                                        240,
                                        241,
                                        242,
                                        243
                                    ],
                                    "digital_pointing": {
                                        "angle1": 0.6624317181687094,
                                        "angle2": 1.5579526427549426,
                                        "target": "target1",
                                        "direction_type": "J2000"
                                    }
                                },
                                {
                                    "name": "target2",
                                    "subbands": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4,
                                        5,
                                        6,
                                        7,
                                        8,
                                        9,
                                        10,
                                        11,
                                        12,
                                        13,
                                        14,
                                        15,
                                        16,
                                        17,
                                        18,
                                        19,
                                        20,
                                        21,
                                        22,
                                        23,
                                        24,
                                        25,
                                        26,
                                        27,
                                        28,
                                        29,
                                        30,
                                        31,
                                        32,
                                        33,
                                        34,
                                        35,
                                        36,
                                        37,
                                        38,
                                        39,
                                        40,
                                        41,
                                        42,
                                        43,
                                        44,
                                        45,
                                        46,
                                        47,
                                        48,
                                        49,
                                        50,
                                        51,
                                        52,
                                        53,
                                        54,
                                        55,
                                        56,
                                        57,
                                        58,
                                        59,
                                        60,
                                        61,
                                        62,
                                        63,
                                        64,
                                        65,
                                        66,
                                        67,
                                        68,
                                        69,
                                        70,
                                        71,
                                        72,
                                        73,
                                        74,
                                        75,
                                        76,
                                        77,
                                        78,
                                        79,
                                        80,
                                        81,
                                        82,
                                        83,
                                        84,
                                        85,
                                        86,
                                        87,
                                        88,
                                        89,
                                        90,
                                        91,
                                        92,
                                        93,
                                        94,
                                        95,
                                        96,
                                        97,
                                        98,
                                        99,
                                        100,
                                        101,
                                        102,
                                        103,
                                        104,
                                        105,
                                        106,
                                        107,
                                        108,
                                        109,
                                        110,
                                        111,
                                        112,
                                        113,
                                        114,
                                        115,
                                        116,
                                        117,
                                        118,
                                        119,
                                        120,
                                        121,
                                        122,
                                        123,
                                        124,
                                        125,
                                        126,
                                        127,
                                        128,
                                        129,
                                        130,
                                        131,
                                        132,
                                        133,
                                        134,
                                        135,
                                        136,
                                        137,
                                        138,
                                        139,
                                        140,
                                        141,
                                        142,
                                        143,
                                        144,
                                        145,
                                        146,
                                        147,
                                        148,
                                        149,
                                        150,
                                        151,
                                        152,
                                        153,
                                        154,
                                        155,
                                        156,
                                        157,
                                        158,
                                        159,
                                        160,
                                        161,
                                        162,
                                        163,
                                        164,
                                        165,
                                        166,
                                        167,
                                        168,
                                        169,
                                        170,
                                        171,
                                        172,
                                        173,
                                        174,
                                        175,
                                        176,
                                        177,
                                        178,
                                        179,
                                        180,
                                        181,
                                        182,
                                        183,
                                        184,
                                        185,
                                        186,
                                        187,
                                        188,
                                        189,
                                        190,
                                        191,
                                        192,
                                        193,
                                        194,
                                        195,
                                        196,
                                        197,
                                        198,
                                        199,
                                        200,
                                        201,
                                        202,
                                        203,
                                        204,
                                        205,
                                        206,
                                        207,
                                        208,
                                        209,
                                        210,
                                        211,
                                        212,
                                        213,
                                        214,
                                        215,
                                        216,
                                        217,
                                        218,
                                        219,
                                        220,
                                        221,
                                        222,
                                        223,
                                        224,
                                        225,
                                        226,
                                        227,
                                        228,
                                        229,
                                        230,
                                        231,
                                        232,
                                        233,
                                        234,
                                        235,
                                        236,
                                        237,
                                        238,
                                        239,
                                        240,
                                        241,
                                        242,
                                        243
                                    ],
                                    "digital_pointing": {
                                        "angle1": 0.6624317181687094,
                                        "angle2": 1.5579526427549426,
                                        "target": "target1",
                                        "direction_type": "J2000"
                                    }
                                }
                            ],
                            "filter": "HBA_110_190",
                            "duration": 28800,
                            "tile_beam": {
                                "angle1": 0.6624317181687094,
                                "angle2": 1.5579526427549426,
                                "target": "target1",
                                "direction_type": "J2000"
                            },
                            "correlator": {
                                "storage_cluster": "CEP4",
                                "integration_time": 1,
                                "channels_per_subband": 64
                            },
                            "antenna_set": "HBA_DUAL_INNER",
                            "station_groups": [
                                {
                                    "stations": [
                                        "CS001",
                                        "CS002",
                                        "CS003",
                                        "CS004",
                                        "CS005",
                                        "CS006",
                                        "CS007",
                                        "CS011",
                                        "CS013",
                                        "CS017",
                                        "CS021",
                                        "CS024",
                                        "CS026",
                                        "CS028",
                                        "CS030",
                                        "CS031",
                                        "CS032",
                                        "CS101",
                                        "CS103",
                                        "CS201",
                                        "CS301",
                                        "CS302",
                                        "CS401",
                                        "CS501",
                                        "RS106",
                                        "RS205",
                                        "RS208",
                                        "RS210",
                                        "RS305",
                                        "RS306",
                                        "RS307",
                                        "RS310",
                                        "RS406",
                                        "RS407",
                                        "RS409",
                                        "RS503",
                                        "RS508",
                                        "RS509"
                                    ],
                                    "max_nr_missing": 4
                                },
                                {
                                    "stations": [
                                        "DE601",
                                        "DE602",
                                        "DE603",
                                        "DE604",
                                        "DE605",
                                        "DE609",
                                        "FR606",
                                        "SE607",
                                        "UK608",
                                        "PL610",
                                        "PL611",
                                        "PL612",
                                        "IE613",
                                        "LV614"
                                    ],
                                    "max_nr_missing": 2
                                },
                                {
                                    "stations": [
                                        "DE601",
                                        "DE605"
                                    ],
                                    "max_nr_missing": 1
                                }
                            ]
                        },
                        "specifications_template": {
                            "name": "target observation"
                        }
                    },
                    "Calibrator Observation 1": {
                        "tags": [],
                        "description": "Calibrator Observation for UC1 HBA scheduling unit",
                        "specifications_doc": {
                            "name": "calibrator1",
                            "duration": 600,
                            "pointing": {
                                "angle1": 0.6624317181687094,
                                "angle2": 1.5579526427549426,
                                "target": "target1",
                                "direction_type": "J2000"
                            },
                            "autoselect": false
                        },
                        "specifications_template": {
                            "name": "calibrator observation"
                        }
                    },
                    "Calibrator Observation 2": {
                        "tags": [],
                        "description": "Calibrator Observation for UC1 HBA scheduling unit",
                        "specifications_doc": {
                            "name": "calibrator2",
                            "duration": 600,
                            "pointing": {
                                "angle1": 0.6624317181687094,
                                "angle2": 1.5579526427549426,
                                "target": "target1",
                                "direction_type": "J2000"
                            },
                            "autoselect": false
                        },
                        "specifications_template": {
                            "name": "calibrator observation"
                        }
                    }
                },
                "parameters": [
                    {
                        "name": "Scheduling Constraints",
                        "refs": [
                            "#/scheduling_constraints_doc"
                        ]
                    },
                    {
                        "name": "Target Pointing 1",
                        "refs": [
                            "#/tasks/Target Observation/specifications_doc/SAPs/0/digital_pointing"
                        ]
                    },
                    {
                        "name": "Target Pointing 2",
                        "refs": [
                            "#/tasks/Target Observation/specifications_doc/SAPs/1/digital_pointing"
                        ]
                    },
                    {
                        "name": "Tile Beam",
                        "refs": [
                            "#/tasks/Target Observation/specifications_doc/tile_beam"
                        ]
                    }
                ],
                "task_relations": [
                    {
                        "tags": [],
                        "input": {
                            "role": "any",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "output": {
                            "role": "correlator",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "consumer": "Pipeline 1",
                        "producer": "Calibrator Observation 1",
                        "selection_doc": {},
                        "selection_template": "all"
                    },
                    {
                        "tags": [],
                        "input": {
                            "role": "any",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "output": {
                            "role": "correlator",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "consumer": "Pipeline 2",
                        "producer": "Calibrator Observation 2",
                        "selection_doc": {},
                        "selection_template": "all"
                    },
                    {
                        "tags": [],
                        "input": {
                            "role": "any",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "output": {
                            "role": "correlator",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "consumer": "Pipeline target1",
                        "producer": "Target Observation",
                        "selection_doc": {
                            "sap": [
                                "target1"
                            ]
                        },
                        "selection_template": "SAP"
                    },
                    {
                        "tags": [],
                        "input": {
                            "role": "any",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "output": {
                            "role": "correlator",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "consumer": "Pipeline target2",
                        "producer": "Target Observation",
                        "selection_doc": {
                            "sap": [
                                "target2"
                            ]
                        },
                        "selection_template": "SAP"
                    },
                    {
                        "tags": [],
                        "input": {
                            "role": "any",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "output": {
                            "role": "any",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "consumer": "Ingest",
                        "producer": "Pipeline 1",
                        "selection_doc": {},
                        "selection_template": "all"
                    },
                    {
                        "tags": [],
                        "input": {
                            "role": "any",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "output": {
                            "role": "any",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "consumer": "Ingest",
                        "producer": "Pipeline 2",
                        "selection_doc": {},
                        "selection_template": "all"
                    },
                    {
                        "tags": [],
                        "input": {
                            "role": "any",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "output": {
                            "role": "any",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "consumer": "Ingest",
                        "producer": "Pipeline target1",
                        "selection_doc": {},
                        "selection_template": "all"
                    },
                    {
                        "tags": [],
                        "input": {
                            "role": "any",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "output": {
                            "role": "any",
                            "datatype": "visibilities",
                            "dataformat": "MeasurementSet"
                        },
                        "consumer": "Ingest",
                        "producer": "Pipeline target2",
                        "selection_doc": {},
                        "selection_template": "all"
                    }
                ],
                "task_scheduling_relations": [
                    {
                        "first": "Calibrator Observation 1",
                        "second": "Target Observation",
                        "placement": "before",
                        "time_offset": 60
                    },
                    {
                        "first": "Calibrator Observation 2",
                        "second": "Target Observation",
                        "placement": "after",
                        "time_offset": 60
                    }
                ],
                "scheduling_constraints_doc": {
                    "sky": {
                        "transit_offset": {
                            "to": 1440,
                            "from": -1440
                        }
                    }
                },
                "scheduling_constraints_template": {
                    "name": "constraints"
                }
            },
            "updated_at": "2022-02-03T01:54:06.310514",
            "version": 1
        },
        {
            "id": 9,
            "url": "http://localhost:8008/api/scheduling_unit_observing_strategy_template/9",
            "created_at": "2022-02-23T10:43:07.385240",
            "description": "This observation strategy template defines a single simple Target observation.",
            "name": "Simple Observation",
            "purpose": "http://localhost:8008/api/template_purpose/technical_commissioning",
            "purpose_value": "technical_commissioning",
            "scheduling_unit_template": "http://localhost:8008/api/scheduling_unit_template/1",
            "scheduling_unit_template_id": 1,
            "state": "http://localhost:8008/api/template_state/active",
            "state_value": "active",
            "tags": [],
            "template": {
                "tasks": {
                    "Observation": {
                        "tags": [],
                        "description": "A simple short test observation",
                        "specifications_doc": {
                            "QA": {
                                "plots": {
                                    "enabled": true,
                                    "autocorrelation": true,
                                    "crosscorrelation": true
                                },
                                "file_conversion": {
                                    "enabled": true,
                                    "nr_of_subbands": -1,
                                    "nr_of_timestamps": 256
                                },
                                "inspection_plots": "msplots"
                            },
                            "SAPs": [
                                {
                                    "name": "Polaris",
                                    "subbands": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4,
                                        5,
                                        6,
                                        7,
                                        8,
                                        9,
                                        10,
                                        11,
                                        12,
                                        13,
                                        14,
                                        15,
                                        16,
                                        17,
                                        18,
                                        19,
                                        20,
                                        21,
                                        22,
                                        23,
                                        24,
                                        25,
                                        26,
                                        27,
                                        28,
                                        29,
                                        30,
                                        31,
                                        32,
                                        33,
                                        34,
                                        35,
                                        36,
                                        37,
                                        38,
                                        39,
                                        40,
                                        41,
                                        42,
                                        43,
                                        44,
                                        45,
                                        46,
                                        47,
                                        48,
                                        49,
                                        50,
                                        51,
                                        52,
                                        53,
                                        54,
                                        55,
                                        56,
                                        57,
                                        58,
                                        59,
                                        60,
                                        61,
                                        62,
                                        63,
                                        64,
                                        65,
                                        66,
                                        67,
                                        68,
                                        69,
                                        70,
                                        71,
                                        72,
                                        73,
                                        74,
                                        75,
                                        76,
                                        77,
                                        78,
                                        79,
                                        80,
                                        81,
                                        82,
                                        83,
                                        84,
                                        85,
                                        86,
                                        87,
                                        88,
                                        89,
                                        90,
                                        91,
                                        92,
                                        93,
                                        94,
                                        95,
                                        96,
                                        97,
                                        98,
                                        99,
                                        100,
                                        101,
                                        102,
                                        103,
                                        104,
                                        105,
                                        106,
                                        107,
                                        108,
                                        109,
                                        110,
                                        111,
                                        112,
                                        113,
                                        114,
                                        115,
                                        116,
                                        117,
                                        118,
                                        119,
                                        120,
                                        121,
                                        122,
                                        123,
                                        124,
                                        125,
                                        126,
                                        127,
                                        128,
                                        129,
                                        130,
                                        131,
                                        132,
                                        133,
                                        134,
                                        135,
                                        136,
                                        137,
                                        138,
                                        139,
                                        140,
                                        141,
                                        142,
                                        143,
                                        144,
                                        145,
                                        146,
                                        147,
                                        148,
                                        149,
                                        150,
                                        151,
                                        152,
                                        153,
                                        154,
                                        155,
                                        156,
                                        157,
                                        158,
                                        159,
                                        160,
                                        161,
                                        162,
                                        163,
                                        164,
                                        165,
                                        166,
                                        167,
                                        168,
                                        169,
                                        170,
                                        171,
                                        172,
                                        173,
                                        174,
                                        175,
                                        176,
                                        177,
                                        178,
                                        179,
                                        180,
                                        181,
                                        182,
                                        183,
                                        184,
                                        185,
                                        186,
                                        187,
                                        188,
                                        189,
                                        190,
                                        191,
                                        192,
                                        193,
                                        194,
                                        195,
                                        196,
                                        197,
                                        198,
                                        199,
                                        200,
                                        201,
                                        202,
                                        203,
                                        204,
                                        205,
                                        206,
                                        207,
                                        208,
                                        209,
                                        210,
                                        211,
                                        212,
                                        213,
                                        214,
                                        215,
                                        216,
                                        217,
                                        218,
                                        219,
                                        220,
                                        221,
                                        222,
                                        223,
                                        224,
                                        225,
                                        226,
                                        227,
                                        228,
                                        229,
                                        230,
                                        231,
                                        232,
                                        233,
                                        234,
                                        235,
                                        236,
                                        237,
                                        238,
                                        239,
                                        240,
                                        241,
                                        242,
                                        243
                                    ],
                                    "digital_pointing": {
                                        "angle1": 0.6624317181687094,
                                        "angle2": 1.5579526427549426,
                                        "target": "target1",
                                        "direction_type": "J2000"
                                    }
                                }
                            ],
                            "filter": "HBA_110_190",
                            "duration": 120,
                            "tile_beam": {
                                "angle1": 0.6624317181687094,
                                "angle2": 1.5579526427549426,
                                "target": "target1",
                                "direction_type": "J2000"
                            },
                            "correlator": {
                                "storage_cluster": "CEP4",
                                "integration_time": 1,
                                "channels_per_subband": 64
                            },
                            "antenna_set": "HBA_DUAL_INNER",
                            "station_groups": [
                                {
                                    "stations": [
                                        "CS002",
                                        "CS003",
                                        "CS004",
                                        "CS005",
                                        "CS006",
                                        "CS007"
                                    ],
                                    "max_nr_missing": 1
                                }
                            ]
                        },
                        "specifications_template": {
                            "name": "target observation"
                        }
                    }
                },
                "parameters": [
                    {
                        "name": "Scheduling Constraints",
                        "refs": [
                            "#/scheduling_constraints_doc"
                        ]
                    },
                    {
                        "name": "Duration",
                        "refs": [
                            "#/tasks/Observation/specifications_doc/duration"
                        ]
                    },
                    {
                        "name": "Target Pointing",
                        "refs": [
                            "#/tasks/Observation/specifications_doc/SAPs/0/digital_pointing"
                        ]
                    },
                    {
                        "name": "Tile Beam",
                        "refs": [
                            "#/tasks/Observation/specifications_doc/tile_beam"
                        ]
                    }
                ],
                "task_relations": [],
                "task_scheduling_relations": [],
                "scheduling_constraints_doc": {
                    "sky": {
                        "min_distance": {
                            "sun": 0,
                            "moon": 0,
                            "jupiter": 0
                        },
                        "min_elevation": {
                            "target": 0.1
                        },
                        "transit_offset": {
                            "to": 21600,
                            "from": -21600
                        }
                    },
                    "scheduler": "dynamic"
                },
                "scheduling_constraints_template": {
                    "name": "constraints"
                }
            },
            "updated_at": "2022-02-23T10:43:07.385256",
            "version": 1
        }
    ],
    getObservStrategies: () => {
        const templates = require("../../../tmss_webapp/src/__mocks__/observing_strategy_templates.json");
        return parseTemplatesToCorrectJSONFormat(templates.strategies);
    },
    getObservStrategy: (name) => {
        // const templates = require("../../../tmss_webapp/src/__mocks__/observing_strategy_templates.json");
        // return templates.strategies.find(strategy=> { return strategy.name === name });
        return SUServiceMock.getObservStrategies().find(strategy => {
            return strategy.name === name
        });
    },
    templatePurposes: [
        {
            "value": "production",
            "url": "http://localhost:3000/api/template_purpose/production"
        },
        {
            "value": "scientific_commissioning",
            "url": "http://localhost:3000/api/template_purpose/scientific_commissioning"
        },
        {
            "value": "technical_commissioning",
            "url": "http://localhost:3000/api/template_purpose/technical_commissioning"
        },
        {
            "value": "system_health",
            "url": "http://localhost:3000/api/template_purpose/system_health"
        }
    ],
    templateStates: [
        {
            "value": "development",
            "url": "http://localhost:3000/api/template_state/development"
        },
        {
            "value": "active",
            "url": "http://localhost:3000/api/template_state/active"
        },
        {
            "value": "legacy",
            "url": "http://localhost:3000/api/template_state/legacy"
        },
        {
            "value": "obsolete",
            "url": "http://localhost:3000/api/template_state/obsolete"
        }
    ],
    getSchedulingUnitFromObservStrategy: (observStrategy) => {
        const strategyId = SUServiceMock.getObservStrategy(observStrategy.name)['id'];
        return {
            data: {
                "id": 1,
                "url": "http://192.168.99.100:8008/api/scheduling_unit_draft/1",
                "created_at": "2020-08-25T13:28:42.092602",
                "description": "",
                "duration": 30120,
                "generator_instance_doc": null,
                "name": "UC1 test scheduling unit 1.1",
                "observation_strategy_template": `http://192.168.99.100:8008/api/scheduling_unit_observing_strategy_template/${strategyId}`,
                "observation_strategy_template_id": strategyId,
                "specifications_template": "http://192.168.99.100:8008/api/scheduling_unit_template/1",
                "specifications_template_id": 1,
                "scheduling_set": "http://192.168.99.100:8008/api/scheduling_set/1",
                "scheduling_set_id": 1,
                "scheduling_unit_blueprints": [
                    "http://192.168.99.100:8008/api/scheduling_unit_blueprint/1"
                ],
                "scheduling_unit_blueprints_ids": [
                    1
                ],
                "tags": [
                    "TEST",
                    "UC1"
                ],
                "task_drafts": [
                    "http://192.168.99.100:8008/api/task_draft/5",
                    "http://192.168.99.100:8008/api/task_draft/7",
                    "http://192.168.99.100:8008/api/task_draft/6",
                    "http://192.168.99.100:8008/api/task_draft/4",
                    "http://192.168.99.100:8008/api/task_draft/3",
                    "http://192.168.99.100:8008/api/task_draft/2",
                    "http://192.168.99.100:8008/api/task_draft/1"
                ],
                "task_drafts_ids": [
                    5,
                    7,
                    6,
                    4,
                    3,
                    2,
                    1
                ],
                "updated_at": "2020-08-25T13:28:42.119417"
            }
        }
    },
    stations: [
        {
            "group": "Core",
            "stations": ["CS001", "CS002", "CS003", "CS004", "CS005", "CS006", "CS007", "CS011", "CS013", "CS017", "CS021", "CS024", "CS026", "CS028", "CS030", "CS031", "CS032", "CS101", "CS103", "CS201", "CS301", "CS302", "CS401", "CS501"]
        },
        {
            "group": "Remote",
            "stations": ["RS106", "RS205", "RS208", "RS210", "RS305", "RS306", "RS307", "RS310", "RS406", "RS407", "RS409", "RS503", "RS508", "RS509"]
        },
        {
            "group": "International",
            "stations": ["DE601", "DE602", "DE603", "DE604", "DE605", "DE609", "FR606", "SE607", "UK608", "PL610", "PL611", "PL612", "IE613", "LV614"]
        },
    ],
    suFilters: {
        "name": "Scheduling Unit Draft Extended List",
        "description": "",
        "renders": [
            "application/json",
            "text/html"
        ],
        "parses": [
            "application/json",
            "application/x-www-form-urlencoded",
            "multipart/form-data"
        ],
        "actions": {
            "POST": {
                "id": {
                    "type": "integer",
                    "required": false,
                    "read_only": true,
                    "label": "ID"
                },
                "url": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "Url"
                },
                "created_at": {
                    "type": "datetime",
                    "required": false,
                    "read_only": true,
                    "label": "Created at",
                    "help_text": "Moment of object creation."
                },
                "description": {
                    "type": "string",
                    "required": false,
                    "read_only": false,
                    "label": "Description",
                    "help_text": "A longer description of this object.",
                    "max_length": 255
                },
                "duration": {
                    "type": "float",
                    "required": false,
                    "read_only": true,
                    "label": "Duration"
                },
                "ingest_permission_required": {
                    "type": "boolean",
                    "required": false,
                    "read_only": false,
                    "label": "Ingest permission required",
                    "help_text": "Explicit permission is needed before the task."
                },
                "interrupts_telescope": {
                    "type": "boolean",
                    "required": false,
                    "read_only": true,
                    "label": "Interrupts telescope",
                    "help_text": "boolean (default FALSE), which indicates whether this observation was triggered (responsive telescope)"
                },
                "name": {
                    "type": "string",
                    "required": true,
                    "read_only": false,
                    "label": "Name",
                    "help_text": "Human-readable name of this object.",
                    "max_length": 128
                },
                "observation_strategy_template": {
                    "type": "field",
                    "required": false,
                    "read_only": false,
                    "label": "Observation strategy template",
                    "help_text": "Observation Strategy Template used to create the specifications_doc."
                },
                "observation_strategy_template_id": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "Observation strategy template id"
                },
                "piggyback_allowed_aartfaac": {
                    "type": "boolean",
                    "required": false,
                    "read_only": false,
                    "label": "Piggyback allowed aartfaac",
                    "help_text": "Piggyback key for AARTFAAC."
                },
                "piggyback_allowed_tbb": {
                    "type": "boolean",
                    "required": false,
                    "read_only": false,
                    "label": "Piggyback allowed tbb",
                    "help_text": "Piggyback key for TBB."
                },
                "priority_queue": {
                    "type": "field",
                    "required": false,
                    "read_only": false,
                    "label": "Priority queue",
                    "help_text": "Priority queue of this scheduling unit. Queues provide a strict ordering between scheduling units."
                },
                "priority_queue_value": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "priority_queue_value"
                },
                "priority_rank": {
                    "type": "float",
                    "required": false,
                    "read_only": false,
                    "label": "Priority rank",
                    "help_text": "Priority of this scheduling unit w.r.t. other scheduling units within the same queue and project."
                },
                "scheduling_constraints_doc": {
                    "type": "field",
                    "required": true,
                    "read_only": false,
                    "label": "Scheduling constraints doc"
                },
                "scheduling_constraints_template": {
                    "type": "field",
                    "required": false,
                    "read_only": false,
                    "label": "Scheduling constraints template",
                    "help_text": "Schema used for scheduling_constraints_doc."
                },
                "scheduling_constraints_template_id": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "Scheduling constraints template id"
                },
                "scheduling_set": {
                    "type": "field",
                    "required": true,
                    "read_only": false,
                    "label": "Scheduling set",
                    "help_text": "Set to which this scheduling unit draft belongs."
                },
                "scheduling_set_id": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "Scheduling set id"
                },
                "scheduling_unit_blueprints": {
                    "type": "field",
                    "required": true,
                    "read_only": false,
                    "label": "Scheduling unit blueprints"
                },
                "scheduling_unit_blueprints_ids": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "scheduling_unit_blueprints_ids"
                },
                "specifications_template": {
                    "type": "field",
                    "required": true,
                    "read_only": false,
                    "label": "Specifications template",
                    "help_text": "Schema used for specifications_doc."
                },
                "specifications_template_id": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "Specifications template id"
                },
                "tags": {
                    "type": "list",
                    "required": false,
                    "read_only": false,
                    "label": "Tags",
                    "help_text": "User-defined search keywords for object.",
                    "child": {
                        "type": "string",
                        "required": true,
                        "read_only": false,
                        "label": "Tags",
                        "max_length": 128
                    }
                },
                "task_drafts": {
                    "type": "field",
                    "required": true,
                    "read_only": false,
                    "label": "Task drafts",
                    "child": {
                        "type": "nested object",
                        "required": true,
                        "read_only": false,
                        "children": {
                            "id": {
                                "type": "integer",
                                "required": false,
                                "read_only": true,
                                "label": "ID"
                            },
                            "url": {
                                "type": "field",
                                "required": false,
                                "read_only": true,
                                "label": "Url"
                            },
                            "connector_types": {
                                "type": "field",
                                "required": false,
                                "read_only": true,
                                "label": "connector_types",
                                "help_text": "The connector types which define what kind of data this task consumes/produces.",
                                "child": {
                                    "type": "nested object",
                                    "required": false,
                                    "read_only": true,
                                    "label": "connector_types",
                                    "help_text": "The connector types which define what kind of data this task consumes/produces.",
                                    "children": {
                                        "id": {
                                            "type": "integer",
                                            "required": false,
                                            "read_only": true,
                                            "label": "ID"
                                        },
                                        "url": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Url"
                                        },
                                        "dataformat": {
                                            "type": "field",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Dataformat"
                                        },
                                        "dataformat_value": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "dataformat_value"
                                        },
                                        "datatype": {
                                            "type": "field",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Datatype"
                                        },
                                        "datatype_value": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "datatype_value"
                                        },
                                        "iotype": {
                                            "type": "field",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Iotype",
                                            "help_text": "Is this connector an input or output"
                                        },
                                        "iotype_value": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "iotype_value"
                                        },
                                        "role": {
                                            "type": "field",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Role"
                                        },
                                        "role_value": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "role_value"
                                        },
                                        "task_template": {
                                            "type": "field",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Task template"
                                        },
                                        "task_template_id": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Task template id"
                                        }
                                    }
                                }
                            },
                            "consumed_by": {
                                "type": "field",
                                "required": true,
                                "read_only": false,
                                "label": "Consumed by"
                            },
                            "consumed_by_ids": {
                                "type": "field",
                                "required": false,
                                "read_only": true,
                                "label": "consumed_by_ids"
                            },
                            "created_at": {
                                "type": "datetime",
                                "required": false,
                                "read_only": true,
                                "label": "Created at",
                                "help_text": "Moment of object creation."
                            },
                            "description": {
                                "type": "string",
                                "required": false,
                                "read_only": false,
                                "label": "Description",
                                "help_text": "A longer description of this object.",
                                "max_length": 255
                            },
                            "duration": {
                                "type": "float",
                                "required": false,
                                "read_only": true,
                                "label": "Duration"
                            },
                            "first_scheduling_relation": {
                                "type": "field",
                                "required": true,
                                "read_only": false,
                                "label": "First scheduling relation"
                            },
                            "first_scheduling_relation_ids": {
                                "type": "field",
                                "required": false,
                                "read_only": true,
                                "label": "first_scheduling_relation_ids"
                            },
                            "name": {
                                "type": "string",
                                "required": true,
                                "read_only": false,
                                "label": "Name",
                                "help_text": "Human-readable name of this object.",
                                "max_length": 128
                            },
                            "output_pinned": {
                                "type": "boolean",
                                "required": false,
                                "read_only": false,
                                "label": "Output pinned",
                                "help_text": "True if the output of this task is pinned to disk, that is, forbidden to be removed."
                            },
                            "produced_by": {
                                "type": "field",
                                "required": true,
                                "read_only": false,
                                "label": "Produced by"
                            },
                            "produced_by_ids": {
                                "type": "field",
                                "required": false,
                                "read_only": true,
                                "label": "produced_by_ids"
                            },
                            "relative_start_time": {
                                "type": "float",
                                "required": false,
                                "read_only": true,
                                "label": "Relative start time"
                            },
                            "relative_stop_time": {
                                "type": "float",
                                "required": false,
                                "read_only": true,
                                "label": "Relative stop time"
                            },
                            "scheduling_unit_draft": {
                                "type": "field",
                                "required": true,
                                "read_only": false,
                                "label": "Scheduling unit draft",
                                "help_text": "Scheduling Unit draft to which this task draft belongs."
                            },
                            "scheduling_unit_draft_id": {
                                "type": "field",
                                "required": false,
                                "read_only": true,
                                "label": "Scheduling unit draft id"
                            },
                            "second_scheduling_relation": {
                                "type": "field",
                                "required": true,
                                "read_only": false,
                                "label": "Second scheduling relation"
                            },
                            "second_scheduling_relation_ids": {
                                "type": "field",
                                "required": false,
                                "read_only": true,
                                "label": "second_scheduling_relation_ids"
                            },
                            "short_description": {
                                "type": "string",
                                "required": false,
                                "read_only": false,
                                "label": "Short description",
                                "help_text": "A short description of this task, usually the name of the target and abbreviated task type.",
                                "max_length": 32
                            },
                            "specifications_doc": {
                                "type": "field",
                                "required": true,
                                "read_only": false,
                                "label": "Specifications doc"
                            },
                            "specifications_template": {
                                "type": "nested object",
                                "required": true,
                                "read_only": false,
                                "label": "Specifications template",
                                "children": {
                                    "id": {
                                        "type": "integer",
                                        "required": false,
                                        "read_only": true,
                                        "label": "ID"
                                    },
                                    "url": {
                                        "type": "field",
                                        "required": false,
                                        "read_only": true,
                                        "label": "Url"
                                    },
                                    "connector_types": {
                                        "type": "field",
                                        "required": false,
                                        "read_only": true,
                                        "label": "Connector types",
                                        "help_text": "The connector types which define what kind of data this task template consumes/produces.",
                                        "child": {
                                            "type": "nested object",
                                            "required": false,
                                            "read_only": true,
                                            "help_text": "The connector types which define what kind of data this task template consumes/produces.",
                                            "children": {
                                                "id": {
                                                    "type": "integer",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "ID"
                                                },
                                                "url": {
                                                    "type": "field",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "Url"
                                                },
                                                "dataformat": {
                                                    "type": "field",
                                                    "required": true,
                                                    "read_only": false,
                                                    "label": "Dataformat"
                                                },
                                                "dataformat_value": {
                                                    "type": "field",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "dataformat_value"
                                                },
                                                "datatype": {
                                                    "type": "field",
                                                    "required": true,
                                                    "read_only": false,
                                                    "label": "Datatype"
                                                },
                                                "datatype_value": {
                                                    "type": "field",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "datatype_value"
                                                },
                                                "iotype": {
                                                    "type": "field",
                                                    "required": true,
                                                    "read_only": false,
                                                    "label": "Iotype",
                                                    "help_text": "Is this connector an input or output"
                                                },
                                                "iotype_value": {
                                                    "type": "field",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "iotype_value"
                                                },
                                                "role": {
                                                    "type": "field",
                                                    "required": true,
                                                    "read_only": false,
                                                    "label": "Role"
                                                },
                                                "role_value": {
                                                    "type": "field",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "role_value"
                                                },
                                                "task_template": {
                                                    "type": "field",
                                                    "required": true,
                                                    "read_only": false,
                                                    "label": "Task template"
                                                },
                                                "task_template_id": {
                                                    "type": "field",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "Task template id"
                                                }
                                            }
                                        }
                                    },
                                    "connector_types_ids": {
                                        "type": "field",
                                        "required": false,
                                        "read_only": true,
                                        "label": "connector_types_ids"
                                    },
                                    "created_at": {
                                        "type": "datetime",
                                        "required": false,
                                        "read_only": true,
                                        "label": "Created at",
                                        "help_text": "Moment of object creation."
                                    },
                                    "description": {
                                        "type": "string",
                                        "required": false,
                                        "read_only": false,
                                        "label": "Description",
                                        "help_text": "A longer description of this object.",
                                        "max_length": 255
                                    },
                                    "name": {
                                        "type": "string",
                                        "required": true,
                                        "read_only": false,
                                        "label": "Name",
                                        "help_text": "Human-readable name of this object.",
                                        "max_length": 128
                                    },
                                    "schema": {
                                        "type": "field",
                                        "required": true,
                                        "read_only": false,
                                        "label": "Schema"
                                    },
                                    "tags": {
                                        "type": "list",
                                        "required": false,
                                        "read_only": false,
                                        "label": "Tags",
                                        "help_text": "User-defined search keywords for object.",
                                        "child": {
                                            "type": "string",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Tags",
                                            "max_length": 128
                                        }
                                    },
                                    "type": {
                                        "type": "field",
                                        "required": true,
                                        "read_only": false,
                                        "label": "Type"
                                    },
                                    "type_value": {
                                        "type": "field",
                                        "required": false,
                                        "read_only": true,
                                        "label": "type_value"
                                    },
                                    "updated_at": {
                                        "type": "datetime",
                                        "required": false,
                                        "read_only": true,
                                        "label": "Updated at",
                                        "help_text": "Moment of last object update."
                                    },
                                    "version": {
                                        "type": "integer",
                                        "required": false,
                                        "read_only": true,
                                        "label": "Version",
                                        "help_text": "Version of this template (with respect to other templates of the same name)"
                                    }
                                }
                            },
                            "specifications_template_id": {
                                "type": "field",
                                "required": false,
                                "read_only": true,
                                "label": "Specifications template id"
                            },
                            "tags": {
                                "type": "list",
                                "required": false,
                                "read_only": false,
                                "label": "Tags",
                                "help_text": "User-defined search keywords for object.",
                                "child": {
                                    "type": "string",
                                    "required": true,
                                    "read_only": false,
                                    "label": "Tags",
                                    "max_length": 128
                                }
                            },
                            "task_blueprints": {
                                "type": "field",
                                "required": true,
                                "read_only": false,
                                "label": "Task blueprints",
                                "child": {
                                    "type": "nested object",
                                    "required": true,
                                    "read_only": false,
                                    "children": {
                                        "id": {
                                            "type": "integer",
                                            "required": false,
                                            "read_only": true,
                                            "label": "ID"
                                        },
                                        "url": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Url"
                                        },
                                        "actual_on_sky_start_time": {
                                            "type": "datetime",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Actual on sky start time",
                                            "help_text": "The time the observation actually started recording (NULLable)."
                                        },
                                        "actual_on_sky_stop_time": {
                                            "type": "datetime",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Actual on sky stop time",
                                            "help_text": "The time the observation actually stopped recording (NULLable)."
                                        },
                                        "actual_process_start_time": {
                                            "type": "datetime",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Actual process start time",
                                            "help_text": "The time the process actually started (NULLable)."
                                        },
                                        "actual_process_stop_time": {
                                            "type": "datetime",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Actual process stop time",
                                            "help_text": "The time the process actually stopped (NULLable)."
                                        },
                                        "consumed_by": {
                                            "type": "field",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Consumed by"
                                        },
                                        "consumed_by_ids": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "consumed_by_ids"
                                        },
                                        "created_at": {
                                            "type": "datetime",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Created at",
                                            "help_text": "Moment of object creation."
                                        },
                                        "description": {
                                            "type": "string",
                                            "required": false,
                                            "read_only": false,
                                            "label": "Description",
                                            "help_text": "A longer description of this object.",
                                            "max_length": 255
                                        },
                                        "draft": {
                                            "type": "field",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Draft",
                                            "help_text": "TaskDraft from which this TaskBlueprint was created. Attention: the draft content itself can be changed in the meantime which is ok because it is a draft/scratchpad. This blueprint is immutable however."
                                        },
                                        "draft_id": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Draft id"
                                        },
                                        "duration": {
                                            "type": "float",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Duration"
                                        },
                                        "first_scheduling_relation": {
                                            "type": "field",
                                            "required": true,
                                            "read_only": false,
                                            "label": "First scheduling relation"
                                        },
                                        "first_scheduling_relation_ids": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "first_scheduling_relation_ids"
                                        },
                                        "name": {
                                            "type": "string",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Name",
                                            "help_text": "Human-readable name of this object.",
                                            "max_length": 128
                                        },
                                        "obsolete_since": {
                                            "type": "datetime",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Obsolete since",
                                            "help_text": "When was the first of the subtask(s) marked obsolete, or NULL if not obsolete (NULLable)."
                                        },
                                        "on_sky_duration": {
                                            "type": "float",
                                            "required": false,
                                            "read_only": true,
                                            "label": "On sky duration"
                                        },
                                        "on_sky_start_time": {
                                            "type": "datetime",
                                            "required": false,
                                            "read_only": true,
                                            "label": "On sky start time",
                                            "help_text": "The earliest on_sky_start_time of all the observation subtasks of this task."
                                        },
                                        "on_sky_stop_time": {
                                            "type": "datetime",
                                            "required": false,
                                            "read_only": true,
                                            "label": "On sky stop time",
                                            "help_text": "The latest on_sky_stop_time of all the observation subtasks of this task.."
                                        },
                                        "output_pinned": {
                                            "type": "boolean",
                                            "required": false,
                                            "read_only": false,
                                            "label": "Output pinned",
                                            "help_text": "True if the output of this task is pinned to disk, that is, forbidden to be removed."
                                        },
                                        "process_start_time": {
                                            "type": "datetime",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Process start time",
                                            "help_text": "The earliest process_start_time of all the subtasks of this task."
                                        },
                                        "process_stop_time": {
                                            "type": "datetime",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Process stop time",
                                            "help_text": "The latest process_stop_time of all the subtasks of this task."
                                        },
                                        "produced_by": {
                                            "type": "field",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Produced by"
                                        },
                                        "produced_by_ids": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "produced_by_ids"
                                        },
                                        "relative_start_time": {
                                            "type": "float",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Relative start time"
                                        },
                                        "relative_stop_time": {
                                            "type": "float",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Relative stop time"
                                        },
                                        "scheduled_start_time": {
                                            "type": "datetime",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Scheduled start time",
                                            "help_text": "The time we want the task to start (NULLable). For observations that means: the moment the telescope should be receiving data from the sky. For pipelines/others: the moment the subtask should running."
                                        },
                                        "scheduled_stop_time": {
                                            "type": "datetime",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Scheduled stop time",
                                            "help_text": "The time we want the task to stop (NULLable)."
                                        },
                                        "scheduling_unit_blueprint": {
                                            "type": "field",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Scheduling unit blueprint",
                                            "help_text": "Scheduling Unit Blueprint to which this task belongs."
                                        },
                                        "scheduling_unit_blueprint_id": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Scheduling unit blueprint id"
                                        },
                                        "second_scheduling_relation": {
                                            "type": "field",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Second scheduling relation"
                                        },
                                        "second_scheduling_relation_ids": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "second_scheduling_relation_ids"
                                        },
                                        "short_description": {
                                            "type": "string",
                                            "required": false,
                                            "read_only": false,
                                            "label": "Short description",
                                            "help_text": "A short description of this task, usually the name of the target and abbreviated task type.",
                                            "max_length": 32
                                        },
                                        "specifications_doc": {
                                            "type": "field",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Specifications doc"
                                        },
                                        "specifications_template": {
                                            "type": "nested object",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Specifications template",
                                            "children": {
                                                "id": {
                                                    "type": "integer",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "ID"
                                                },
                                                "url": {
                                                    "type": "field",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "Url"
                                                },
                                                "connector_types": {
                                                    "type": "field",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "Connector types",
                                                    "help_text": "The connector types which define what kind of data this task template consumes/produces.",
                                                    "child": {
                                                        "type": "nested object",
                                                        "required": false,
                                                        "read_only": true,
                                                        "help_text": "The connector types which define what kind of data this task template consumes/produces.",
                                                        "children": {
                                                            "id": {
                                                                "type": "integer",
                                                                "required": false,
                                                                "read_only": true,
                                                                "label": "ID"
                                                            },
                                                            "url": {
                                                                "type": "field",
                                                                "required": false,
                                                                "read_only": true,
                                                                "label": "Url"
                                                            },
                                                            "dataformat": {
                                                                "type": "field",
                                                                "required": true,
                                                                "read_only": false,
                                                                "label": "Dataformat"
                                                            },
                                                            "dataformat_value": {
                                                                "type": "field",
                                                                "required": false,
                                                                "read_only": true,
                                                                "label": "dataformat_value"
                                                            },
                                                            "datatype": {
                                                                "type": "field",
                                                                "required": true,
                                                                "read_only": false,
                                                                "label": "Datatype"
                                                            },
                                                            "datatype_value": {
                                                                "type": "field",
                                                                "required": false,
                                                                "read_only": true,
                                                                "label": "datatype_value"
                                                            },
                                                            "iotype": {
                                                                "type": "field",
                                                                "required": true,
                                                                "read_only": false,
                                                                "label": "Iotype",
                                                                "help_text": "Is this connector an input or output"
                                                            },
                                                            "iotype_value": {
                                                                "type": "field",
                                                                "required": false,
                                                                "read_only": true,
                                                                "label": "iotype_value"
                                                            },
                                                            "role": {
                                                                "type": "field",
                                                                "required": true,
                                                                "read_only": false,
                                                                "label": "Role"
                                                            },
                                                            "role_value": {
                                                                "type": "field",
                                                                "required": false,
                                                                "read_only": true,
                                                                "label": "role_value"
                                                            },
                                                            "task_template": {
                                                                "type": "field",
                                                                "required": true,
                                                                "read_only": false,
                                                                "label": "Task template"
                                                            },
                                                            "task_template_id": {
                                                                "type": "field",
                                                                "required": false,
                                                                "read_only": true,
                                                                "label": "Task template id"
                                                            }
                                                        }
                                                    }
                                                },
                                                "connector_types_ids": {
                                                    "type": "field",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "connector_types_ids"
                                                },
                                                "created_at": {
                                                    "type": "datetime",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "Created at",
                                                    "help_text": "Moment of object creation."
                                                },
                                                "description": {
                                                    "type": "string",
                                                    "required": false,
                                                    "read_only": false,
                                                    "label": "Description",
                                                    "help_text": "A longer description of this object.",
                                                    "max_length": 255
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "required": true,
                                                    "read_only": false,
                                                    "label": "Name",
                                                    "help_text": "Human-readable name of this object.",
                                                    "max_length": 128
                                                },
                                                "schema": {
                                                    "type": "field",
                                                    "required": true,
                                                    "read_only": false,
                                                    "label": "Schema"
                                                },
                                                "tags": {
                                                    "type": "list",
                                                    "required": false,
                                                    "read_only": false,
                                                    "label": "Tags",
                                                    "help_text": "User-defined search keywords for object.",
                                                    "child": {
                                                        "type": "string",
                                                        "required": true,
                                                        "read_only": false,
                                                        "label": "Tags",
                                                        "max_length": 128
                                                    }
                                                },
                                                "type": {
                                                    "type": "field",
                                                    "required": true,
                                                    "read_only": false,
                                                    "label": "Type"
                                                },
                                                "type_value": {
                                                    "type": "field",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "type_value"
                                                },
                                                "updated_at": {
                                                    "type": "datetime",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "Updated at",
                                                    "help_text": "Moment of last object update."
                                                },
                                                "version": {
                                                    "type": "integer",
                                                    "required": false,
                                                    "read_only": true,
                                                    "label": "Version",
                                                    "help_text": "Version of this template (with respect to other templates of the same name)"
                                                }
                                            }
                                        },
                                        "specifications_template_id": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Specifications template id"
                                        },
                                        "status": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "status"
                                        },
                                        "status_value": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "status_value"
                                        },
                                        "subtasks": {
                                            "type": "field",
                                            "required": true,
                                            "read_only": false,
                                            "label": "Subtasks",
                                            "child": {
                                                "type": "nested object",
                                                "required": true,
                                                "read_only": false,
                                                "children": {
                                                    "id": {
                                                        "type": "integer",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "ID"
                                                    },
                                                    "url": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Url"
                                                    },
                                                    "actual_on_sky_start_time": {
                                                        "type": "datetime",
                                                        "required": false,
                                                        "read_only": false,
                                                        "label": "Actual on sky start time",
                                                        "help_text": "The time the observation actually started receiving data from the sky. This should be as close as possible to the scheduled_start_time. Is NULL for non-observations. (NULLable)."
                                                    },
                                                    "actual_on_sky_stop_time": {
                                                        "type": "datetime",
                                                        "required": false,
                                                        "read_only": false,
                                                        "label": "Actual on sky stop time",
                                                        "help_text": "The time the observation actually stopped recording Is NULL for non-observations. (NULLable)."
                                                    },
                                                    "actual_process_start_time": {
                                                        "type": "datetime",
                                                        "required": false,
                                                        "read_only": false,
                                                        "label": "Actual process start time",
                                                        "help_text": "The time the process actually started, which can be a bit in advance of the scheduled_start_time depending on which process picks it up, and how much setup time it needs. (NULLable)."
                                                    },
                                                    "actual_process_stop_time": {
                                                        "type": "datetime",
                                                        "required": false,
                                                        "read_only": false,
                                                        "label": "Actual process stop time",
                                                        "help_text": "The time the process actually stopped (NULLable)."
                                                    },
                                                    "cluster": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": false,
                                                        "label": "Cluster",
                                                        "help_text": "Where the Subtask is scheduled to run (NULLable)."
                                                    },
                                                    "cluster_id": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Cluster id"
                                                    },
                                                    "cluster_name": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "cluster_name",
                                                        "help_text": "The cluster name as defined in the specifications template, provided here to safe an addition lookup."
                                                    },
                                                    "created_at": {
                                                        "type": "datetime",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Created at",
                                                        "help_text": "Moment of object creation."
                                                    },
                                                    "created_or_updated_by_user": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Created or updated by user",
                                                        "help_text": "The user who created / updated the subtask."
                                                    },
                                                    "created_or_updated_by_user_id": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Created or updated by user id"
                                                    },
                                                    "duration": {
                                                        "type": "float",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Duration"
                                                    },
                                                    "error_reason": {
                                                        "type": "string",
                                                        "required": false,
                                                        "read_only": false,
                                                        "label": "Error reason",
                                                        "help_text": "Reason why the Subtask went to error.",
                                                        "max_length": 200
                                                    },
                                                    "global_identifier": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Global identifier",
                                                        "help_text": "The global unique identifier for LTA SIP."
                                                    },
                                                    "global_identifier_id": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Global identifier id"
                                                    },
                                                    "global_parset_identifier": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Global parset identifier",
                                                        "help_text": "The global unique identifier of this Subtask's parset for LTA SIP."
                                                    },
                                                    "global_parset_identifier_id": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Global parset identifier id"
                                                    },
                                                    "inputs": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Inputs",
                                                        "child": {
                                                            "type": "nested object",
                                                            "required": false,
                                                            "read_only": true,
                                                            "children": {
                                                                "id": {
                                                                    "type": "integer",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "ID"
                                                                },
                                                                "url": {
                                                                    "type": "field",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Url"
                                                                },
                                                                "created_at": {
                                                                    "type": "datetime",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Created at",
                                                                    "help_text": "Moment of object creation."
                                                                },
                                                                "dataproducts": {
                                                                    "type": "field",
                                                                    "required": true,
                                                                    "read_only": false,
                                                                    "label": "Dataproducts",
                                                                    "help_text": "The Dataproducts resulting from application of the filter at time of scheduling Although the dataproducts are simply the result of applying the filter on immutable data, the filter application could change over time. We thus store the result of this filtering directly to retain which input was specified for the task.."
                                                                },
                                                                "dataproducts_ids": {
                                                                    "type": "field",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "dataproducts_ids"
                                                                },
                                                                "input_role": {
                                                                    "type": "nested object",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Input role",
                                                                    "help_text": "The connector type which defines what kind of data this subtask consumes.",
                                                                    "children": {
                                                                        "id": {
                                                                            "type": "integer",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "ID"
                                                                        },
                                                                        "url": {
                                                                            "type": "field",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "Url"
                                                                        },
                                                                        "dataformat": {
                                                                            "type": "field",
                                                                            "required": true,
                                                                            "read_only": false,
                                                                            "label": "Dataformat"
                                                                        },
                                                                        "dataformat_value": {
                                                                            "type": "field",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "dataformat_value"
                                                                        },
                                                                        "datatype": {
                                                                            "type": "field",
                                                                            "required": true,
                                                                            "read_only": false,
                                                                            "label": "Datatype"
                                                                        },
                                                                        "datatype_value": {
                                                                            "type": "field",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "datatype_value"
                                                                        },
                                                                        "iotype": {
                                                                            "type": "field",
                                                                            "required": true,
                                                                            "read_only": false,
                                                                            "label": "Iotype",
                                                                            "help_text": "Is this connector an input or output"
                                                                        },
                                                                        "iotype_value": {
                                                                            "type": "field",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "iotype_value"
                                                                        },
                                                                        "role": {
                                                                            "type": "field",
                                                                            "required": true,
                                                                            "read_only": false,
                                                                            "label": "Role"
                                                                        },
                                                                        "role_value": {
                                                                            "type": "field",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "role_value"
                                                                        },
                                                                        "task_template": {
                                                                            "type": "field",
                                                                            "required": true,
                                                                            "read_only": false,
                                                                            "label": "Task template"
                                                                        },
                                                                        "task_template_id": {
                                                                            "type": "field",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "Task template id"
                                                                        }
                                                                    }
                                                                },
                                                                "input_role_id": {
                                                                    "type": "field",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Input role id"
                                                                },
                                                                "producer": {
                                                                    "type": "field",
                                                                    "required": true,
                                                                    "read_only": false,
                                                                    "label": "Producer",
                                                                    "help_text": "The SubtaskOutput producing the input dataproducts for this SubtaskInput."
                                                                },
                                                                "producer_id": {
                                                                    "type": "field",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Producer id"
                                                                },
                                                                "selection_doc": {
                                                                    "type": "field",
                                                                    "required": true,
                                                                    "read_only": false,
                                                                    "label": "Selection doc"
                                                                },
                                                                "selection_template": {
                                                                    "type": "field",
                                                                    "required": true,
                                                                    "read_only": false,
                                                                    "label": "Selection template",
                                                                    "help_text": "Schema used for selection_doc."
                                                                },
                                                                "selection_template_id": {
                                                                    "type": "field",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Selection template id"
                                                                },
                                                                "subtask": {
                                                                    "type": "field",
                                                                    "required": true,
                                                                    "read_only": false,
                                                                    "label": "Subtask",
                                                                    "help_text": "Subtask to which this input specification refers."
                                                                },
                                                                "subtask_id": {
                                                                    "type": "field",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Subtask id"
                                                                },
                                                                "tags": {
                                                                    "type": "list",
                                                                    "required": false,
                                                                    "read_only": false,
                                                                    "label": "Tags",
                                                                    "help_text": "User-defined search keywords for object.",
                                                                    "child": {
                                                                        "type": "string",
                                                                        "required": true,
                                                                        "read_only": false,
                                                                        "label": "Tags",
                                                                        "max_length": 128
                                                                    }
                                                                },
                                                                "updated_at": {
                                                                    "type": "datetime",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Updated at",
                                                                    "help_text": "Moment of last object update."
                                                                }
                                                            }
                                                        }
                                                    },
                                                    "inputs_ids": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "inputs_ids"
                                                    },
                                                    "obsolete_since": {
                                                        "type": "datetime",
                                                        "required": false,
                                                        "read_only": false,
                                                        "label": "Obsolete since",
                                                        "help_text": "When this subtask was marked obsolete, or NULL if not obsolete (NULLable)."
                                                    },
                                                    "on_sky_duration": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "On sky duration",
                                                        "help_text": "The scheduled/actual duration the observation was on sky (NULLable)."
                                                    },
                                                    "on_sky_start_time": {
                                                        "type": "datetime",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "On sky start time",
                                                        "help_text": "The time the observation actually started receiving data from the sky when actual_on_sky_start_time is known else the scheduled_start_time. Is NULL for non-observations. (NULLable)."
                                                    },
                                                    "on_sky_stop_time": {
                                                        "type": "datetime",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "On sky stop time",
                                                        "help_text": "The time the observation actually stopped receiving data from the sky when actual_on_sky_stop_time is known else the scheduled_stop_time Is NULL for non-observations. (NULLable)."
                                                    },
                                                    "outputs": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Outputs",
                                                        "child": {
                                                            "type": "nested object",
                                                            "required": false,
                                                            "read_only": true,
                                                            "children": {
                                                                "id": {
                                                                    "type": "integer",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "ID"
                                                                },
                                                                "url": {
                                                                    "type": "field",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Url"
                                                                },
                                                                "consumers": {
                                                                    "type": "field",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Consumers"
                                                                },
                                                                "consumers_ids": {
                                                                    "type": "field",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "consumers_ids"
                                                                },
                                                                "created_at": {
                                                                    "type": "datetime",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Created at",
                                                                    "help_text": "Moment of object creation."
                                                                },
                                                                "dataproducts": {
                                                                    "type": "field",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Dataproducts"
                                                                },
                                                                "dataproducts_ids": {
                                                                    "type": "field",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "dataproducts_ids"
                                                                },
                                                                "output_role": {
                                                                    "type": "nested object",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Output role",
                                                                    "help_text": "The connector type which defines what kind of data this subtask produces.",
                                                                    "children": {
                                                                        "id": {
                                                                            "type": "integer",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "ID"
                                                                        },
                                                                        "url": {
                                                                            "type": "field",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "Url"
                                                                        },
                                                                        "dataformat": {
                                                                            "type": "field",
                                                                            "required": true,
                                                                            "read_only": false,
                                                                            "label": "Dataformat"
                                                                        },
                                                                        "dataformat_value": {
                                                                            "type": "field",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "dataformat_value"
                                                                        },
                                                                        "datatype": {
                                                                            "type": "field",
                                                                            "required": true,
                                                                            "read_only": false,
                                                                            "label": "Datatype"
                                                                        },
                                                                        "datatype_value": {
                                                                            "type": "field",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "datatype_value"
                                                                        },
                                                                        "iotype": {
                                                                            "type": "field",
                                                                            "required": true,
                                                                            "read_only": false,
                                                                            "label": "Iotype",
                                                                            "help_text": "Is this connector an input or output"
                                                                        },
                                                                        "iotype_value": {
                                                                            "type": "field",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "iotype_value"
                                                                        },
                                                                        "role": {
                                                                            "type": "field",
                                                                            "required": true,
                                                                            "read_only": false,
                                                                            "label": "Role"
                                                                        },
                                                                        "role_value": {
                                                                            "type": "field",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "role_value"
                                                                        },
                                                                        "task_template": {
                                                                            "type": "field",
                                                                            "required": true,
                                                                            "read_only": false,
                                                                            "label": "Task template"
                                                                        },
                                                                        "task_template_id": {
                                                                            "type": "field",
                                                                            "required": false,
                                                                            "read_only": true,
                                                                            "label": "Task template id"
                                                                        }
                                                                    }
                                                                },
                                                                "output_role_id": {
                                                                    "type": "field",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Output role id"
                                                                },
                                                                "subtask": {
                                                                    "type": "field",
                                                                    "required": true,
                                                                    "read_only": false,
                                                                    "label": "Subtask",
                                                                    "help_text": "Subtask to which this output specification refers."
                                                                },
                                                                "subtask_id": {
                                                                    "type": "field",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Subtask id"
                                                                },
                                                                "tags": {
                                                                    "type": "list",
                                                                    "required": false,
                                                                    "read_only": false,
                                                                    "label": "Tags",
                                                                    "help_text": "User-defined search keywords for object.",
                                                                    "child": {
                                                                        "type": "string",
                                                                        "required": true,
                                                                        "read_only": false,
                                                                        "label": "Tags",
                                                                        "max_length": 128
                                                                    }
                                                                },
                                                                "updated_at": {
                                                                    "type": "datetime",
                                                                    "required": false,
                                                                    "read_only": true,
                                                                    "label": "Updated at",
                                                                    "help_text": "Moment of last object update."
                                                                }
                                                            }
                                                        }
                                                    },
                                                    "outputs_ids": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "outputs_ids"
                                                    },
                                                    "primary": {
                                                        "type": "boolean",
                                                        "required": true,
                                                        "read_only": false,
                                                        "label": "Primary"
                                                    },
                                                    "process_start_time": {
                                                        "type": "datetime",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Process start time",
                                                        "help_text": "The time the process actually started when actual_process_start_time is known else the scheduled_start_time. (NULLable)."
                                                    },
                                                    "process_stop_time": {
                                                        "type": "datetime",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Process stop time",
                                                        "help_text": "The time the process actually stopped when actual_process_stop_time is known else the scheduled_stop_time (NULLable)."
                                                    },
                                                    "processing_feedback_doc": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": false,
                                                        "label": "Processing feedback doc",
                                                        "help_text": "Processing properties, as reported by the process."
                                                    },
                                                    "processing_feedback_template": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": false,
                                                        "label": "Processing feedback template",
                                                        "help_text": "Schema used for processing_feedback_doc."
                                                    },
                                                    "processing_feedback_template_id": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Processing feedback template id"
                                                    },
                                                    "raw_feedback": {
                                                        "type": "string",
                                                        "required": false,
                                                        "read_only": false,
                                                        "label": "Raw feedback",
                                                        "help_text": "The raw feedback for this Subtask",
                                                        "max_length": 1048576
                                                    },
                                                    "scheduled_start_time": {
                                                        "type": "datetime",
                                                        "required": false,
                                                        "read_only": false,
                                                        "label": "Scheduled start time",
                                                        "help_text": "The time we want the subtask to start (NULLable). For observations that means: the moment the telescope should be receiving data from the sky. For pipelines/others: the moment the subtask should running."
                                                    },
                                                    "scheduled_stop_time": {
                                                        "type": "datetime",
                                                        "required": false,
                                                        "read_only": false,
                                                        "label": "Scheduled stop time",
                                                        "help_text": "The time we want the subtask to stop (NULLable)."
                                                    },
                                                    "specifications_doc": {
                                                        "type": "field",
                                                        "required": true,
                                                        "read_only": false,
                                                        "label": "Specifications doc"
                                                    },
                                                    "specifications_template": {
                                                        "type": "field",
                                                        "required": true,
                                                        "read_only": false,
                                                        "label": "Specifications template",
                                                        "help_text": "Schema used for specifications_doc."
                                                    },
                                                    "specifications_template_id": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Specifications template id"
                                                    },
                                                    "state": {
                                                        "type": "field",
                                                        "required": true,
                                                        "read_only": false,
                                                        "label": "State",
                                                        "help_text": "Subtask state (see Subtask State Machine)."
                                                    },
                                                    "state_value": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "state_value"
                                                    },
                                                    "subtask_type": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "subtask_type",
                                                        "help_text": "The subtask type as defined in the specifications template, provided here to safe an addition lookup."
                                                    },
                                                    "tags": {
                                                        "type": "list",
                                                        "required": false,
                                                        "read_only": false,
                                                        "label": "Tags",
                                                        "help_text": "User-defined search keywords for object.",
                                                        "child": {
                                                            "type": "string",
                                                            "required": true,
                                                            "read_only": false,
                                                            "label": "Tags",
                                                            "max_length": 128
                                                        }
                                                    },
                                                    "task_blueprint": {
                                                        "type": "field",
                                                        "required": true,
                                                        "read_only": false,
                                                        "label": "Task blueprint",
                                                        "help_text": "The parent TaskBlueprint."
                                                    },
                                                    "task_blueprint_id": {
                                                        "type": "field",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Task blueprint id"
                                                    },
                                                    "updated_at": {
                                                        "type": "datetime",
                                                        "required": false,
                                                        "read_only": true,
                                                        "label": "Updated at",
                                                        "help_text": "Moment of last object update."
                                                    }
                                                }
                                            }
                                        },
                                        "subtasks_ids": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "subtasks_ids"
                                        },
                                        "tags": {
                                            "type": "list",
                                            "required": false,
                                            "read_only": false,
                                            "label": "Tags",
                                            "help_text": "User-defined search keywords for object.",
                                            "child": {
                                                "type": "string",
                                                "required": true,
                                                "read_only": false,
                                                "label": "Tags",
                                                "max_length": 128
                                            }
                                        },
                                        "task_type": {
                                            "type": "field",
                                            "required": false,
                                            "read_only": true,
                                            "label": "task_type",
                                            "help_text": "The task type as defined in the specifications template."
                                        },
                                        "updated_at": {
                                            "type": "datetime",
                                            "required": false,
                                            "read_only": true,
                                            "label": "Updated at",
                                            "help_text": "Moment of last object update."
                                        }
                                    }
                                }
                            },
                            "task_blueprints_ids": {
                                "type": "field",
                                "required": false,
                                "read_only": true,
                                "label": "task_blueprints_ids"
                            },
                            "task_type": {
                                "type": "field",
                                "required": false,
                                "read_only": true,
                                "label": "task_type",
                                "help_text": "The task type as defined in the specifications template."
                            },
                            "updated_at": {
                                "type": "datetime",
                                "required": false,
                                "read_only": true,
                                "label": "Updated at",
                                "help_text": "Moment of last object update."
                            }
                        }
                    }
                },
                "task_drafts_ids": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "task_drafts_ids"
                },
                "updated_at": {
                    "type": "datetime",
                    "required": false,
                    "read_only": true,
                    "label": "Updated at",
                    "help_text": "Moment of last object update."
                }
            }
        },
        "filters": {
            "id": {
                "type": "NumberInFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "tags": {
                "type": "CharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "created_at": {
                "type": "IsoDateTimeFromToRangeFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "updated_at": {
                "type": "IsoDateTimeFromToRangeFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "name": {
                "type": "CharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "description": {
                "type": "CharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "scheduling_set": {
                "type": "PropertyCharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "specifications_template": {
                "type": "ModelChoiceFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "observation_strategy_template": {
                "type": "ModelChoiceFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "scheduling_constraints_doc": {
                "type": "CharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "scheduling_constraints_template": {
                "type": "ModelChoiceFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "ingest_permission_required": {
                "type": "BooleanFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "piggyback_allowed_tbb": {
                "type": "BooleanFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "piggyback_allowed_aartfaac": {
                "type": "BooleanFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "priority_rank": {
                "type": "RangeFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "priority_queue": {
                "type": "ModelChoiceFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "interrupts_telescope": {
                "type": "BooleanFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "project": {
                "type": "PropertyCharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "id_min": {
                "type": "NumberFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "id_max": {
                "type": "NumberFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "scheduling_unit_blueprints": {
                "type": "ModelMultipleChoiceFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "duration_min": {
                "type": "PropertyDurationFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "duration_max": {
                "type": "PropertyDurationFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "angle1": {
                "type": "TargetObservationSpecificationDocFloatRangeFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "angle2": {
                "type": "TargetObservationSpecificationDocFloatRangeFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "direction_type": {
                "type": "TargetObservationSpecificationFilterCharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "observation_strategy_template_name": {
                "type": "CharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "observation_strategy_template_description": {
                "type": "CharFilter",
                "lookup_types": [
                    "exact"
                ]
            }
        },
        "ordering": [
            "id",
            "tags",
            "created_at",
            "updated_at",
            "name",
            "description",
            "scheduling_set",
            "specifications_template",
            "observation_strategy_template",
            "scheduling_constraints_doc",
            "scheduling_constraints_template",
            "ingest_permission_required",
            "piggyback_allowed_tbb",
            "piggyback_allowed_aartfaac",
            "priority_rank",
            "priority_queue",
            "interrupts_telescope"
        ]
    },
    getSUList: () => {
        const simpleObservStrategy = SUServiceMock.getObservStrategy("Simple Observation");
        return [
            {
                "id": 7,
                "url": "http://localhost:3000/api/scheduling_unit_draft/7",
                "created_at": "2022-05-03T08:40:25.612193",
                "description": "IM HBA LoTSS strategy",
                "duration": 30120.0,
                "ingest_permission_required": true,
                "interrupts_telescope": false,
                "name": "IM HBA LoTSS strategy",
                "observation_strategy_template": "http://localhost:3000/api/scheduling_unit_observing_strategy_template/4",
                "observation_strategy_template_id": 4,
                "piggyback_allowed_aartfaac": true,
                "piggyback_allowed_tbb": true,
                "priority_queue": "http://localhost:3000/api/priority_queue_type/A",
                "priority_queue_value": "A",
                "rank": 0.0016,
                "scheduling_constraints_doc": {
                    "sky": {
                        "min_distance": {
                            "sun": 0.5000368306963754,
                            "moon": 0.5000368306963754,
                            "jupiter": 0.5000368306963754
                        },
                        "min_elevation": {
                            "target": 0.5000368306963754,
                            "calibrator": 0.5000368306963754
                        },
                        "transit_offset": {
                            "to": 1440,
                            "from": -1440
                        }
                    },
                    "time": {
                        "between": [],
                        "not_between": []
                    },
                    "daily": {
                        "require_day": false,
                        "require_night": false,
                        "avoid_twilight": false
                    },
                    "$schema": "http://127.0.0.1:8008/api/schemas/schedulingconstraintstemplate/constraints/1/ref_resolved",
                    "scheduler": "dynamic"
                },
                "scheduling_constraints_template": "http://localhost:3000/api/scheduling_constraints_template/1",
                "scheduling_constraints_template_id": 1,
                "scheduling_set": "http://localhost:3000/api/scheduling_set/1",
                "scheduling_set_id": 1,
                "scheduling_unit_blueprints": [],
                "scheduling_unit_blueprints_ids": [],
                "specifications_template": "http://localhost:3000/api/scheduling_unit_template/1",
                "specifications_template_id": 1,
                "tags": [],
                "task_drafts": [
                    "http://localhost:3000/api/task_draft/21",
                    "http://localhost:3000/api/task_draft/22",
                    "http://localhost:3000/api/task_draft/25",
                    "http://localhost:3000/api/task_draft/28",
                    "http://localhost:3000/api/task_draft/27",
                    "http://localhost:3000/api/task_draft/23",
                    "http://localhost:3000/api/task_draft/24",
                    "http://localhost:3000/api/task_draft/26"
                ],
                "task_drafts_ids": [
                    21,
                    22,
                    25,
                    28,
                    27,
                    23,
                    24,
                    26
                ],
                "updated_at": "2022-05-03T08:40:26.564170"
            },
            {
                "id": 1,
                "created_at": "2022-01-24T03:18:25.423120",
                "description": "test",
                "duration": 120,
                "name": "test",
                "observation_strategy_template": simpleObservStrategy,
                "priority_queue_value": "A",
                "priority_rank": 0,
                "scheduling_set": {
                    "name": "Test Scheduling Set",
                    "project": {
                        "name": "high"
                    }
                },
                "scheduling_unit_blueprints": [],
                "scheduling_unit_blueprints_ids": [],
                "task_drafts": [
                    {
                        "id": 1,
                        "name": "Observation",
                        "specifications_doc": {
                            "QA": {
                                "plots": {
                                    "enabled": true,
                                    "autocorrelation": true,
                                    "crosscorrelation": true
                                },
                                "file_conversion": {
                                    "enabled": true,
                                    "nr_of_subbands": -1,
                                    "nr_of_timestamps": 256
                                },
                                "inspection_plots": "msplots"
                            },
                            "SAPs": [
                                {
                                    "name": "Polaris",
                                    "subbands": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4,
                                        5,
                                        6,
                                        7,
                                        8,
                                        9,
                                        10,
                                        11,
                                        12,
                                        13,
                                        14,
                                        15,
                                        16,
                                        17,
                                        18,
                                        19,
                                        20,
                                        21,
                                        22,
                                        23,
                                        24,
                                        25,
                                        26,
                                        27,
                                        28,
                                        29,
                                        30,
                                        31,
                                        32,
                                        33,
                                        34,
                                        35,
                                        36,
                                        37,
                                        38,
                                        39,
                                        40,
                                        41,
                                        42,
                                        43,
                                        44,
                                        45,
                                        46,
                                        47,
                                        48,
                                        49,
                                        50,
                                        51,
                                        52,
                                        53,
                                        54,
                                        55,
                                        56,
                                        57,
                                        58,
                                        59,
                                        60,
                                        61,
                                        62,
                                        63,
                                        64,
                                        65,
                                        66,
                                        67,
                                        68,
                                        69,
                                        70,
                                        71,
                                        72,
                                        73,
                                        74,
                                        75,
                                        76,
                                        77,
                                        78,
                                        79,
                                        80,
                                        81,
                                        82,
                                        83,
                                        84,
                                        85,
                                        86,
                                        87,
                                        88,
                                        89,
                                        90,
                                        91,
                                        92,
                                        93,
                                        94,
                                        95,
                                        96,
                                        97,
                                        98,
                                        99,
                                        100,
                                        101,
                                        102,
                                        103,
                                        104,
                                        105,
                                        106,
                                        107,
                                        108,
                                        109,
                                        110,
                                        111,
                                        112,
                                        113,
                                        114,
                                        115,
                                        116,
                                        117,
                                        118,
                                        119,
                                        120,
                                        121,
                                        122,
                                        123,
                                        124,
                                        125,
                                        126,
                                        127,
                                        128,
                                        129,
                                        130,
                                        131,
                                        132,
                                        133,
                                        134,
                                        135,
                                        136,
                                        137,
                                        138,
                                        139,
                                        140,
                                        141,
                                        142,
                                        143,
                                        144,
                                        145,
                                        146,
                                        147,
                                        148,
                                        149,
                                        150,
                                        151,
                                        152,
                                        153,
                                        154,
                                        155,
                                        156,
                                        157,
                                        158,
                                        159,
                                        160,
                                        161,
                                        162,
                                        163,
                                        164,
                                        165,
                                        166,
                                        167,
                                        168,
                                        169,
                                        170,
                                        171,
                                        172,
                                        173,
                                        174,
                                        175,
                                        176,
                                        177,
                                        178,
                                        179,
                                        180,
                                        181,
                                        182,
                                        183,
                                        184,
                                        185,
                                        186,
                                        187,
                                        188,
                                        189,
                                        190,
                                        191,
                                        192,
                                        193,
                                        194,
                                        195,
                                        196,
                                        197,
                                        198,
                                        199,
                                        200,
                                        201,
                                        202,
                                        203,
                                        204,
                                        205,
                                        206,
                                        207,
                                        208,
                                        209,
                                        210,
                                        211,
                                        212,
                                        213,
                                        214,
                                        215,
                                        216,
                                        217,
                                        218,
                                        219,
                                        220,
                                        221,
                                        222,
                                        223,
                                        224,
                                        225,
                                        226,
                                        227,
                                        228,
                                        229,
                                        230,
                                        231,
                                        232,
                                        233,
                                        234,
                                        235,
                                        236,
                                        237,
                                        238,
                                        239,
                                        240,
                                        241,
                                        242,
                                        243
                                    ],
                                    "digital_pointing": {
                                        "angle1": 0.6624317181687094,
                                        "angle2": 1.5579526427549426,
                                        "target": "target1",
                                        "direction_type": "J2000"
                                    }
                                }
                            ],
                            "filter": "HBA_110_190",
                            "$schema": "http://127.0.0.1:8008/api/schemas/tasktemplate/target%20observation/1#",
                            "duration": 120,
                            "tile_beam": {
                                "angle1": 0.6624317181687094,
                                "angle2": 1.5579526427549426,
                                "target": "target1",
                                "direction_type": "J2000"
                            },
                            "correlator": {
                                "storage_cluster": "CEP4",
                                "integration_time": 1,
                                "channels_per_subband": 64,
                                "topocentric_frequency_correction": false
                            },
                            "antenna_set": "HBA_DUAL_INNER",
                            "station_groups": [
                                {
                                    "stations": [
                                        "CS002",
                                        "CS003",
                                        "CS004",
                                        "CS005",
                                        "CS006",
                                        "CS007"
                                    ],
                                    "max_nr_missing": 1
                                }
                            ]
                        },
                        "specifications_template": {
                            "id": 3,
                            "url": "http://localhost:3000/api/task_template/3",
                            "created_at": "2022-01-17T03:57:03.765709",
                            "description": "This schema defines the parameters to setup a target observation task.",
                            "name": "target observation",
                            "schema": {
                                "$id": "http://127.0.0.1:8008/api/schemas/tasktemplate/target%20observation/1#",
                                "type": "object",
                                "title": "target observation",
                                "$schema": "http://json-schema.org/draft-06/schema#",
                                "version": 1,
                                "required": [
                                    "station_groups",
                                    "antenna_set",
                                    "filter",
                                    "SAPs",
                                    "duration",
                                    "correlator"
                                ],
                                "additionalProperties": false,
                                "properties": {
                                    "Target Pointing 1": {
                                        "$id": "#target_pointing",
                                        "$ref": "#/definitions/pointing",
                                        "title": "Target Pointing 1",
                                        "default": {
                                            "angle1": 0.6624317181687094,
                                            "angle2": 1.5579526427549426,
                                            "target": "target1",
                                            "direction_type": "J2000"
                                        }
                                    },
                                    "Target Pointing 2": {
                                        "$id": "#target_pointing",
                                        "$ref": "#/definitions/pointing",
                                        "title": "Target Pointing 2",
                                        "default": {
                                            "angle1": 0.6624317181687094,
                                            "angle2": 1.5579526427549426,
                                            "target": "target1",
                                            "direction_type": "J2000"
                                        }
                                    },
                                    "Tile Beam": {
                                        "$ref": "#/definitions/pointing",
                                        "title": "Tile Beam",
                                        "default": {
                                            "angle1": 0.6624317181687094,
                                            "angle2": 1.5579526427549426,
                                            "target": "target1",
                                            "direction_type": "J2000"
                                        },
                                        "description": "HBA only"
                                    }
                                },
                                "definitions": {
                                    "QA": {
                                        "type": "object",
                                        "title": "QA",
                                        "default": {},
                                        "required": [
                                            "file_conversion",
                                            "plots",
                                            "inspection_plots"
                                        ],
                                        "properties": {
                                            "plots": {
                                                "$ref": "#/definitions/plots",
                                                "default": {}
                                            },
                                            "file_conversion": {
                                                "$ref": "#/definitions/file_conversion",
                                                "default": {}
                                            },
                                            "inspection_plots": {
                                                "$ref": "#/definitions/inspection_plots",
                                                "default": "msplots"
                                            }
                                        },
                                        "description": "Perform all Quality Assurance (QA) tasks, including file conversion and plotting.",
                                        "additionalProperties": false
                                    },
                                    "plots": {
                                        "type": "object",
                                        "title": "Plots",
                                        "default": {},
                                        "required": [
                                            "enabled",
                                            "autocorrelation",
                                            "crosscorrelation"
                                        ],
                                        "properties": {
                                            "enabled": {
                                                "type": "boolean",
                                                "title": "enabled",
                                                "default": true,
                                                "description": "Do/Don't create plots from the QA file from the observation"
                                            },
                                            "autocorrelation": {
                                                "type": "boolean",
                                                "title": "autocorrelation",
                                                "default": true,
                                                "description": "Create autocorrelation plots for all stations"
                                            },
                                            "crosscorrelation": {
                                                "type": "boolean",
                                                "title": "crosscorrelation",
                                                "default": true,
                                                "description": "Create crosscorrelation plots for all baselines"
                                            }
                                        },
                                        "description": "Create dynamic spectrum plots",
                                        "additionalProperties": false
                                    },
                                    "file_conversion": {
                                        "type": "object",
                                        "title": "File Conversion",
                                        "default": {},
                                        "required": [
                                            "enabled",
                                            "nr_of_subbands",
                                            "nr_of_timestamps"
                                        ],
                                        "properties": {
                                            "enabled": {
                                                "type": "boolean",
                                                "title": "enabled",
                                                "default": true,
                                                "description": "Do/Don't create a QA file for the observation"
                                            },
                                            "nr_of_subbands": {
                                                "type": "integer",
                                                "title": "#subbands",
                                                "default": -1,
                                                "description": "Keep this number of subbands from the observation in the QA file, or all if -1"
                                            },
                                            "nr_of_timestamps": {
                                                "type": "integer",
                                                "title": "#timestamps",
                                                "default": 256,
                                                "minimum": 1,
                                                "description": "Extract this number of timestamps from the observation in the QA file (equidistantanly sampled, no averaging/interpolation)"
                                            }
                                        },
                                        "description": "Create a QA file for the observation",
                                        "additionalProperties": false
                                    },
                                    "inspection_plots": {
                                        "enum": [
                                            "msplots",
                                            "dynspec",
                                            "none"
                                        ],
                                        "type": "string",
                                        "title": "Inspection Plots",
                                        "default": "msplots",
                                        "decription": "Type of inspection plots to run"
                                    },
                                    "SAPs": {
                                        "type": "array",
                                        "items": {
                                            "type": "object",
                                            "title": "SAP",
                                            "default": {},
                                            "required": [
                                                "name",
                                                "digital_pointing",
                                                "subbands"
                                            ],
                                            "properties": {
                                                "name": {
                                                    "type": "string",
                                                    "title": "Name",
                                                    "default": "_SAP_name_",
                                                    "minLength": 1,
                                                    "description": "Identifier for this beam"
                                                },
                                                "subbands": {
                                                    "type": "array",
                                                    "items": {
                                                        "type": "integer",
                                                        "title": "Subband",
                                                        "maximum": 511,
                                                        "minimum": 0,
                                                        "maxLength": 488,
                                                        "minLength": 1
                                                    },
                                                    "title": "Subband list",
                                                    "default": [],
                                                    "additionalItems": false
                                                },
                                                "digital_pointing": {
                                                    "$id": "#target_pointing",
                                                    "$ref": "#/definitions/pointing",
                                                    "title": "Digital pointing",
                                                    "default": {}
                                                }
                                            },
                                            "headerTemplate": "{{ i0 }} - {{ self.name }}",
                                            "additionalProperties": false
                                        },
                                        "title": "SAPs",
                                        "default": [
                                            {}
                                        ],
                                        "minItems": 0,
                                        "description": "Station beams",
                                        "additionalItems": false
                                    },
                                    "pointing": {
                                        "type": "object",
                                        "required": [
                                            "angle1",
                                            "angle2",
                                            "target"
                                        ],
                                        "properties": {
                                            "angle1": {
                                                "type": "number",
                                                "title": "Angle 1",
                                                "default": 0.6624317181687094,
                                                "description": "First angle (e.g. RA)"
                                            },
                                            "angle2": {
                                                "type": "number",
                                                "title": "Angle 2",
                                                "default": 1.5579526427549426,
                                                "description": "Second angle (e.g. DEC)"
                                            },
                                            "target": {
                                                "type": "string",
                                                "title": "Target",
                                                "default": "_target_name_",
                                                "minLength": 1,
                                                "description": "Description of where this beam points at"
                                            },
                                            "direction_type": {
                                                "enum": [
                                                    "J2000",
                                                    "AZELGEO",
                                                    "LMN",
                                                    "SUN",
                                                    "MOON",
                                                    "MERCURY",
                                                    "VENUS",
                                                    "MARS",
                                                    "JUPITER",
                                                    "SATURN",
                                                    "URANUS",
                                                    "NEPTUNE",
                                                    "PLUTO"
                                                ],
                                                "type": "string",
                                                "title": "Reference frame",
                                                "default": "J2000",
                                                "description": ""
                                            }
                                        },
                                        "additionalProperties": false
                                    },
                                    "filter": {
                                        "enum": [
                                            "LBA_10_70",
                                            "LBA_30_70",
                                            "LBA_10_90",
                                            "LBA_30_90",
                                            "HBA_110_190",
                                            "HBA_210_250"
                                        ],
                                        "type": "string",
                                        "title": "Band-pass filter",
                                        "default": "HBA_110_190",
                                        "description": "Must match antenna type"
                                    },
                                    "timedelta": {
                                        "type": "number",
                                        "default": 0,
                                        "description": "A time duration or delta expressed in seconds"
                                    },
                                    "antenna_set": {
                                        "enum": [
                                            "HBA_DUAL",
                                            "HBA_DUAL_INNER",
                                            "HBA_ONE",
                                            "HBA_ONE_INNER",
                                            "HBA_ZERO",
                                            "HBA_ZERO_INNER",
                                            "LBA_INNER",
                                            "LBA_OUTER",
                                            "LBA_SPARSE_EVEN",
                                            "LBA_SPARSE_ODD",
                                            "LBA_ALL"
                                        ],
                                        "type": "string",
                                        "title": "Antenna set",
                                        "default": "HBA_DUAL",
                                        "description": "Fields & antennas to use"
                                    },
                                    "station_groups": {
                                        "type": "array",
                                        "items": {
                                            "$ref": "#/definitions/station_group"
                                        },
                                        "title": "Station groups",
                                        "default": [
                                            {
                                                "stations": [
                                                    "CS002",
                                                    "CS003",
                                                    "CS004",
                                                    "CS005",
                                                    "CS006",
                                                    "CS007"
                                                ],
                                                "max_nr_missing": 1
                                            }
                                        ],
                                        "minItems": 1,
                                        "description": "One or more predefined or custom groups of stations",
                                        "additionalItems": false,
                                        "additionalProperties": false
                                    },
                                    "station_group": {
                                        "type": "object",
                                        "anyOf": [
                                            {
                                                "type": "object",
                                                "title": "Superterp",
                                                "default": {
                                                    "stations": [
                                                        "CS002",
                                                        "CS003",
                                                        "CS004",
                                                        "CS005",
                                                        "CS006",
                                                        "CS007"
                                                    ],
                                                    "max_nr_missing": 0
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "The group of all stations on the Superterp",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "Core",
                                                "default": {
                                                    "stations": [
                                                        "CS001",
                                                        "CS002",
                                                        "CS003",
                                                        "CS004",
                                                        "CS005",
                                                        "CS006",
                                                        "CS007",
                                                        "CS011",
                                                        "CS013",
                                                        "CS017",
                                                        "CS021",
                                                        "CS024",
                                                        "CS026",
                                                        "CS028",
                                                        "CS030",
                                                        "CS031",
                                                        "CS032",
                                                        "CS101",
                                                        "CS103",
                                                        "CS201",
                                                        "CS301",
                                                        "CS302",
                                                        "CS401",
                                                        "CS501"
                                                    ],
                                                    "max_nr_missing": 4
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "The group of all Core stations",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "Remote",
                                                "default": {
                                                    "stations": [
                                                        "RS106",
                                                        "RS205",
                                                        "RS208",
                                                        "RS210",
                                                        "RS305",
                                                        "RS306",
                                                        "RS307",
                                                        "RS310",
                                                        "RS406",
                                                        "RS407",
                                                        "RS409",
                                                        "RS503",
                                                        "RS508",
                                                        "RS509"
                                                    ],
                                                    "max_nr_missing": 4
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "The group of all Dutch remote stations",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "Dutch",
                                                "default": {
                                                    "stations": [
                                                        "CS001",
                                                        "CS002",
                                                        "CS003",
                                                        "CS004",
                                                        "CS005",
                                                        "CS006",
                                                        "CS007",
                                                        "CS011",
                                                        "CS013",
                                                        "CS017",
                                                        "CS021",
                                                        "CS024",
                                                        "CS026",
                                                        "CS028",
                                                        "CS030",
                                                        "CS031",
                                                        "CS032",
                                                        "CS101",
                                                        "CS103",
                                                        "CS201",
                                                        "CS301",
                                                        "CS302",
                                                        "CS401",
                                                        "CS501",
                                                        "RS106",
                                                        "RS205",
                                                        "RS208",
                                                        "RS210",
                                                        "RS305",
                                                        "RS306",
                                                        "RS307",
                                                        "RS310",
                                                        "RS406",
                                                        "RS407",
                                                        "RS409",
                                                        "RS503",
                                                        "RS508",
                                                        "RS509"
                                                    ],
                                                    "max_nr_missing": 4
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "The group of all Dutch (Core + Remote) stations",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "International",
                                                "default": {
                                                    "stations": [
                                                        "DE601",
                                                        "DE602",
                                                        "DE603",
                                                        "DE604",
                                                        "DE605",
                                                        "DE609",
                                                        "FR606",
                                                        "SE607",
                                                        "UK608",
                                                        "PL610",
                                                        "PL611",
                                                        "PL612",
                                                        "IE613",
                                                        "LV614"
                                                    ],
                                                    "max_nr_missing": 2
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "DE609",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "The group of all international stations",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "International required",
                                                "default": {
                                                    "stations": [
                                                        "DE601",
                                                        "DE605"
                                                    ],
                                                    "max_nr_missing": 1
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "DE601",
                                                                "DE605"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "A subgroup of the international stations which are required when doing observation with international stations",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "All",
                                                "default": {
                                                    "stations": [
                                                        "CS001",
                                                        "CS002",
                                                        "CS003",
                                                        "CS004",
                                                        "CS005",
                                                        "CS006",
                                                        "CS007",
                                                        "CS011",
                                                        "CS013",
                                                        "CS017",
                                                        "CS021",
                                                        "CS024",
                                                        "CS026",
                                                        "CS028",
                                                        "CS030",
                                                        "CS031",
                                                        "CS032",
                                                        "CS101",
                                                        "CS103",
                                                        "CS201",
                                                        "CS301",
                                                        "CS302",
                                                        "CS401",
                                                        "CS501",
                                                        "RS106",
                                                        "RS205",
                                                        "RS208",
                                                        "RS210",
                                                        "RS305",
                                                        "RS306",
                                                        "RS307",
                                                        "RS310",
                                                        "RS406",
                                                        "RS407",
                                                        "RS409",
                                                        "RS503",
                                                        "RS508",
                                                        "RS509",
                                                        "DE601",
                                                        "DE602",
                                                        "DE603",
                                                        "DE604",
                                                        "DE605",
                                                        "DE609",
                                                        "FR606",
                                                        "SE607",
                                                        "UK608",
                                                        "PL610",
                                                        "PL611",
                                                        "PL612",
                                                        "IE613",
                                                        "LV614"
                                                    ],
                                                    "max_nr_missing": 6
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "DE609",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "The group of all (Core + Remote + International) stations",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "Custom",
                                                "default": {
                                                    "stations": [
                                                        "CS001"
                                                    ],
                                                    "max_nr_missing": 0
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list"
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "A custom group of stations which can be defined by the user",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            }
                                        ],
                                        "title": "Station group",
                                        "default": {
                                            "stations": [
                                                "CS002",
                                                "CS003",
                                                "CS004",
                                                "CS005",
                                                "CS006",
                                                "CS007"
                                            ],
                                            "max_nr_missing": 1
                                        },
                                        "description": "A set of predefined list of stations, and a constraint on how many stations are allowed to be missing (due to maintenance for example)"
                                    },
                                    "station_list": {
                                        "type": "array",
                                        "items": {
                                            "enum": [
                                                "CS001",
                                                "CS002",
                                                "CS003",
                                                "CS004",
                                                "CS005",
                                                "CS006",
                                                "CS007",
                                                "CS011",
                                                "CS013",
                                                "CS017",
                                                "CS021",
                                                "CS024",
                                                "CS026",
                                                "CS028",
                                                "CS030",
                                                "CS031",
                                                "CS032",
                                                "CS101",
                                                "CS103",
                                                "CS201",
                                                "CS301",
                                                "CS302",
                                                "CS401",
                                                "CS501",
                                                "RS106",
                                                "RS205",
                                                "RS208",
                                                "RS210",
                                                "RS305",
                                                "RS306",
                                                "RS307",
                                                "RS310",
                                                "RS406",
                                                "RS407",
                                                "RS409",
                                                "RS503",
                                                "RS508",
                                                "RS509",
                                                "DE601",
                                                "DE602",
                                                "DE603",
                                                "DE604",
                                                "DE605",
                                                "FR606",
                                                "SE607",
                                                "UK608",
                                                "DE609",
                                                "PL610",
                                                "PL611",
                                                "PL612",
                                                "IE613",
                                                "LV614"
                                            ],
                                            "type": "string",
                                            "title": "Station",
                                            "description": "These are the LOFAR stations"
                                        },
                                        "default": [],
                                        "minItems": 0,
                                        "uniqueItems": true,
                                        "additionalItems": false,
                                        "additionalProperties": false
                                    },
                                    "max_number_of_missing_stations": {
                                        "type": "integer",
                                        "title": "Maximum number of stations to omit",
                                        "default": 0,
                                        "minimum": 0,
                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                    }
                                },
                                "description": "This schema defines the parameters to setup a target observation task."
                            },
                            "tags": [],
                            "type": "http://localhost:3000/api/task_type/observation",
                            "type_value": "observation",
                            "updated_at": "2022-01-17T03:57:03.765750",
                            "version": 1
                        }
                    }
                ],
                "updated_at": "2022-01-24T03:18:26.226980"
            },
            {
                "id": 2,
                "created_at": "2022-01-24T05:55:22.665544",
                "description": "test",
                "duration": 120,
                "name": "test2",
                "observation_strategy_template": simpleObservStrategy,
                "priority_queue_value": "A",
                "priority_rank": 0,
                "scheduling_set": {
                    "name": "Test Scheduling Set",
                    "project": {
                        "name": "1"
                    }
                },
                "scheduling_unit_blueprints": [],
                "scheduling_unit_blueprints_ids": [],
                "task_drafts": [
                    {
                        "id": 2,
                        "name": "Observation",
                        "specifications_doc": {
                            "QA": {
                                "plots": {
                                    "enabled": true,
                                    "autocorrelation": true,
                                    "crosscorrelation": true
                                },
                                "file_conversion": {
                                    "enabled": true,
                                    "nr_of_subbands": -1,
                                    "nr_of_timestamps": 256
                                },
                                "inspection_plots": "msplots"
                            },
                            "SAPs": [
                                {
                                    "name": "Polaris",
                                    "subbands": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4,
                                        5,
                                        6,
                                        7,
                                        8,
                                        9,
                                        10,
                                        11,
                                        12,
                                        13,
                                        14,
                                        15,
                                        16,
                                        17,
                                        18,
                                        19,
                                        20,
                                        21,
                                        22,
                                        23,
                                        24,
                                        25,
                                        26,
                                        27,
                                        28,
                                        29,
                                        30,
                                        31,
                                        32,
                                        33,
                                        34,
                                        35,
                                        36,
                                        37,
                                        38,
                                        39,
                                        40,
                                        41,
                                        42,
                                        43,
                                        44,
                                        45,
                                        46,
                                        47,
                                        48,
                                        49,
                                        50,
                                        51,
                                        52,
                                        53,
                                        54,
                                        55,
                                        56,
                                        57,
                                        58,
                                        59,
                                        60,
                                        61,
                                        62,
                                        63,
                                        64,
                                        65,
                                        66,
                                        67,
                                        68,
                                        69,
                                        70,
                                        71,
                                        72,
                                        73,
                                        74,
                                        75,
                                        76,
                                        77,
                                        78,
                                        79,
                                        80,
                                        81,
                                        82,
                                        83,
                                        84,
                                        85,
                                        86,
                                        87,
                                        88,
                                        89,
                                        90,
                                        91,
                                        92,
                                        93,
                                        94,
                                        95,
                                        96,
                                        97,
                                        98,
                                        99,
                                        100,
                                        101,
                                        102,
                                        103,
                                        104,
                                        105,
                                        106,
                                        107,
                                        108,
                                        109,
                                        110,
                                        111,
                                        112,
                                        113,
                                        114,
                                        115,
                                        116,
                                        117,
                                        118,
                                        119,
                                        120,
                                        121,
                                        122,
                                        123,
                                        124,
                                        125,
                                        126,
                                        127,
                                        128,
                                        129,
                                        130,
                                        131,
                                        132,
                                        133,
                                        134,
                                        135,
                                        136,
                                        137,
                                        138,
                                        139,
                                        140,
                                        141,
                                        142,
                                        143,
                                        144,
                                        145,
                                        146,
                                        147,
                                        148,
                                        149,
                                        150,
                                        151,
                                        152,
                                        153,
                                        154,
                                        155,
                                        156,
                                        157,
                                        158,
                                        159,
                                        160,
                                        161,
                                        162,
                                        163,
                                        164,
                                        165,
                                        166,
                                        167,
                                        168,
                                        169,
                                        170,
                                        171,
                                        172,
                                        173,
                                        174,
                                        175,
                                        176,
                                        177,
                                        178,
                                        179,
                                        180,
                                        181,
                                        182,
                                        183,
                                        184,
                                        185,
                                        186,
                                        187,
                                        188,
                                        189,
                                        190,
                                        191,
                                        192,
                                        193,
                                        194,
                                        195,
                                        196,
                                        197,
                                        198,
                                        199,
                                        200,
                                        201,
                                        202,
                                        203,
                                        204,
                                        205,
                                        206,
                                        207,
                                        208,
                                        209,
                                        210,
                                        211,
                                        212,
                                        213,
                                        214,
                                        215,
                                        216,
                                        217,
                                        218,
                                        219,
                                        220,
                                        221,
                                        222,
                                        223,
                                        224,
                                        225,
                                        226,
                                        227,
                                        228,
                                        229,
                                        230,
                                        231,
                                        232,
                                        233,
                                        234,
                                        235,
                                        236,
                                        237,
                                        238,
                                        239,
                                        240,
                                        241,
                                        242,
                                        243
                                    ],
                                    "digital_pointing": {
                                        "angle1": 0.6624317181687094,
                                        "angle2": 1.5579526427549426,
                                        "target": "target1",
                                        "direction_type": "J2000"
                                    }
                                }
                            ],
                            "filter": "HBA_110_190",
                            "$schema": "http://127.0.0.1:8008/api/schemas/tasktemplate/target%20observation/1#",
                            "duration": 120,
                            "tile_beam": {
                                "angle1": 0.6624317181687094,
                                "angle2": 1.5579526427549426,
                                "target": "target1",
                                "direction_type": "J2000"
                            },
                            "correlator": {
                                "storage_cluster": "CEP4",
                                "integration_time": 1,
                                "channels_per_subband": 64,
                                "topocentric_frequency_correction": false
                            },
                            "antenna_set": "HBA_DUAL_INNER",
                            "station_groups": [
                                {
                                    "stations": [
                                        "CS002",
                                        "CS003",
                                        "CS004",
                                        "CS005",
                                        "CS006",
                                        "CS007"
                                    ],
                                    "max_nr_missing": 1
                                }
                            ]
                        },
                        "specifications_template": {
                            "id": 3,
                            "url": "http://localhost:3000/api/task_template/3",
                            "created_at": "2022-01-17T03:57:03.765709",
                            "description": "This schema defines the parameters to setup a target observation task.",
                            "name": "target observation",
                            "schema": {
                                "$id": "http://127.0.0.1:8008/api/schemas/tasktemplate/target%20observation/1#",
                                "type": "object",
                                "title": "target observation",
                                "$schema": "http://json-schema.org/draft-06/schema#",
                                "version": 1,
                                "required": [
                                    "station_groups",
                                    "antenna_set",
                                    "filter",
                                    "SAPs",
                                    "duration",
                                    "correlator"
                                ],
                                "additionalProperties": false,
                                "properties": {
                                    "Target Pointing 1": {
                                        "$id": "#target_pointing",
                                        "$ref": "#/definitions/pointing",
                                        "title": "Target Pointing 1",
                                        "default": {
                                            "angle1": 0.6624317181687094,
                                            "angle2": 1.5579526427549426,
                                            "target": "target1",
                                            "direction_type": "J2000"
                                        }
                                    },
                                    "Target Pointing 2": {
                                        "$id": "#target_pointing",
                                        "$ref": "#/definitions/pointing",
                                        "title": "Target Pointing 2",
                                        "default": {
                                            "angle1": 0.6624317181687094,
                                            "angle2": 1.5579526427549426,
                                            "target": "target1",
                                            "direction_type": "J2000"
                                        }
                                    },
                                    "Tile Beam": {
                                        "$ref": "#/definitions/pointing",
                                        "title": "Tile Beam",
                                        "default": {
                                            "angle1": 0.6624317181687094,
                                            "angle2": 1.5579526427549426,
                                            "target": "target1",
                                            "direction_type": "J2000"
                                        },
                                        "description": "HBA only"
                                    }
                                },
                                "definitions": {
                                    "QA": {
                                        "type": "object",
                                        "title": "QA",
                                        "default": {},
                                        "required": [
                                            "file_conversion",
                                            "plots",
                                            "inspection_plots"
                                        ],
                                        "properties": {
                                            "plots": {
                                                "$ref": "#/definitions/plots",
                                                "default": {}
                                            },
                                            "file_conversion": {
                                                "$ref": "#/definitions/file_conversion",
                                                "default": {}
                                            },
                                            "inspection_plots": {
                                                "$ref": "#/definitions/inspection_plots",
                                                "default": "msplots"
                                            }
                                        },
                                        "description": "Perform all Quality Assurance (QA) tasks, including file conversion and plotting.",
                                        "additionalProperties": false
                                    },
                                    "plots": {
                                        "type": "object",
                                        "title": "Plots",
                                        "default": {},
                                        "required": [
                                            "enabled",
                                            "autocorrelation",
                                            "crosscorrelation"
                                        ],
                                        "properties": {
                                            "enabled": {
                                                "type": "boolean",
                                                "title": "enabled",
                                                "default": true,
                                                "description": "Do/Don't create plots from the QA file from the observation"
                                            },
                                            "autocorrelation": {
                                                "type": "boolean",
                                                "title": "autocorrelation",
                                                "default": true,
                                                "description": "Create autocorrelation plots for all stations"
                                            },
                                            "crosscorrelation": {
                                                "type": "boolean",
                                                "title": "crosscorrelation",
                                                "default": true,
                                                "description": "Create crosscorrelation plots for all baselines"
                                            }
                                        },
                                        "description": "Create dynamic spectrum plots",
                                        "additionalProperties": false
                                    },
                                    "file_conversion": {
                                        "type": "object",
                                        "title": "File Conversion",
                                        "default": {},
                                        "required": [
                                            "enabled",
                                            "nr_of_subbands",
                                            "nr_of_timestamps"
                                        ],
                                        "properties": {
                                            "enabled": {
                                                "type": "boolean",
                                                "title": "enabled",
                                                "default": true,
                                                "description": "Do/Don't create a QA file for the observation"
                                            },
                                            "nr_of_subbands": {
                                                "type": "integer",
                                                "title": "#subbands",
                                                "default": -1,
                                                "description": "Keep this number of subbands from the observation in the QA file, or all if -1"
                                            },
                                            "nr_of_timestamps": {
                                                "type": "integer",
                                                "title": "#timestamps",
                                                "default": 256,
                                                "minimum": 1,
                                                "description": "Extract this number of timestamps from the observation in the QA file (equidistantanly sampled, no averaging/interpolation)"
                                            }
                                        },
                                        "description": "Create a QA file for the observation",
                                        "additionalProperties": false
                                    },
                                    "inspection_plots": {
                                        "enum": [
                                            "msplots",
                                            "dynspec",
                                            "none"
                                        ],
                                        "type": "string",
                                        "title": "Inspection Plots",
                                        "default": "msplots",
                                        "decription": "Type of inspection plots to run"
                                    },
                                    "SAPs": {
                                        "type": "array",
                                        "items": {
                                            "type": "object",
                                            "title": "SAP",
                                            "default": {},
                                            "required": [
                                                "name",
                                                "digital_pointing",
                                                "subbands"
                                            ],
                                            "properties": {
                                                "name": {
                                                    "type": "string",
                                                    "title": "Name",
                                                    "default": "_SAP_name_",
                                                    "minLength": 1,
                                                    "description": "Identifier for this beam"
                                                },
                                                "subbands": {
                                                    "type": "array",
                                                    "items": {
                                                        "type": "integer",
                                                        "title": "Subband",
                                                        "maximum": 511,
                                                        "minimum": 0,
                                                        "maxLength": 488,
                                                        "minLength": 1
                                                    },
                                                    "title": "Subband list",
                                                    "default": [],
                                                    "additionalItems": false
                                                },
                                                "digital_pointing": {
                                                    "$id": "#target_pointing",
                                                    "$ref": "#/definitions/pointing",
                                                    "title": "Digital pointing",
                                                    "default": {}
                                                }
                                            },
                                            "headerTemplate": "{{ i0 }} - {{ self.name }}",
                                            "additionalProperties": false
                                        },
                                        "title": "SAPs",
                                        "default": [
                                            {}
                                        ],
                                        "minItems": 0,
                                        "description": "Station beams",
                                        "additionalItems": false
                                    },
                                    "pointing": {
                                        "type": "object",
                                        "required": [
                                            "angle1",
                                            "angle2",
                                            "target"
                                        ],
                                        "properties": {
                                            "angle1": {
                                                "type": "number",
                                                "title": "Angle 1",
                                                "default": 0.6624317181687094,
                                                "description": "First angle (e.g. RA)"
                                            },
                                            "angle2": {
                                                "type": "number",
                                                "title": "Angle 2",
                                                "default": 1.5579526427549426,
                                                "description": "Second angle (e.g. DEC)"
                                            },
                                            "target": {
                                                "type": "string",
                                                "title": "Target",
                                                "default": "_target_name_",
                                                "minLength": 1,
                                                "description": "Description of where this beam points at"
                                            },
                                            "direction_type": {
                                                "enum": [
                                                    "J2000",
                                                    "AZELGEO",
                                                    "LMN",
                                                    "SUN",
                                                    "MOON",
                                                    "MERCURY",
                                                    "VENUS",
                                                    "MARS",
                                                    "JUPITER",
                                                    "SATURN",
                                                    "URANUS",
                                                    "NEPTUNE",
                                                    "PLUTO"
                                                ],
                                                "type": "string",
                                                "title": "Reference frame",
                                                "default": "J2000",
                                                "description": ""
                                            }
                                        },
                                        "additionalProperties": false
                                    },
                                    "filter": {
                                        "enum": [
                                            "LBA_10_70",
                                            "LBA_30_70",
                                            "LBA_10_90",
                                            "LBA_30_90",
                                            "HBA_110_190",
                                            "HBA_210_250"
                                        ],
                                        "type": "string",
                                        "title": "Band-pass filter",
                                        "default": "HBA_110_190",
                                        "description": "Must match antenna type"
                                    },
                                    "timedelta": {
                                        "type": "number",
                                        "default": 0,
                                        "description": "A time duration or delta expressed in seconds"
                                    },
                                    "antenna_set": {
                                        "enum": [
                                            "HBA_DUAL",
                                            "HBA_DUAL_INNER",
                                            "HBA_ONE",
                                            "HBA_ONE_INNER",
                                            "HBA_ZERO",
                                            "HBA_ZERO_INNER",
                                            "LBA_INNER",
                                            "LBA_OUTER",
                                            "LBA_SPARSE_EVEN",
                                            "LBA_SPARSE_ODD",
                                            "LBA_ALL"
                                        ],
                                        "type": "string",
                                        "title": "Antenna set",
                                        "default": "HBA_DUAL",
                                        "description": "Fields & antennas to use"
                                    },
                                    "station_groups": {
                                        "type": "array",
                                        "items": {
                                            "$ref": "#/definitions/station_group"
                                        },
                                        "title": "Station groups",
                                        "default": [
                                            {
                                                "stations": [
                                                    "CS002",
                                                    "CS003",
                                                    "CS004",
                                                    "CS005",
                                                    "CS006",
                                                    "CS007"
                                                ],
                                                "max_nr_missing": 1
                                            }
                                        ],
                                        "minItems": 1,
                                        "description": "One or more predefined or custom groups of stations",
                                        "additionalItems": false,
                                        "additionalProperties": false
                                    },
                                    "station_group": {
                                        "type": "object",
                                        "anyOf": [
                                            {
                                                "type": "object",
                                                "title": "Superterp",
                                                "default": {
                                                    "stations": [
                                                        "CS002",
                                                        "CS003",
                                                        "CS004",
                                                        "CS005",
                                                        "CS006",
                                                        "CS007"
                                                    ],
                                                    "max_nr_missing": 0
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "The group of all stations on the Superterp",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "Core",
                                                "default": {
                                                    "stations": [
                                                        "CS001",
                                                        "CS002",
                                                        "CS003",
                                                        "CS004",
                                                        "CS005",
                                                        "CS006",
                                                        "CS007",
                                                        "CS011",
                                                        "CS013",
                                                        "CS017",
                                                        "CS021",
                                                        "CS024",
                                                        "CS026",
                                                        "CS028",
                                                        "CS030",
                                                        "CS031",
                                                        "CS032",
                                                        "CS101",
                                                        "CS103",
                                                        "CS201",
                                                        "CS301",
                                                        "CS302",
                                                        "CS401",
                                                        "CS501"
                                                    ],
                                                    "max_nr_missing": 4
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "The group of all Core stations",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "Remote",
                                                "default": {
                                                    "stations": [
                                                        "RS106",
                                                        "RS205",
                                                        "RS208",
                                                        "RS210",
                                                        "RS305",
                                                        "RS306",
                                                        "RS307",
                                                        "RS310",
                                                        "RS406",
                                                        "RS407",
                                                        "RS409",
                                                        "RS503",
                                                        "RS508",
                                                        "RS509"
                                                    ],
                                                    "max_nr_missing": 4
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "The group of all Dutch remote stations",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "Dutch",
                                                "default": {
                                                    "stations": [
                                                        "CS001",
                                                        "CS002",
                                                        "CS003",
                                                        "CS004",
                                                        "CS005",
                                                        "CS006",
                                                        "CS007",
                                                        "CS011",
                                                        "CS013",
                                                        "CS017",
                                                        "CS021",
                                                        "CS024",
                                                        "CS026",
                                                        "CS028",
                                                        "CS030",
                                                        "CS031",
                                                        "CS032",
                                                        "CS101",
                                                        "CS103",
                                                        "CS201",
                                                        "CS301",
                                                        "CS302",
                                                        "CS401",
                                                        "CS501",
                                                        "RS106",
                                                        "RS205",
                                                        "RS208",
                                                        "RS210",
                                                        "RS305",
                                                        "RS306",
                                                        "RS307",
                                                        "RS310",
                                                        "RS406",
                                                        "RS407",
                                                        "RS409",
                                                        "RS503",
                                                        "RS508",
                                                        "RS509"
                                                    ],
                                                    "max_nr_missing": 4
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "The group of all Dutch (Core + Remote) stations",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "International",
                                                "default": {
                                                    "stations": [
                                                        "DE601",
                                                        "DE602",
                                                        "DE603",
                                                        "DE604",
                                                        "DE605",
                                                        "DE609",
                                                        "FR606",
                                                        "SE607",
                                                        "UK608",
                                                        "PL610",
                                                        "PL611",
                                                        "PL612",
                                                        "IE613",
                                                        "LV614"
                                                    ],
                                                    "max_nr_missing": 2
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "DE609",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "The group of all international stations",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "International required",
                                                "default": {
                                                    "stations": [
                                                        "DE601",
                                                        "DE605"
                                                    ],
                                                    "max_nr_missing": 1
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "DE601",
                                                                "DE605"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "A subgroup of the international stations which are required when doing observation with international stations",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "All",
                                                "default": {
                                                    "stations": [
                                                        "CS001",
                                                        "CS002",
                                                        "CS003",
                                                        "CS004",
                                                        "CS005",
                                                        "CS006",
                                                        "CS007",
                                                        "CS011",
                                                        "CS013",
                                                        "CS017",
                                                        "CS021",
                                                        "CS024",
                                                        "CS026",
                                                        "CS028",
                                                        "CS030",
                                                        "CS031",
                                                        "CS032",
                                                        "CS101",
                                                        "CS103",
                                                        "CS201",
                                                        "CS301",
                                                        "CS302",
                                                        "CS401",
                                                        "CS501",
                                                        "RS106",
                                                        "RS205",
                                                        "RS208",
                                                        "RS210",
                                                        "RS305",
                                                        "RS306",
                                                        "RS307",
                                                        "RS310",
                                                        "RS406",
                                                        "RS407",
                                                        "RS409",
                                                        "RS503",
                                                        "RS508",
                                                        "RS509",
                                                        "DE601",
                                                        "DE602",
                                                        "DE603",
                                                        "DE604",
                                                        "DE605",
                                                        "DE609",
                                                        "FR606",
                                                        "SE607",
                                                        "UK608",
                                                        "PL610",
                                                        "PL611",
                                                        "PL612",
                                                        "IE613",
                                                        "LV614"
                                                    ],
                                                    "max_nr_missing": 6
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list",
                                                        "enum": [
                                                            [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "DE609",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ]
                                                        ]
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "The group of all (Core + Remote + International) stations",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            },
                                            {
                                                "type": "object",
                                                "title": "Custom",
                                                "default": {
                                                    "stations": [
                                                        "CS001"
                                                    ],
                                                    "max_nr_missing": 0
                                                },
                                                "required": [
                                                    "stations",
                                                    "max_nr_missing"
                                                ],
                                                "properties": {
                                                    "stations": {
                                                        "$ref": "#/definitions/station_list"
                                                    },
                                                    "max_nr_missing": {
                                                        "$ref": "#/definitions/max_number_of_missing_stations"
                                                    }
                                                },
                                                "description": "A custom group of stations which can be defined by the user",
                                                "additionalProperties": false,
                                                "definitions": {
                                                    "station_list": {
                                                        "type": "array",
                                                        "items": {
                                                            "enum": [
                                                                "CS001",
                                                                "CS002",
                                                                "CS003",
                                                                "CS004",
                                                                "CS005",
                                                                "CS006",
                                                                "CS007",
                                                                "CS011",
                                                                "CS013",
                                                                "CS017",
                                                                "CS021",
                                                                "CS024",
                                                                "CS026",
                                                                "CS028",
                                                                "CS030",
                                                                "CS031",
                                                                "CS032",
                                                                "CS101",
                                                                "CS103",
                                                                "CS201",
                                                                "CS301",
                                                                "CS302",
                                                                "CS401",
                                                                "CS501",
                                                                "RS106",
                                                                "RS205",
                                                                "RS208",
                                                                "RS210",
                                                                "RS305",
                                                                "RS306",
                                                                "RS307",
                                                                "RS310",
                                                                "RS406",
                                                                "RS407",
                                                                "RS409",
                                                                "RS503",
                                                                "RS508",
                                                                "RS509",
                                                                "DE601",
                                                                "DE602",
                                                                "DE603",
                                                                "DE604",
                                                                "DE605",
                                                                "FR606",
                                                                "SE607",
                                                                "UK608",
                                                                "DE609",
                                                                "PL610",
                                                                "PL611",
                                                                "PL612",
                                                                "IE613",
                                                                "LV614"
                                                            ],
                                                            "type": "string",
                                                            "title": "Station",
                                                            "description": "These are the LOFAR stations"
                                                        },
                                                        "default": [],
                                                        "minItems": 0,
                                                        "uniqueItems": true,
                                                        "additionalItems": false,
                                                        "additionalProperties": false
                                                    },
                                                    "max_number_of_missing_stations": {
                                                        "type": "integer",
                                                        "title": "Maximum number of stations to omit",
                                                        "default": 0,
                                                        "minimum": 0,
                                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                                    }
                                                }
                                            }
                                        ],
                                        "title": "Station group",
                                        "default": {
                                            "stations": [
                                                "CS002",
                                                "CS003",
                                                "CS004",
                                                "CS005",
                                                "CS006",
                                                "CS007"
                                            ],
                                            "max_nr_missing": 1
                                        },
                                        "description": "A set of predefined list of stations, and a constraint on how many stations are allowed to be missing (due to maintenance for example)"
                                    },
                                    "station_list": {
                                        "type": "array",
                                        "items": {
                                            "enum": [
                                                "CS001",
                                                "CS002",
                                                "CS003",
                                                "CS004",
                                                "CS005",
                                                "CS006",
                                                "CS007",
                                                "CS011",
                                                "CS013",
                                                "CS017",
                                                "CS021",
                                                "CS024",
                                                "CS026",
                                                "CS028",
                                                "CS030",
                                                "CS031",
                                                "CS032",
                                                "CS101",
                                                "CS103",
                                                "CS201",
                                                "CS301",
                                                "CS302",
                                                "CS401",
                                                "CS501",
                                                "RS106",
                                                "RS205",
                                                "RS208",
                                                "RS210",
                                                "RS305",
                                                "RS306",
                                                "RS307",
                                                "RS310",
                                                "RS406",
                                                "RS407",
                                                "RS409",
                                                "RS503",
                                                "RS508",
                                                "RS509",
                                                "DE601",
                                                "DE602",
                                                "DE603",
                                                "DE604",
                                                "DE605",
                                                "FR606",
                                                "SE607",
                                                "UK608",
                                                "DE609",
                                                "PL610",
                                                "PL611",
                                                "PL612",
                                                "IE613",
                                                "LV614"
                                            ],
                                            "type": "string",
                                            "title": "Station",
                                            "description": "These are the LOFAR stations"
                                        },
                                        "default": [],
                                        "minItems": 0,
                                        "uniqueItems": true,
                                        "additionalItems": false,
                                        "additionalProperties": false
                                    },
                                    "max_number_of_missing_stations": {
                                        "type": "integer",
                                        "title": "Maximum number of stations to omit",
                                        "default": 0,
                                        "minimum": 0,
                                        "description": "Maximum number of stations that can be omitted from a group (due to maintenance for example)"
                                    }
                                },
                                "description": "This schema defines the parameters to setup a target observation task."
                            },
                            "tags": [],
                            "type": "http://localhost:3000/api/task_type/observation",
                            "type_value": "observation",
                            "updated_at": "2022-01-17T03:57:03.765750",
                            "version": 1
                        }
                    }
                ],
                "updated_at": "2022-01-24T05:55:23.369965"
            }
        ];
    },
    // getSchedulingConstraintTemplates: [
    //     {
    //         "id": 1,
    //         "url": "http://127.0.0.100:8008/api/scheduling_constraints_template/1",
    //         "created_at": "2022-01-21T12:15:20.616697",
    //         "description": "This schema defines the scheduling constraints for a scheduling unit",
    //         "name": "constraints",
    //         "schema": {
    //             "$id": "http://127.0.0.1:8008/api/schemas/schedulingconstraintstemplate/constraints/1#",
    //             "type": "object",
    //             "title": "constraints",
    //             "$schema": "http://json-schema.org/draft-06/schema#",
    //             "default": {},
    //             "version": 1,
    //             "required": [
    //                 "scheduler"
    //             ],
    //             "properties": {
    //                 "sky": {
    //                     "type": "object",
    //                     "default": {},
    //                     "properties": {
    //                         "min_distance": {
    //                             "type": "object",
    //                             "default": {},
    //                             "properties": {
    //                                 "sun": {
    //                                     "$ref": "#/definitions/distance_on_sky",
    //                                     "default": 0.5
    //                                 },
    //                                 "moon": {
    //                                     "$ref": "#/definitions/distance_on_sky",
    //                                     "default": 0.5
    //                                 },
    //                                 "jupiter": {
    //                                     "$ref": "#/definitions/distance_on_sky",
    //                                     "default": 0.5
    //                                 }
    //                             },
    //                             "additionalProperties": false
    //                         },
    //                         "min_elevation": {
    //                             "type": "object",
    //                             "default": {},
    //                             "properties": {
    //                                 "target": {
    //                                     "$ref": "#/definitions/elevation",
    //                                     "default": 0.5,
    //                                     "description": "Minimum elevation for all target sources"
    //                                 },
    //                                 "calibrator": {
    //                                     "$ref": "#/definitions/elevation",
    //                                     "default": 0.5,
    //                                     "description": "Minimum elevation for all calibrator sources"
    //                                 }
    //                             },
    //                             "additionalProperties": false
    //                         },
    //                         "transit_offset": {
    //                             "type": "object",
    //                             "default": {},
    //                             "required": [
    //                                 "from",
    //                                 "to"
    //                             ],
    //                             "properties": {
    //                                 "to": {
    //                                     "$ref": "http://127.0.0.1:8008/api/schemas/commonschematemplate/datetime/1/#/definitions/timedelta",
    //                                     "default": 7200,
    //                                     "maximum": 86400,
    //                                     "minimum": -86400
    //                                 },
    //                                 "from": {
    //                                     "$ref": "http://127.0.0.1:8008/api/schemas/commonschematemplate/datetime/1/#/definitions/timedelta",
    //                                     "default": -7200,
    //                                     "maximum": 86400,
    //                                     "minimum": -86400
    //                                 }
    //                             },
    //                             "description": "Offset window to LST centering",
    //                             "additionalProperties": false
    //                         }
    //                     },
    //                     "additionalProperties": false
    //                 },
    //                 "time": {
    //                     "type": "object",
    //                     "default": {},
    //                     "properties": {
    //                         "at": {
    //                             "$ref": "http://127.0.0.1:8008/api/schemas/commonschematemplate/datetime/1/#/definitions/timestamp",
    //                             "description": "Start at the specified date/time. Overrules dynamic scheduler priority. To be used only if really needed. Requires 'scheduler' to be set to 'fixed_time'."
    //                         },
    //                         "after": {
    //                             "$ref": "http://127.0.0.1:8008/api/schemas/commonschematemplate/datetime/1/#/definitions/timestamp",
    //                             "description": "Start after this moment"
    //                         },
    //                         "before": {
    //                             "$ref": "http://127.0.0.1:8008/api/schemas/commonschematemplate/datetime/1/#/definitions/timestamp",
    //                             "description": "End before this moment"
    //                         },
    //                         "between": {
    //                             "type": "array",
    //                             "items": {
    //                                 "$ref": "http://127.0.0.1:8008/api/schemas/commonschematemplate/datetime/1/#/definitions/timewindow"
    //                             },
    //                             "default": [],
    //                             "minItems": 0,
    //                             "description": "Run within one of these time windows",
    //                             "uniqueItems": true
    //                         },
    //                         "not_between": {
    //                             "type": "array",
    //                             "items": {
    //                                 "$ref": "http://127.0.0.1:8008/api/schemas/commonschematemplate/datetime/1/#/definitions/timewindow"
    //                             },
    //                             "default": [],
    //                             "minItems": 0,
    //                             "description": "Do NOT run within any of these time windows",
    //                             "uniqueItems": true
    //                         }
    //                     },
    //                     "additionalProperties": false
    //                 },
    //                 "daily": {
    //                     "type": "object",
    //                     "default": {},
    //                     "properties": {
    //                         "require_day": {
    //                             "type": "boolean",
    //                             "default": false,
    //                             "description": "Must run in daylight"
    //                         },
    //                         "require_night": {
    //                             "type": "boolean",
    //                             "default": false,
    //                             "description": "Must run at night"
    //                         },
    //                         "avoid_twilight": {
    //                             "type": "boolean",
    //                             "default": false,
    //                             "description": "Do not run during sunrise or sunset"
    //                         }
    //                     },
    //                     "additionalProperties": false
    //                 },
    //                 "scheduler": {
    //                     "enum": [
    //                         "fixed_time",
    //                         "dynamic"
    //                     ],
    //                     "name": "Scheduler",
    //                     "type": "string",
    //                     "default": "dynamic",
    //                     "description": "Schedule either at the fixed_time 'time.at' moment, of dynamically taking all time constraints into consideration."
    //                 }
    //             },
    //             "definitions": {
    //                 "elevation": {
    //                     "type": "number",
    //                     "maximum": 1.571,
    //                     "minimum": 0
    //                 },
    //                 "distance_on_sky": {
    //                     "type": "number",
    //                     "maximum": 3.142,
    //                     "minimum": 0
    //                 }
    //             },
    //             "description": "This schema defines the scheduling constraints for a scheduling unit"
    //         },
    //         "tags": [],
    //         "updated_at": "2022-01-21T12:15:20.616726",
    //         "version": 1
    //     }
    // ],
    getSchedulingConstraintTemplates: [
        {
            "id": 1,
            "url": "http://127.0.0.100:8008/api/scheduling_constraints_template/1",
            "created_at": "2022-01-21T12:15:20.616697",
            "description": "This schema defines the scheduling constraints for a scheduling unit",
            "name": "constraints",
            "schema": {
                "$id": "http://127.0.0.1:8008/api/schemas/schedulingconstraintstemplate/constraints/1#",
                "type": "object",
                "title": "constraints",
                "$schema": "http://json-schema.org/draft-06/schema#",
                "default": {},
                "version": 1,
                "required": [
                    "scheduler"
                ],
                "properties": {
                    "sky": {
                        "type": "object",
                        "default": {},
                        "properties": {
                            "min_distance": {
                                "type": "object",
                                "default": {},
                                "properties": {
                                    "sun": {
                                        "$ref": "#/definitions/distance_on_sky",
                                        "default": "0.5",
                                        "title": "sun (Degrees)",
                                        "propertyOrder": 12,
                                        "validationType": "distanceOnSky"
                                    },
                                    "moon": {
                                        "$ref": "#/definitions/distance_on_sky",
                                        "default": "0.5",
                                        "title": "moon (Degrees)",
                                        "propertyOrder": 12,
                                        "validationType": "distanceOnSky"
                                    },
                                    "jupiter": {
                                        "$ref": "#/definitions/distance_on_sky",
                                        "default": "0.5",
                                        "title": "jupiter (Degrees)",
                                        "propertyOrder": 12,
                                        "validationType": "distanceOnSky"
                                    }
                                },
                                "additionalProperties": false
                            },
                            "min_elevation": {
                                "type": "object",
                                "default": {},
                                "properties": {
                                    "target": {
                                        "$ref": "#/definitions/elevation",
                                        "default": "0.5",
                                        "description": "Minimum elevation for all target sources",
                                        "title": "target (Degrees)",
                                        "propertyOrder": 8,
                                        "validationType": "elevation"
                                    },
                                    "calibrator": {
                                        "$ref": "#/definitions/elevation",
                                        "default": "0.5",
                                        "description": "Minimum elevation for all calibrator sources",
                                        "title": "calibrator (Degrees)",
                                        "propertyOrder": 8,
                                        "validationType": "elevation"
                                    }
                                },
                                "additionalProperties": false
                            },
                            "transit_offset": {
                                "type": "object",
                                "default": {},
                                "required": [
                                    "from",
                                    "to"
                                ],
                                "properties": {
                                    "to": {
                                        "$ref": "#/definitions/timedelta",
                                        "default": 7200,
                                        "maximum": 86400,
                                        "minimum": -86400,
                                        "propertyOrder": 11,
                                        "validationType": "transitOffset"
                                    },
                                    "from": {
                                        "$ref": "#/definitions/timedelta",
                                        "default": 7200,
                                        "maximum": 86400,
                                        "minimum": -86400,
                                        "propertyOrder": 10,
                                        "validationType": "transitOffset"
                                    }
                                },
                                "description": "Offset window to LST centering",
                                "additionalProperties": false,
                                "propertyOrder": 9
                            }
                        },
                        "additionalProperties": false,
                        "propertyOrder": 7
                    },
                    "time": {
                        "type": "object",
                        "default": {},
                        "properties": {
                            "at": {
                                "$ref": "#/definitions/timestamp",
                                "description": "Start at the specified date/time. Overrules dynamic scheduler priority. To be used only if really needed. Requires 'scheduler' to be set to 'fixed_time'.",
                                "propertyOrder": 3
                            },
                            "after": {
                                "$ref": "#/definitions/timestamp",
                                "description": "Start after this moment",
                                "propertyOrder": 3
                            },
                            "before": {
                                "$ref": "#/definitions/timestamp",
                                "description": "End before this moment",
                                "propertyOrder": 3
                            },
                            "between": {
                                "type": "array",
                                "items": {
                                    "$ref": "#/definitions/timewindow"
                                },
                                "default": [],
                                "minItems": 0,
                                "description": "Run within one of these time windows",
                                "uniqueItems": true,
                                "propertyOrder": 4
                            },
                            "not_between": {
                                "type": "array",
                                "items": {
                                    "$ref": "#/definitions/timewindow"
                                },
                                "default": [],
                                "minItems": 0,
                                "description": "Do NOT run within any of these time windows",
                                "uniqueItems": true,
                                "propertyOrder": 4
                            }
                        },
                        "additionalProperties": false,
                        "propertyOrder": 2
                    },
                    "daily": {
                        "type": "object",
                        "default": {},
                        "properties": {
                            "require_day": {
                                "type": "boolean",
                                "default": false,
                                "description": "Must run in daylight",
                                "propertyOrder": 6,
                                "format": "checkbox",
                                "skipFormat": true
                            },
                            "require_night": {
                                "type": "boolean",
                                "default": false,
                                "description": "Must run at night",
                                "propertyOrder": 6,
                                "format": "checkbox",
                                "skipFormat": true
                            },
                            "avoid_twilight": {
                                "type": "boolean",
                                "default": false,
                                "description": "Do not run during sunrise or sunset",
                                "propertyOrder": 6,
                                "format": "checkbox",
                                "skipFormat": true
                            }
                        },
                        "additionalProperties": false,
                        "propertyOrder": 5,
                        "format": "checkbox",
                        "skipFormat": true
                    },
                    "scheduler": {
                        "enum": [
                            "fixed_time",
                            "dynamic"
                        ],
                        "name": "Scheduler",
                        "type": "string",
                        "default": "dynamic",
                        "description": "Schedule either at the fixed_time 'time.at' moment, of dynamically taking all time constraints into consideration.",
                        "propertyOrder": 1
                    }
                },
                "definitions": {
                    "elevation": {
                        "type": "number"
                    },
                    "distance_on_sky": {
                        "type": "number"
                    },
                    "timedelta": {
                        "type": "number",
                        "default": 0,
                        "description": "A time duration or delta expressed in seconds"
                    },
                    "timestamp": {
                        "type": "string",
                        "format": "date-time",
                        "pattern": "\\d{4}-[01]\\d-[0-3]\\dT[0-2]\\d:[0-5]\\d:[0-5]\\d(\\.\\d+)?Z?",
                        "description": "A timestamp defined in UTC"
                    },
                    "timewindow": {
                        "type": "object",
                        "required": [
                            "from",
                            "to"
                        ],
                        "properties": {
                            "to": {
                                "$ref": "#/definitions/timestamp"
                            },
                            "from": {
                                "$ref": "#/definitions/timestamp"
                            }
                        },
                        "description": "A timewindow interval: [from, to)",
                        "additionalProperties": false
                    }
                },
                "description": "This schema defines the scheduling constraints for a scheduling unit"
            },
            "tags": [],
            "updated_at": "2022-01-21T12:15:20.616726",
            "version": 1
        }
    ],
    getSUCTemplates: async () => {
        async function getTemplateFiles(dir) {
            let files = await fs.promises.readdir(dir);
            files = await Promise.all(files.map(async file => {
                const filePath = path.join(dir, file);
                const stats = await fs.promises.stat(filePath);
                if (stats.isDirectory()) return getTemplateFiles(filePath);
                else if (stats.isFile()) return filePath;
            }));

            return files.reduce((all, folderContents) => all.concat(folderContents), []);
        }

        const templateFiles = await getTemplateFiles("../tmss_webapp/build/schemas/scheduling_constraints_template");
        let constraintTemplates = [];
        for (const template of templateFiles) {
            constraintTemplates.push(fs.readFileSync(template, 'utf8'));
        }
        return parseTemplatesToCorrectJSONFormat(constraintTemplates);
    },
    getSchedulingUnitFilterDefinition: {
        "name": "Scheduling Unit Draft List",
        "description": "",
        "renders": [
            "application/json",
            "text/html"
        ],
        "parses": [
            "application/json",
            "application/x-www-form-urlencoded",
            "multipart/form-data"
        ],
        "actions": {
            "POST": {
                "id": {
                    "type": "integer",
                    "required": false,
                    "read_only": true,
                    "label": "ID"
                },
                "url": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "Url"
                },
                "created_at": {
                    "type": "datetime",
                    "required": false,
                    "read_only": true,
                    "label": "Created at",
                    "help_text": "Moment of object creation."
                },
                "description": {
                    "type": "string",
                    "required": false,
                    "read_only": false,
                    "label": "Description",
                    "help_text": "A longer description of this object.",
                    "max_length": 255
                },
                "duration": {
                    "type": "float",
                    "required": false,
                    "read_only": true,
                    "label": "Duration"
                },
                "ingest_permission_required": {
                    "type": "boolean",
                    "required": false,
                    "read_only": false,
                    "label": "Ingest permission required",
                    "help_text": "Explicit permission is needed before the task."
                },
                "interrupts_telescope": {
                    "type": "boolean",
                    "required": false,
                    "read_only": true,
                    "label": "Interrupts telescope",
                    "help_text": "boolean (default FALSE), which indicates whether this observation was triggered (responsive telescope)"
                },
                "name": {
                    "type": "string",
                    "required": true,
                    "read_only": false,
                    "label": "Name",
                    "help_text": "Human-readable name of this object.",
                    "max_length": 128
                },
                "observation_strategy_template": {
                    "type": "field",
                    "required": false,
                    "read_only": false,
                    "label": "Observation strategy template",
                    "help_text": "Observation Strategy Template used to create the specifications_doc."
                },
                "observation_strategy_template_id": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "Observation strategy template id"
                },
                "piggyback_allowed_aartfaac": {
                    "type": "boolean",
                    "required": false,
                    "read_only": false,
                    "label": "Piggyback allowed aartfaac",
                    "help_text": "Piggyback key for AARTFAAC."
                },
                "piggyback_allowed_tbb": {
                    "type": "boolean",
                    "required": false,
                    "read_only": false,
                    "label": "Piggyback allowed tbb",
                    "help_text": "Piggyback key for TBB."
                },
                "priority_queue": {
                    "type": "field",
                    "required": false,
                    "read_only": false,
                    "label": "Priority queue",
                    "help_text": "Priority queue of this scheduling unit. Queues provide a strict ordering between scheduling units."
                },
                "priority_queue_value": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "priority_queue_value"
                },
                "priority_rank": {
                    "type": "float",
                    "required": false,
                    "read_only": false,
                    "label": "Priority rank",
                    "help_text": "Priority of this scheduling unit w.r.t. other scheduling units within the same queue and project."
                },
                "scheduling_constraints_doc": {
                    "type": "field",
                    "required": true,
                    "read_only": false,
                    "label": "Scheduling constraints doc"
                },
                "scheduling_constraints_template": {
                    "type": "field",
                    "required": false,
                    "read_only": false,
                    "label": "Scheduling constraints template",
                    "help_text": "Schema used for scheduling_constraints_doc."
                },
                "scheduling_constraints_template_id": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "Scheduling constraints template id"
                },
                "scheduling_set": {
                    "type": "field",
                    "required": true,
                    "read_only": false,
                    "label": "Scheduling set",
                    "help_text": "Set to which this scheduling unit draft belongs."
                },
                "scheduling_set_id": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "Scheduling set id"
                },
                "scheduling_unit_blueprints": {
                    "type": "field",
                    "required": true,
                    "read_only": false,
                    "label": "Scheduling unit blueprints"
                },
                "scheduling_unit_blueprints_ids": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "scheduling_unit_blueprints_ids"
                },
                "specifications_template": {
                    "type": "field",
                    "required": true,
                    "read_only": false,
                    "label": "Specifications template",
                    "help_text": "Schema used for specifications_doc."
                },
                "specifications_template_id": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "Specifications template id"
                },
                "tags": {
                    "type": "list",
                    "required": false,
                    "read_only": false,
                    "label": "Tags",
                    "help_text": "User-defined search keywords for object.",
                    "child": {
                        "type": "string",
                        "required": true,
                        "read_only": false,
                        "label": "Tags",
                        "max_length": 128
                    }
                },
                "task_drafts": {
                    "type": "field",
                    "required": true,
                    "read_only": false,
                    "label": "Task drafts"
                },
                "task_drafts_ids": {
                    "type": "field",
                    "required": false,
                    "read_only": true,
                    "label": "task_drafts_ids"
                },
                "updated_at": {
                    "type": "datetime",
                    "required": false,
                    "read_only": true,
                    "label": "Updated at",
                    "help_text": "Moment of last object update."
                }
            }
        },
        "filters": {
            "id": {
                "type": "NumberInFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "tags": {
                "type": "CharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "created_at": {
                "type": "IsoDateTimeFromToRangeFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "updated_at": {
                "type": "IsoDateTimeFromToRangeFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "name": {
                "type": "CharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "description": {
                "type": "CharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "scheduling_set": {
                "type": "PropertyCharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "specifications_template": {
                "type": "ModelChoiceFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "observation_strategy_template": {
                "type": "ModelChoiceFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "scheduling_constraints_doc": {
                "type": "CharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "scheduling_constraints_template": {
                "type": "ModelChoiceFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "ingest_permission_required": {
                "type": "BooleanFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "piggyback_allowed_tbb": {
                "type": "BooleanFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "piggyback_allowed_aartfaac": {
                "type": "BooleanFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "priority_rank": {
                "type": "RangeFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "priority_queue": {
                "type": "ModelChoiceFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "interrupts_telescope": {
                "type": "BooleanFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "project": {
                "type": "PropertyCharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "id_min": {
                "type": "NumberFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "id_max": {
                "type": "NumberFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "scheduling_unit_blueprints": {
                "type": "ModelMultipleChoiceFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "duration_min": {
                "type": "PropertyDurationFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "duration_max": {
                "type": "PropertyDurationFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "angle1": {
                "type": "TargetObservationSpecificationDocFloatRangeFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "angle2": {
                "type": "TargetObservationSpecificationDocFloatRangeFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "direction_type": {
                "type": "TargetObservationSpecificationFilterCharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "observation_strategy_template_name": {
                "type": "CharFilter",
                "lookup_types": [
                    "exact"
                ]
            },
            "observation_strategy_template_description": {
                "type": "CharFilter",
                "lookup_types": [
                    "exact"
                ]
            }
        },
        "ordering": [
            "id",
            "tags",
            "created_at",
            "updated_at",
            "name",
            "description",
            "scheduling_set",
            "specifications_template",
            "observation_strategy_template",
            "scheduling_constraints_doc",
            "scheduling_constraints_template",
            "ingest_permission_required",
            "piggyback_allowed_tbb",
            "piggyback_allowed_aartfaac",
            "priority_rank",
            "priority_queue",
            "interrupts_telescope"
        ]
    },
    getAllTaskRelation: [
        {
            "id": 1,
            "url": "http://127.0.0.100:8008/api/task_relation_draft/1",
            "blueprints": [
                "http://127.0.0.100:8008/api/task_relation_blueprint/4"
            ],
            "blueprints_ids": [
                4
            ],
            "consumer": "http://127.0.0.100:8008/api/task_draft/8",
            "consumer_id": 8,
            "created_at": "2022-01-24T07:40:18.426593",
            "input_role": "http://127.0.0.100:8008/api/task_connector_type/10",
            "input_role_id": 10,
            "output_role": "http://127.0.0.100:8008/api/task_connector_type/1",
            "output_role_id": 1,
            "producer": "http://127.0.0.100:8008/api/task_draft/2",
            "producer_id": 2,
            "selection_doc": {
                "$schema": "http://127.0.0.1:8008/api/schemas/taskrelationselectiontemplate/all/1#"
            },
            "selection_template": "http://127.0.0.100:8008/api/task_relation_selection_template/2",
            "selection_template_id": 2,
            "tags": [],
            "updated_at": "2022-01-24T07:40:18.426609"
        },
        {
            "id": 2,
            "url": "http://127.0.0.100:8008/api/task_relation_draft/2",
            "blueprints": [
                "http://127.0.0.100:8008/api/task_relation_blueprint/3"
            ],
            "blueprints_ids": [
                3
            ],
            "consumer": "http://127.0.0.100:8008/api/task_draft/7",
            "consumer_id": 7,
            "created_at": "2022-01-24T07:40:18.476404",
            "input_role": "http://127.0.0.100:8008/api/task_connector_type/10",
            "input_role_id": 10,
            "output_role": "http://127.0.0.100:8008/api/task_connector_type/1",
            "output_role_id": 1,
            "producer": "http://127.0.0.100:8008/api/task_draft/4",
            "producer_id": 4,
            "selection_doc": {
                "$schema": "http://127.0.0.1:8008/api/schemas/taskrelationselectiontemplate/all/1#"
            },
            "selection_template": "http://127.0.0.100:8008/api/task_relation_selection_template/2",
            "selection_template_id": 2,
            "tags": [],
            "updated_at": "2022-01-24T07:40:18.476429"
        },
        {
            "id": 3,
            "url": "http://127.0.0.100:8008/api/task_relation_draft/3",
            "blueprints": [
                "http://127.0.0.100:8008/api/task_relation_blueprint/2"
            ],
            "blueprints_ids": [
                2
            ],
            "consumer": "http://127.0.0.100:8008/api/task_draft/6",
            "consumer_id": 6,
            "created_at": "2022-01-24T07:40:18.523693",
            "input_role": "http://127.0.0.100:8008/api/task_connector_type/10",
            "input_role_id": 10,
            "output_role": "http://127.0.0.100:8008/api/task_connector_type/2",
            "output_role_id": 2,
            "producer": "http://127.0.0.100:8008/api/task_draft/3",
            "producer_id": 3,
            "selection_doc": {
                "sap": [
                    "target1"
                ],
                "$schema": "http://127.0.0.1:8008/api/schemas/taskrelationselectiontemplate/SAP/1#"
            },
            "selection_template": "http://127.0.0.100:8008/api/task_relation_selection_template/1",
            "selection_template_id": 1,
            "tags": [],
            "updated_at": "2022-01-24T07:40:18.523730"
        },
        {
            "id": 4,
            "url": "http://127.0.0.100:8008/api/task_relation_draft/4",
            "blueprints": [
                "http://127.0.0.100:8008/api/task_relation_blueprint/1"
            ],
            "blueprints_ids": [
                1
            ],
            "consumer": "http://127.0.0.100:8008/api/task_draft/5",
            "consumer_id": 5,
            "created_at": "2022-01-24T07:40:18.562314",
            "input_role": "http://127.0.0.100:8008/api/task_connector_type/10",
            "input_role_id": 10,
            "output_role": "http://127.0.0.100:8008/api/task_connector_type/2",
            "output_role_id": 2,
            "producer": "http://127.0.0.100:8008/api/task_draft/3",
            "producer_id": 3,
            "selection_doc": {
                "sap": [
                    "target2"
                ],
                "$schema": "http://127.0.0.1:8008/api/schemas/taskrelationselectiontemplate/SAP/1#"
            },
            "selection_template": "http://127.0.0.100:8008/api/task_relation_selection_template/1",
            "selection_template_id": 1,
            "tags": [],
            "updated_at": "2022-01-24T07:40:18.562330"
        },
        {
            "id": 5,
            "url": "http://127.0.0.100:8008/api/task_relation_draft/5",
            "blueprints": [
                "http://127.0.0.100:8008/api/task_relation_blueprint/5"
            ],
            "blueprints_ids": [
                5
            ],
            "consumer": "http://127.0.0.100:8008/api/task_draft/9",
            "consumer_id": 9,
            "created_at": "2022-01-24T07:40:18.599211",
            "input_role": "http://127.0.0.100:8008/api/task_connector_type/12",
            "input_role_id": 12,
            "output_role": "http://127.0.0.100:8008/api/task_connector_type/11",
            "output_role_id": 11,
            "producer": "http://127.0.0.100:8008/api/task_draft/8",
            "producer_id": 8,
            "selection_doc": {
                "$schema": "http://127.0.0.1:8008/api/schemas/taskrelationselectiontemplate/all/1#"
            },
            "selection_template": "http://127.0.0.100:8008/api/task_relation_selection_template/2",
            "selection_template_id": 2,
            "tags": [],
            "updated_at": "2022-01-24T07:40:18.599226"
        },
        {
            "id": 6,
            "url": "http://127.0.0.100:8008/api/task_relation_draft/6",
            "blueprints": [
                "http://127.0.0.100:8008/api/task_relation_blueprint/6"
            ],
            "blueprints_ids": [
                6
            ],
            "consumer": "http://127.0.0.100:8008/api/task_draft/9",
            "consumer_id": 9,
            "created_at": "2022-01-24T07:40:18.630126",
            "input_role": "http://127.0.0.100:8008/api/task_connector_type/12",
            "input_role_id": 12,
            "output_role": "http://127.0.0.100:8008/api/task_connector_type/11",
            "output_role_id": 11,
            "producer": "http://127.0.0.100:8008/api/task_draft/7",
            "producer_id": 7,
            "selection_doc": {
                "$schema": "http://127.0.0.1:8008/api/schemas/taskrelationselectiontemplate/all/1#"
            },
            "selection_template": "http://127.0.0.100:8008/api/task_relation_selection_template/2",
            "selection_template_id": 2,
            "tags": [],
            "updated_at": "2022-01-24T07:40:18.630141"
        },
        {
            "id": 7,
            "url": "http://127.0.0.100:8008/api/task_relation_draft/7",
            "blueprints": [
                "http://127.0.0.100:8008/api/task_relation_blueprint/7"
            ],
            "blueprints_ids": [
                7
            ],
            "consumer": "http://127.0.0.100:8008/api/task_draft/9",
            "consumer_id": 9,
            "created_at": "2022-01-24T07:40:18.657560",
            "input_role": "http://127.0.0.100:8008/api/task_connector_type/12",
            "input_role_id": 12,
            "output_role": "http://127.0.0.100:8008/api/task_connector_type/11",
            "output_role_id": 11,
            "producer": "http://127.0.0.100:8008/api/task_draft/6",
            "producer_id": 6,
            "selection_doc": {
                "$schema": "http://127.0.0.1:8008/api/schemas/taskrelationselectiontemplate/all/1#"
            },
            "selection_template": "http://127.0.0.100:8008/api/task_relation_selection_template/2",
            "selection_template_id": 2,
            "tags": [],
            "updated_at": "2022-01-24T07:40:18.657575"
        },
        {
            "id": 8,
            "url": "http://127.0.0.100:8008/api/task_relation_draft/8",
            "blueprints": [
                "http://127.0.0.100:8008/api/task_relation_blueprint/8"
            ],
            "blueprints_ids": [
                8
            ],
            "consumer": "http://127.0.0.100:8008/api/task_draft/9",
            "consumer_id": 9,
            "created_at": "2022-01-24T07:40:18.678912",
            "input_role": "http://127.0.0.100:8008/api/task_connector_type/12",
            "input_role_id": 12,
            "output_role": "http://127.0.0.100:8008/api/task_connector_type/11",
            "output_role_id": 11,
            "producer": "http://127.0.0.100:8008/api/task_draft/5",
            "producer_id": 5,
            "selection_doc": {
                "$schema": "http://127.0.0.1:8008/api/schemas/taskrelationselectiontemplate/all/1#"
            },
            "selection_template": "http://127.0.0.100:8008/api/task_relation_selection_template/2",
            "selection_template_id": 2,
            "tags": [],
            "updated_at": "2022-01-24T07:40:18.678929"
        },
        {
            "id": 9,
            "url": "http://127.0.0.100:8008/api/task_relation_draft/9",
            "blueprints": [
                "http://127.0.0.100:8008/api/task_relation_blueprint/9"
            ],
            "blueprints_ids": [
                9
            ],
            "consumer": "http://127.0.0.100:8008/api/task_draft/11",
            "consumer_id": 11,
            "created_at": "2022-01-24T07:40:22.006825",
            "input_role": "http://127.0.0.100:8008/api/task_connector_type/10",
            "input_role_id": 10,
            "output_role": "http://127.0.0.100:8008/api/task_connector_type/2",
            "output_role_id": 2,
            "producer": "http://127.0.0.100:8008/api/task_draft/10",
            "producer_id": 10,
            "selection_doc": {
                "$schema": "http://127.0.0.1:8008/api/schemas/taskrelationselectiontemplate/all/1#"
            },
            "selection_template": "http://127.0.0.100:8008/api/task_relation_selection_template/2",
            "selection_template_id": 2,
            "tags": [],
            "updated_at": "2022-01-24T07:40:22.006859"
        },
        {
            "id": 10,
            "url": "http://127.0.0.100:8008/api/task_relation_draft/10",
            "blueprints": [
                "http://127.0.0.100:8008/api/task_relation_blueprint/12"
            ],
            "blueprints_ids": [
                12
            ],
            "consumer": "http://127.0.0.100:8008/api/task_draft/13",
            "consumer_id": 13,
            "created_at": "2022-01-24T07:40:22.119443",
            "input_role": "http://127.0.0.100:8008/api/task_connector_type/12",
            "input_role_id": 12,
            "output_role": "http://127.0.0.100:8008/api/task_connector_type/11",
            "output_role_id": 11,
            "producer": "http://127.0.0.100:8008/api/task_draft/11",
            "producer_id": 11,
            "selection_doc": {
                "$schema": "http://127.0.0.1:8008/api/schemas/taskrelationselectiontemplate/all/1#"
            },
            "selection_template": "http://127.0.0.100:8008/api/task_relation_selection_template/2",
            "selection_template_id": 2,
            "tags": [],
            "updated_at": "2022-01-24T07:40:22.119469"
        },
        {
            "id": 11,
            "url": "http://127.0.0.100:8008/api/task_relation_draft/11",
            "blueprints": [
                "http://127.0.0.100:8008/api/task_relation_blueprint/10"
            ],
            "blueprints_ids": [
                10
            ],
            "consumer": "http://127.0.0.100:8008/api/task_draft/12",
            "consumer_id": 12,
            "created_at": "2022-01-24T07:40:22.185730",
            "input_role": "http://127.0.0.100:8008/api/task_connector_type/30",
            "input_role_id": 30,
            "output_role": "http://127.0.0.100:8008/api/task_connector_type/2",
            "output_role_id": 2,
            "producer": "http://127.0.0.100:8008/api/task_draft/10",
            "producer_id": 10,
            "selection_doc": {
                "$schema": "http://127.0.0.1:8008/api/schemas/taskrelationselectiontemplate/all/1#"
            },
            "selection_template": "http://127.0.0.100:8008/api/task_relation_selection_template/2",
            "selection_template_id": 2,
            "tags": [],
            "updated_at": "2022-01-24T07:40:22.185749"
        },
        {
            "id": 12,
            "url": "http://127.0.0.100:8008/api/task_relation_draft/12",
            "blueprints": [
                "http://127.0.0.100:8008/api/task_relation_blueprint/11"
            ],
            "blueprints_ids": [
                11
            ],
            "consumer": "http://127.0.0.100:8008/api/task_draft/12",
            "consumer_id": 12,
            "created_at": "2022-01-24T07:40:22.268746",
            "input_role": "http://127.0.0.100:8008/api/task_connector_type/30",
            "input_role_id": 30,
            "output_role": "http://127.0.0.100:8008/api/task_connector_type/11",
            "output_role_id": 11,
            "producer": "http://127.0.0.100:8008/api/task_draft/11",
            "producer_id": 11,
            "selection_doc": {
                "$schema": "http://127.0.0.1:8008/api/schemas/taskrelationselectiontemplate/all/1#"
            },
            "selection_template": "http://127.0.0.100:8008/api/task_relation_selection_template/2",
            "selection_template_id": 2,
            "tags": [],
            "updated_at": "2022-01-24T07:40:22.268769"
        }],
    getStationGroup: [{
        value: 'Dutch'
    }, {
        value: 'International'
    }, {
        value: 'Core'
    }, {
        value: 'Remote'
    }, {
        value: 'Superterp'
    }],
    getStations: {
        "group": "dutch",
        "stations": ["CS001", "CS002", "CS003", "CS004", "CS005", "CS006", "CS007", "CS011", "CS013", "CS017", "CS021", "CS024", "CS026", "CS028", "CS030", "CS031", "CS032", "CS101", "CS103", "CS201", "CS301", "CS302", "CS401", "CS501", "RS106", "RS205", "RS208", "RS210", "RS305", "RS306", "RS307", "RS310", "RS406", "RS407", "RS409", "RS503", "RS508", "RS509"]
    },
    getMyRoles: {
        "project_roles": {}, "system_roles": ["superuser"]
    },
    getSchedulingBySet: () => {
        return [{
            "id": 1,
            "url": "http://127.0.0.100:8008/api/scheduling_unit_draft/1",
            "created_at": "2022-02-03T01:54:19.628183",
            "description": "Test scheduling unit",
            "duration": 7560,
            "ingest_permission_required": true,
            "interrupts_telescope": false,
            "name": "UC1 high 1",
            "observation_strategy_template": "http://127.0.0.100:8008/api/scheduling_unit_observing_strategy_template/1",
            "observation_strategy_template_id": 1,
            "piggyback_allowed_aartfaac": true,
            "piggyback_allowed_tbb": true,
            "priority_queue": "http://127.0.0.100:8008/api/priority_queue_type/A",
            "priority_queue_value": "A",
            "priority_rank": 1,
            "scheduling_constraints_doc": {
                "sky": {
                    "min_distance": {
                        "sun": 0.5,
                        "moon": 0.5,
                        "jupiter": 0.5
                    },
                    "min_elevation": {
                        "target": 0.5,
                        "calibrator": 0.5
                    },
                    "transit_offset": {
                        "to": 7200,
                        "from": -7200
                    }
                },
                "time": {
                    "at": "2022-02-03T02:44:18.280549"
                },
                "daily": {
                    "require_day": false,
                    "require_night": false,
                    "avoid_twilight": false
                },
                "$schema": "http://127.0.0.1:8008/api/schemas/schedulingconstraintstemplate/constraints/1#",
                "scheduler": "fixed_time"
            },
            "scheduling_constraints_template": "http://127.0.0.100:8008/api/scheduling_constraints_template/1",
            "scheduling_constraints_template_id": 1,
            "scheduling_set": "http://127.0.0.100:8008/api/scheduling_set/1",
            "scheduling_set_id": 1,
            "scheduling_unit_blueprints": [
                "http://127.0.0.100:8008/api/scheduling_unit_blueprint/2"
            ],
            "scheduling_unit_blueprints_ids": [
                2
            ],
            "specifications_template": "http://127.0.0.100:8008/api/scheduling_unit_template/1",
            "specifications_template_id": 1,
            "tags": [],
            "task_drafts": [
                "http://127.0.0.100:8008/api/task_draft/9",
                "http://127.0.0.100:8008/api/task_draft/8",
                "http://127.0.0.100:8008/api/task_draft/7",
                "http://127.0.0.100:8008/api/task_draft/6",
                "http://127.0.0.100:8008/api/task_draft/5",
                "http://127.0.0.100:8008/api/task_draft/4",
                "http://127.0.0.100:8008/api/task_draft/3",
                "http://127.0.0.100:8008/api/task_draft/2"
            ],
            "task_drafts_ids": [
                9,
                8,
                7,
                6,
                5,
                4,
                3,
                2
            ],
            "updated_at": "2022-02-03T01:54:19.628201"
        },
            {
                "id": 1,
                "url": "http://localhost:3000/api/scheduling_unit_draft/3",
                "description": "Test scheduling unit",
                "name": "BF CV FRB",
                "observation_strategy_template": "http://localhost:3000/api/scheduling_unit_observing_strategy_template/3",
                "observation_strategy_template_id": 3,
                "priority_queue_value": "A",
                "rank": 1,
                "scheduling_constraints_doc": {
                    "sky": {
                        "min_distance": {
                            "sun": 0.00872665,
                            "moon": 0.00872665,
                            "jupiter": 0
                        },
                        "min_elevation": {
                            "target": 0.5235987755982988,
                            "calibrator": 0.5235987755982988
                        },
                        "transit_offset": {
                            "to": 21600,
                            "from": -21600
                        }
                    },
                    "$schema": "http://127.0.0.1:8008/api/schemas/schedulingconstraintstemplate/constraints/8/ref_resolved",
                    "scheduler": "dynamic"
                },
                "scheduling_constraints_template": "http://localhost:3000/api/scheduling_constraints_template/3",
                "scheduling_constraints_template_id": 3,
                "scheduling_set": "http://localhost:3000/api/scheduling_set/1",
                "scheduling_unit_blueprints": [
                    "http://localhost:3000/api/scheduling_unit_blueprint/3"
                ],
                "specifications_template": "http://localhost:3000/api/scheduling_unit_template/1",
                "task_drafts": [
                    "http://localhost:3000/api/task_draft/9",
                    "http://localhost:3000/api/task_draft/10",
                    "http://localhost:3000/api/task_draft/11",
                    "http://localhost:3000/api/task_draft/12"
                ],
                "taskDrafts": [
                    {
                        "id": 9,
                        "url": "http://localhost:3000/api/task_draft/9",
                        "description": "Beamforming observation for default baseband recording with HBA, Full Core, 20 min, 8bit, CV, 1ch/sub, Nsubs=400",
                        "name": "Observation",
                        "short_description": "FRB YYYYMMDDA",
                        "specifications_doc": {
                            "QA": {
                                "plots": {
                                    "enabled": false,
                                    "autocorrelation": true,
                                    "crosscorrelation": true
                                },
                                "file_conversion": {
                                    "enabled": false,
                                    "nr_of_subbands": -1,
                                    "nr_of_timestamps": 256
                                },
                                "inspection_plots": "msplots"
                            },
                            "$schema": "http://127.0.0.1:8008/api/schemas/tasktemplate/beamforming%20observation/8/ref_resolved",
                            "duration": 120,
                            "beamformer": {
                                "ppf": false,
                                "pipelines": [
                                    {
                                        "name": "Beamformer CV",
                                        "coherent": {
                                            "SAPs": [
                                                {
                                                    "name": "SAP0",
                                                    "tabs": [
                                                        {
                                                            "duration": 0,
                                                            "pointing": {
                                                                "angle1": 0,
                                                                "angle2": 0,
                                                                "target": "OnTarget",
                                                                "direction_type": "J2000"
                                                            },
                                                            "relative": true,
                                                            "allow_after_previous": true
                                                        }
                                                    ],
                                                    "subbands": {
                                                        "list": [
                                                            51,
                                                            52,
                                                            53,
                                                            54,
                                                            55,
                                                            56,
                                                            57,
                                                            58,
                                                            59,
                                                            60,
                                                            61,
                                                            62,
                                                            63,
                                                            64,
                                                            65,
                                                            66,
                                                            67,
                                                            68,
                                                            69,
                                                            70,
                                                            71,
                                                            72,
                                                            73,
                                                            74,
                                                            75,
                                                            76,
                                                            77,
                                                            78,
                                                            79,
                                                            80,
                                                            81,
                                                            82,
                                                            83,
                                                            84,
                                                            85,
                                                            86,
                                                            87,
                                                            88,
                                                            89,
                                                            90,
                                                            91,
                                                            92,
                                                            93,
                                                            94,
                                                            95,
                                                            96,
                                                            97,
                                                            98,
                                                            99,
                                                            100,
                                                            101,
                                                            102,
                                                            103,
                                                            104,
                                                            105,
                                                            106,
                                                            107,
                                                            108,
                                                            109,
                                                            110,
                                                            111,
                                                            112,
                                                            113,
                                                            114,
                                                            115,
                                                            116,
                                                            117,
                                                            118,
                                                            119,
                                                            120,
                                                            121,
                                                            122,
                                                            123,
                                                            124,
                                                            125,
                                                            126,
                                                            127,
                                                            128,
                                                            129,
                                                            130,
                                                            131,
                                                            132,
                                                            133,
                                                            134,
                                                            135,
                                                            136,
                                                            137,
                                                            138,
                                                            139,
                                                            140,
                                                            141,
                                                            142,
                                                            143,
                                                            144,
                                                            145,
                                                            146,
                                                            147,
                                                            148,
                                                            149,
                                                            150,
                                                            151,
                                                            152,
                                                            153,
                                                            154,
                                                            155,
                                                            156,
                                                            157,
                                                            158,
                                                            159,
                                                            160,
                                                            161,
                                                            162,
                                                            163,
                                                            164,
                                                            165,
                                                            166,
                                                            167,
                                                            168,
                                                            169,
                                                            170,
                                                            171,
                                                            172,
                                                            173,
                                                            174,
                                                            175,
                                                            176,
                                                            177,
                                                            178,
                                                            179,
                                                            180,
                                                            181,
                                                            182,
                                                            183,
                                                            184,
                                                            185,
                                                            186,
                                                            187,
                                                            188,
                                                            189,
                                                            190,
                                                            191,
                                                            192,
                                                            193,
                                                            194,
                                                            195,
                                                            196,
                                                            197,
                                                            198,
                                                            199,
                                                            200,
                                                            201,
                                                            202,
                                                            203,
                                                            204,
                                                            205,
                                                            206,
                                                            207,
                                                            208,
                                                            209,
                                                            210,
                                                            211,
                                                            212,
                                                            213,
                                                            214,
                                                            215,
                                                            216,
                                                            217,
                                                            218,
                                                            219,
                                                            220,
                                                            221,
                                                            222,
                                                            223,
                                                            224,
                                                            225,
                                                            226,
                                                            227,
                                                            228,
                                                            229,
                                                            230,
                                                            231,
                                                            232,
                                                            233,
                                                            234,
                                                            235,
                                                            236,
                                                            237,
                                                            238,
                                                            239,
                                                            240,
                                                            241,
                                                            242,
                                                            243,
                                                            244,
                                                            245,
                                                            246,
                                                            247,
                                                            248,
                                                            249,
                                                            250,
                                                            251,
                                                            252,
                                                            253,
                                                            254,
                                                            255,
                                                            256,
                                                            257,
                                                            258,
                                                            259,
                                                            260,
                                                            261,
                                                            262,
                                                            263,
                                                            264,
                                                            265,
                                                            266,
                                                            267,
                                                            268,
                                                            269,
                                                            270,
                                                            271,
                                                            272,
                                                            273,
                                                            274,
                                                            275,
                                                            276,
                                                            277,
                                                            278,
                                                            279,
                                                            280,
                                                            281,
                                                            282,
                                                            283,
                                                            284,
                                                            285,
                                                            286,
                                                            287,
                                                            288,
                                                            289,
                                                            290,
                                                            291,
                                                            292,
                                                            293,
                                                            294,
                                                            295,
                                                            296,
                                                            297,
                                                            298,
                                                            299,
                                                            300,
                                                            301,
                                                            302,
                                                            303,
                                                            304,
                                                            305,
                                                            306,
                                                            307,
                                                            308,
                                                            309,
                                                            310,
                                                            311,
                                                            312,
                                                            313,
                                                            314,
                                                            315,
                                                            316,
                                                            317,
                                                            318,
                                                            319,
                                                            320,
                                                            321,
                                                            322,
                                                            323,
                                                            324,
                                                            325,
                                                            326,
                                                            327,
                                                            328,
                                                            329,
                                                            330,
                                                            331,
                                                            332,
                                                            333,
                                                            334,
                                                            335,
                                                            336,
                                                            337,
                                                            338,
                                                            339,
                                                            340,
                                                            341,
                                                            342,
                                                            343,
                                                            344,
                                                            345,
                                                            346,
                                                            347,
                                                            348,
                                                            349,
                                                            350,
                                                            351,
                                                            352,
                                                            353,
                                                            354,
                                                            355,
                                                            356,
                                                            357,
                                                            358,
                                                            359,
                                                            360,
                                                            361,
                                                            362,
                                                            363,
                                                            364,
                                                            365,
                                                            366,
                                                            367,
                                                            368,
                                                            369,
                                                            370,
                                                            371,
                                                            372,
                                                            373,
                                                            374,
                                                            375,
                                                            376,
                                                            377,
                                                            378,
                                                            379,
                                                            380,
                                                            381,
                                                            382,
                                                            383,
                                                            384,
                                                            385,
                                                            386,
                                                            387,
                                                            388,
                                                            389,
                                                            390,
                                                            391,
                                                            392,
                                                            393,
                                                            394,
                                                            395,
                                                            396,
                                                            397,
                                                            398,
                                                            399,
                                                            400,
                                                            401,
                                                            402,
                                                            403,
                                                            404,
                                                            405,
                                                            406,
                                                            407,
                                                            408,
                                                            409,
                                                            410,
                                                            411,
                                                            412,
                                                            413,
                                                            414,
                                                            415,
                                                            416,
                                                            417,
                                                            418,
                                                            419,
                                                            420,
                                                            421,
                                                            422,
                                                            423,
                                                            424,
                                                            425,
                                                            426,
                                                            427,
                                                            428,
                                                            429,
                                                            430,
                                                            431,
                                                            432,
                                                            433,
                                                            434,
                                                            435,
                                                            436,
                                                            437,
                                                            438,
                                                            439,
                                                            440,
                                                            441,
                                                            442,
                                                            443,
                                                            444,
                                                            445,
                                                            446,
                                                            447,
                                                            448,
                                                            449,
                                                            450
                                                        ],
                                                        "method": "copy"
                                                    },
                                                    "tab_rings": {
                                                        "count": 0,
                                                        "width": 0.01
                                                    }
                                                }
                                            ],
                                            "settings": {
                                                "stokes": "XXYY",
                                                "quantisation": {
                                                    "bits": 8,
                                                    "enabled": false,
                                                    "scale_max": 5,
                                                    "scale_min": -5
                                                },
                                                "subbands_per_file": 20,
                                                "channels_per_subband": 1,
                                                "time_integration_factor": 1
                                            }
                                        },
                                        "flys eye": {
                                            "enabled": false,
                                            "settings": {
                                                "stokes": "I",
                                                "quantisation": {
                                                    "bits": 8,
                                                    "enabled": false,
                                                    "scale_max": 5,
                                                    "scale_min": -5
                                                },
                                                "subbands_per_file": 488,
                                                "channels_per_subband": 1,
                                                "time_integration_factor": 1
                                            }
                                        },
                                        "incoherent": {
                                            "SAPs": [],
                                            "settings": {
                                                "stokes": "I",
                                                "quantisation": {
                                                    "bits": 8,
                                                    "enabled": false,
                                                    "scale_max": 5,
                                                    "scale_min": -5
                                                },
                                                "subbands_per_file": 488,
                                                "channels_per_subband": 1,
                                                "time_integration_factor": 1
                                            }
                                        },
                                        "station_groups": [
                                            {
                                                "stations": [
                                                    "CS001",
                                                    "CS002",
                                                    "CS003",
                                                    "CS004",
                                                    "CS005",
                                                    "CS006",
                                                    "CS007",
                                                    "CS011",
                                                    "CS013",
                                                    "CS017",
                                                    "CS021",
                                                    "CS024",
                                                    "CS026",
                                                    "CS028",
                                                    "CS030",
                                                    "CS031",
                                                    "CS032",
                                                    "CS101",
                                                    "CS103",
                                                    "CS201",
                                                    "CS301",
                                                    "CS302",
                                                    "CS401",
                                                    "CS501"
                                                ],
                                                "max_nr_missing": 4
                                            }
                                        ]
                                    }
                                ]
                            },
                            "station_configuration": {
                                "SAPs": [
                                    {
                                        "name": "SAP0",
                                        "subbands": [
                                            51,
                                            52,
                                            53,
                                            54,
                                            55,
                                            56,
                                            57,
                                            58,
                                            59,
                                            60,
                                            61,
                                            62,
                                            63,
                                            64,
                                            65,
                                            66,
                                            67,
                                            68,
                                            69,
                                            70,
                                            71,
                                            72,
                                            73,
                                            74,
                                            75,
                                            76,
                                            77,
                                            78,
                                            79,
                                            80,
                                            81,
                                            82,
                                            83,
                                            84,
                                            85,
                                            86,
                                            87,
                                            88,
                                            89,
                                            90,
                                            91,
                                            92,
                                            93,
                                            94,
                                            95,
                                            96,
                                            97,
                                            98,
                                            99,
                                            100,
                                            101,
                                            102,
                                            103,
                                            104,
                                            105,
                                            106,
                                            107,
                                            108,
                                            109,
                                            110,
                                            111,
                                            112,
                                            113,
                                            114,
                                            115,
                                            116,
                                            117,
                                            118,
                                            119,
                                            120,
                                            121,
                                            122,
                                            123,
                                            124,
                                            125,
                                            126,
                                            127,
                                            128,
                                            129,
                                            130,
                                            131,
                                            132,
                                            133,
                                            134,
                                            135,
                                            136,
                                            137,
                                            138,
                                            139,
                                            140,
                                            141,
                                            142,
                                            143,
                                            144,
                                            145,
                                            146,
                                            147,
                                            148,
                                            149,
                                            150,
                                            151,
                                            152,
                                            153,
                                            154,
                                            155,
                                            156,
                                            157,
                                            158,
                                            159,
                                            160,
                                            161,
                                            162,
                                            163,
                                            164,
                                            165,
                                            166,
                                            167,
                                            168,
                                            169,
                                            170,
                                            171,
                                            172,
                                            173,
                                            174,
                                            175,
                                            176,
                                            177,
                                            178,
                                            179,
                                            180,
                                            181,
                                            182,
                                            183,
                                            184,
                                            185,
                                            186,
                                            187,
                                            188,
                                            189,
                                            190,
                                            191,
                                            192,
                                            193,
                                            194,
                                            195,
                                            196,
                                            197,
                                            198,
                                            199,
                                            200,
                                            201,
                                            202,
                                            203,
                                            204,
                                            205,
                                            206,
                                            207,
                                            208,
                                            209,
                                            210,
                                            211,
                                            212,
                                            213,
                                            214,
                                            215,
                                            216,
                                            217,
                                            218,
                                            219,
                                            220,
                                            221,
                                            222,
                                            223,
                                            224,
                                            225,
                                            226,
                                            227,
                                            228,
                                            229,
                                            230,
                                            231,
                                            232,
                                            233,
                                            234,
                                            235,
                                            236,
                                            237,
                                            238,
                                            239,
                                            240,
                                            241,
                                            242,
                                            243,
                                            244,
                                            245,
                                            246,
                                            247,
                                            248,
                                            249,
                                            250,
                                            251,
                                            252,
                                            253,
                                            254,
                                            255,
                                            256,
                                            257,
                                            258,
                                            259,
                                            260,
                                            261,
                                            262,
                                            263,
                                            264,
                                            265,
                                            266,
                                            267,
                                            268,
                                            269,
                                            270,
                                            271,
                                            272,
                                            273,
                                            274,
                                            275,
                                            276,
                                            277,
                                            278,
                                            279,
                                            280,
                                            281,
                                            282,
                                            283,
                                            284,
                                            285,
                                            286,
                                            287,
                                            288,
                                            289,
                                            290,
                                            291,
                                            292,
                                            293,
                                            294,
                                            295,
                                            296,
                                            297,
                                            298,
                                            299,
                                            300,
                                            301,
                                            302,
                                            303,
                                            304,
                                            305,
                                            306,
                                            307,
                                            308,
                                            309,
                                            310,
                                            311,
                                            312,
                                            313,
                                            314,
                                            315,
                                            316,
                                            317,
                                            318,
                                            319,
                                            320,
                                            321,
                                            322,
                                            323,
                                            324,
                                            325,
                                            326,
                                            327,
                                            328,
                                            329,
                                            330,
                                            331,
                                            332,
                                            333,
                                            334,
                                            335,
                                            336,
                                            337,
                                            338,
                                            339,
                                            340,
                                            341,
                                            342,
                                            343,
                                            344,
                                            345,
                                            346,
                                            347,
                                            348,
                                            349,
                                            350,
                                            351,
                                            352,
                                            353,
                                            354,
                                            355,
                                            356,
                                            357,
                                            358,
                                            359,
                                            360,
                                            361,
                                            362,
                                            363,
                                            364,
                                            365,
                                            366,
                                            367,
                                            368,
                                            369,
                                            370,
                                            371,
                                            372,
                                            373,
                                            374,
                                            375,
                                            376,
                                            377,
                                            378,
                                            379,
                                            380,
                                            381,
                                            382,
                                            383,
                                            384,
                                            385,
                                            386,
                                            387,
                                            388,
                                            389,
                                            390,
                                            391,
                                            392,
                                            393,
                                            394,
                                            395,
                                            396,
                                            397,
                                            398,
                                            399,
                                            400,
                                            401,
                                            402,
                                            403,
                                            404,
                                            405,
                                            406,
                                            407,
                                            408,
                                            409,
                                            410,
                                            411,
                                            412,
                                            413,
                                            414,
                                            415,
                                            416,
                                            417,
                                            418,
                                            419,
                                            420,
                                            421,
                                            422,
                                            423,
                                            424,
                                            425,
                                            426,
                                            427,
                                            428,
                                            429,
                                            430,
                                            431,
                                            432,
                                            433,
                                            434,
                                            435,
                                            436,
                                            437,
                                            438,
                                            439,
                                            440,
                                            441,
                                            442,
                                            443,
                                            444,
                                            445,
                                            446,
                                            447,
                                            448,
                                            449,
                                            450
                                        ],
                                        "digital_pointing": {
                                            "angle1": 0.92934186635,
                                            "angle2": 0.952579228492,
                                            "target": "FRB YYYYMMDDA",
                                            "direction_type": "J2000"
                                        }
                                    }
                                ],
                                "filter": "HBA_110_190",
                                "tile_beam": {
                                    "angle1": 0.92934186635,
                                    "angle2": 0.952579228492,
                                    "target": "Tile Beam on SAP center",
                                    "direction_type": "J2000"
                                },
                                "antenna_set": "HBA_DUAL_INNER",
                                "station_groups": [
                                    {
                                        "stations": [
                                            "CS001",
                                            "CS002",
                                            "CS003",
                                            "CS004",
                                            "CS005",
                                            "CS006",
                                            "CS007",
                                            "CS011",
                                            "CS013",
                                            "CS017",
                                            "CS021",
                                            "CS024",
                                            "CS026",
                                            "CS028",
                                            "CS030",
                                            "CS031",
                                            "CS032",
                                            "CS101",
                                            "CS103",
                                            "CS201",
                                            "CS301",
                                            "CS302",
                                            "CS401",
                                            "CS501"
                                        ],
                                        "max_nr_missing": 4
                                    }
                                ]
                            }
                        },
                        "specifications_template": "http://localhost:3000/api/task_template/29",
                        "task_type": "observation"
                    },
                    {
                        "id": 10,
                        "url": "http://localhost:3000/api/task_draft/10",
                        "description": "Pulsar Pipeline for FRB observation",
                        "name": "Pipeline",
                        "short_description": "FRB YYYYMMDDA/pulp",
                        "specifications_doc": {
                            "dspsr": {
                                "digifil": {
                                    "dm": 0.0001,
                                    "channels_per_part": 320,
                                    "coherent_dedispersion": true,
                                    "integration_time_factor": 4
                                },
                                "enabled": false,
                                "filterbank": {
                                    "enabled": false,
                                    "channels_per_part": 120,
                                    "coherent_dedispersion": false
                                },
                                "rfi_excision": true,
                                "optimise_period_dm": true,
                                "subintegration_length": -1,
                                "single_pulse_subintegration": false
                            },
                            "output": {
                                "quantisation": {
                                    "scale": 5,
                                    "enabled": false
                                },
                                "dynamic_spectrum": {
                                    "enabled": false,
                                    "time_average": 0.5
                                }
                            },
                            "presto": {
                                "input": {
                                    "nr_blocks": 100,
                                    "decode_sigma": 3,
                                    "samples_per_block": 8192
                                },
                                "rrats": {
                                    "enabled": false,
                                    "dm_range": 5
                                },
                                "rfifind": {
                                    "blocks": 16
                                },
                                "prepdata": {
                                    "dm": -1
                                },
                                "prepfold": false,
                                "fold_profile": true
                            },
                            "pulsar": {
                                "name": "B9999+99",
                                "strategy": "manual"
                            },
                            "$schema": "http://127.0.0.1:8008/api/schemas/tasktemplate/pulsar%20pipeline/6/ref_resolved",
                            "cluster_resources": {
                                "where": {
                                    "cluster": "CEP4",
                                    "partition": "cpu"
                                },
                                "cores_per_task": 2,
                                "parallel_tasks": 20
                            },
                            "single_pulse_search": true
                        },
                        "specifications_template": "http://localhost:3000/api/task_template/15",
                        "task_type": "pipeline"
                    },
                    {
                        "id": 11,
                        "url": "http://localhost:3000/api/task_draft/11",
                        "description": "Cleanup all dataproducts from disk",
                        "name": "Cleanup",
                        "short_description": "",
                        "specifications_doc": {
                            "$schema": "http://127.0.0.1:8008/api/schemas/tasktemplate/cleanup/7/ref_resolved"
                        },
                        "specifications_template": "http://localhost:3000/api/task_template/56",
                        "task_type": "cleanup"
                    },
                    {
                        "id": 12,
                        "url": "http://localhost:3000/api/task_draft/12",
                        "description": "Ingest the pipeline outputs dataproducts",
                        "name": "Ingest",
                        "short_description": "",
                        "specifications_doc": {
                            "$schema": "http://127.0.0.1:8008/api/schemas/tasktemplate/ingest/7/ref_resolved"
                        },
                        "specifications_template": "http://localhost:3000/api/task_template/4",
                        "task_type": "ingest"
                    }
                ]
            },
            {
                "id": 1,
                "url": "http://localhost:3000/api/scheduling_unit_draft/12",
                "description": "Test scheduling unit",
                "name": "IM LBA - 1 Beam",
                "observation_strategy_template": "http://localhost:3000/api/scheduling_unit_observing_strategy_template/9",
                "observation_strategy_template_id": 9,
                "priority_queue_value": "A",
                "rank": 1,
                "scheduling_constraints_doc": {
                    "sky": {
                        "min_distance": {
                            "sun": 0.52359877559,
                            "moon": 0.52359877559,
                            "jupiter": 0.52359877559
                        },
                        "min_elevation": {
                            "target": 0.69813170079,
                            "calibrator": 0.52359877559
                        },
                        "transit_offset": {
                            "to": 7200,
                            "from": -7200
                        }
                    },
                    "daily": {
                        "require_day": false,
                        "require_night": false,
                        "avoid_twilight": false
                    },
                    "$schema": "http://127.0.0.1:8008/api/schemas/schedulingconstraintstemplate/constraints/8/ref_resolved",
                    "scheduler": "dynamic"
                },
                "scheduling_constraints_template": "http://localhost:3000/api/scheduling_constraints_template/3",
                "scheduling_constraints_template_id": 3,
                "scheduling_set": "http://localhost:3000/api/scheduling_set/1",
                "scheduling_unit_blueprints": [
                    "http://localhost:3000/api/scheduling_unit_blueprint/12"
                ],
                "specifications_template": "http://localhost:3000/api/scheduling_unit_template/1",
                "task_drafts": [
                    "http://localhost:3000/api/task_draft/53",
                    "http://localhost:3000/api/task_draft/54",
                    "http://localhost:3000/api/task_draft/55",
                    "http://localhost:3000/api/task_draft/56",
                    "http://localhost:3000/api/task_draft/57"
                ],
                "taskDrafts": [
                    {
                        "id": 53,
                        "url": "http://localhost:3000/api/task_draft/53",
                        "description": "Combined parallel Calibrator & Target Observation for LBA with 1 target beam",
                        "name": "Combined Observation",
                        "short_description": "OOO.O _Target_name_",
                        "specifications_doc": {
                            "QA": {
                                "plots": {
                                    "enabled": true,
                                    "autocorrelation": true,
                                    "crosscorrelation": true
                                },
                                "file_conversion": {
                                    "enabled": true,
                                    "nr_of_subbands": -1,
                                    "nr_of_timestamps": 256
                                },
                                "inspection_plots": "msplots"
                            },
                            "$schema": "http://127.0.0.1:8008/api/schemas/tasktemplate/parallel%20calibrator%20target%20observation/9/ref_resolved",
                            "duration": 120,
                            "calibrator": {
                                "name": "calibrator",
                                "pointing": {
                                    "angle1": 0.6624317181687094,
                                    "angle2": 1.5579526427549426,
                                    "target": "3Cabc",
                                    "direction_type": "J2000"
                                },
                                "autoselect": false
                            },
                            "correlator": {
                                "storage_cluster": "CEP4",
                                "integration_time": 1,
                                "channels_per_subband": 64,
                                "topocentric_frequency_correction": false
                            },
                            "station_configuration": {
                                "SAPs": [
                                    {
                                        "name": "target1",
                                        "subbands": [
                                            110,
                                            111,
                                            112,
                                            113,
                                            114,
                                            115,
                                            116,
                                            117,
                                            118,
                                            119,
                                            120,
                                            121,
                                            122,
                                            123,
                                            124,
                                            125,
                                            126,
                                            127,
                                            128,
                                            129,
                                            130,
                                            131,
                                            132,
                                            133,
                                            134,
                                            135,
                                            136,
                                            137,
                                            138,
                                            139,
                                            140,
                                            141,
                                            142,
                                            143,
                                            144,
                                            145,
                                            146,
                                            147,
                                            148,
                                            149,
                                            150,
                                            151,
                                            152,
                                            153,
                                            154,
                                            155,
                                            156,
                                            157,
                                            158,
                                            159,
                                            160,
                                            161,
                                            162,
                                            163,
                                            164,
                                            165,
                                            166,
                                            167,
                                            168,
                                            169,
                                            170,
                                            171,
                                            172,
                                            173,
                                            174,
                                            175,
                                            176,
                                            177,
                                            178,
                                            179,
                                            180,
                                            181,
                                            182,
                                            183,
                                            184,
                                            185,
                                            186,
                                            187,
                                            188,
                                            189,
                                            190,
                                            191,
                                            192,
                                            193,
                                            194,
                                            195,
                                            196,
                                            197,
                                            198,
                                            199,
                                            200,
                                            201,
                                            202,
                                            203,
                                            204,
                                            205,
                                            206,
                                            207,
                                            208,
                                            209,
                                            210,
                                            211,
                                            212,
                                            213,
                                            214,
                                            215,
                                            216,
                                            217,
                                            218,
                                            219,
                                            220,
                                            221,
                                            222,
                                            223,
                                            224,
                                            225,
                                            226,
                                            227,
                                            228,
                                            229,
                                            230,
                                            231,
                                            232,
                                            233,
                                            234,
                                            235,
                                            236,
                                            237,
                                            238,
                                            239,
                                            240,
                                            241,
                                            242,
                                            243,
                                            244,
                                            245,
                                            246,
                                            247,
                                            248,
                                            249,
                                            250,
                                            251,
                                            252,
                                            253,
                                            254,
                                            255,
                                            256,
                                            257,
                                            258,
                                            259,
                                            260,
                                            261,
                                            262,
                                            263,
                                            264,
                                            265,
                                            266,
                                            267,
                                            268,
                                            269,
                                            270,
                                            271,
                                            272,
                                            273,
                                            274,
                                            275,
                                            276,
                                            277,
                                            278,
                                            279,
                                            280,
                                            281,
                                            282,
                                            283,
                                            284,
                                            285,
                                            286,
                                            287,
                                            288,
                                            289,
                                            290,
                                            291,
                                            292,
                                            293,
                                            294,
                                            295,
                                            296,
                                            297,
                                            298,
                                            299,
                                            300,
                                            301,
                                            302,
                                            303,
                                            304,
                                            305,
                                            306,
                                            307,
                                            308,
                                            309,
                                            310,
                                            311,
                                            312,
                                            313,
                                            314,
                                            315,
                                            316,
                                            317,
                                            318,
                                            319,
                                            320,
                                            321,
                                            322,
                                            323,
                                            324,
                                            325,
                                            326,
                                            327,
                                            328,
                                            329,
                                            330,
                                            331,
                                            332,
                                            333,
                                            334,
                                            335,
                                            336,
                                            337,
                                            338,
                                            339,
                                            340,
                                            341,
                                            342,
                                            343,
                                            344,
                                            345,
                                            346,
                                            347,
                                            348,
                                            349,
                                            350,
                                            351,
                                            352,
                                            353
                                        ],
                                        "digital_pointing": {
                                            "angle1": 0.6624317181687094,
                                            "angle2": 1.5579526427549426,
                                            "target": "_Target_name_",
                                            "direction_type": "J2000"
                                        }
                                    }
                                ],
                                "filter": "LBA_10_90",
                                "tile_beam": {
                                    "angle1": 0.6624317181687094,
                                    "angle2": 1.5579526427549426,
                                    "target": "_target_name_",
                                    "direction_type": "J2000"
                                },
                                "antenna_set": "LBA_SPARSE_EVEN",
                                "station_groups": [
                                    {
                                        "stations": [
                                            "CS002",
                                            "CS003",
                                            "CS004",
                                            "CS005",
                                            "CS006",
                                            "CS007",
                                            "CS011",
                                            "CS013",
                                            "CS017",
                                            "CS021",
                                            "CS024",
                                            "CS026",
                                            "CS028",
                                            "CS030",
                                            "CS031",
                                            "CS032",
                                            "CS101",
                                            "CS103",
                                            "CS201",
                                            "CS301",
                                            "CS302",
                                            "CS401",
                                            "CS501",
                                            "RS106",
                                            "RS205",
                                            "RS208",
                                            "RS210",
                                            "RS305",
                                            "RS306",
                                            "RS307",
                                            "RS310",
                                            "RS406",
                                            "RS407",
                                            "RS409",
                                            "RS503",
                                            "RS508",
                                            "RS509"
                                        ],
                                        "max_nr_missing": 4
                                    },
                                    {
                                        "stations": [
                                            "RS508",
                                            "RS509"
                                        ],
                                        "max_nr_missing": 1
                                    },
                                    {
                                        "stations": [
                                            "RS310",
                                            "RS210"
                                        ],
                                        "max_nr_missing": 0
                                    },
                                    {
                                        "stations": [
                                            "DE601",
                                            "DE602",
                                            "DE603",
                                            "DE604",
                                            "DE605",
                                            "DE609",
                                            "FR606",
                                            "SE607",
                                            "UK608",
                                            "PL610",
                                            "PL611",
                                            "PL612",
                                            "IE613",
                                            "LV614"
                                        ],
                                        "max_nr_missing": 2
                                    },
                                    {
                                        "stations": [
                                            "DE601",
                                            "DE605"
                                        ],
                                        "max_nr_missing": 1
                                    }
                                ]
                            }
                        },
                        "specifications_template": "http://localhost:3000/api/task_template/21",
                        "task_type": "observation"
                    },
                    {
                        "id": 54,
                        "url": "http://localhost:3000/api/task_draft/54",
                        "description": "Preprocessing Pipeline for Calibrator Observation",
                        "name": "Calibrator Pipeline",
                        "short_description": "oOOO.O 3Cabc",
                        "specifications_doc": {
                            "flag": {
                                "rfi_strategy": "LBAdefault",
                                "outerchannels": true,
                                "autocorrelations": true
                            },
                            "demix": {
                                "sources": [],
                                "time_steps": 8,
                                "ignore_target": false,
                                "frequency_steps": 64
                            },
                            "$schema": "http://127.0.0.1:8008/api/schemas/tasktemplate/preprocessing%20pipeline/8/ref_resolved",
                            "average": {
                                "time_steps": 2,
                                "frequency_steps": 4
                            },
                            "storagemanager": "dysco",
                            "cluster_resources": {
                                "where": {
                                    "cluster": "CEP4",
                                    "partition": "cpu"
                                },
                                "cores_per_task": 2,
                                "parallel_tasks": 122
                            }
                        },
                        "specifications_template": "http://localhost:3000/api/task_template/17",
                        "task_type": "pipeline"
                    },
                    {
                        "id": 55,
                        "url": "http://localhost:3000/api/task_draft/55",
                        "description": "Preprocessing Pipeline for Target Observation target beam",
                        "name": "Pipeline target",
                        "short_description": "oOOO.O _Target_name_",
                        "specifications_doc": {
                            "flag": {
                                "rfi_strategy": "LBAdefault",
                                "outerchannels": true,
                                "autocorrelations": true
                            },
                            "demix": {
                                "sources": [],
                                "time_steps": 8,
                                "ignore_target": false,
                                "frequency_steps": 64
                            },
                            "$schema": "http://127.0.0.1:8008/api/schemas/tasktemplate/preprocessing%20pipeline/8/ref_resolved",
                            "average": {
                                "time_steps": 2,
                                "frequency_steps": 4
                            },
                            "storagemanager": "dysco",
                            "cluster_resources": {
                                "where": {
                                    "cluster": "CEP4",
                                    "partition": "cpu"
                                },
                                "cores_per_task": 2,
                                "parallel_tasks": 122
                            }
                        },
                        "specifications_template": "http://localhost:3000/api/task_template/17",
                        "task_type": "pipeline"
                    },
                    {
                        "id": 56,
                        "url": "http://localhost:3000/api/task_draft/56",
                        "description": "Clean up all dataproducts from disk after ingest",
                        "name": "Cleanup",
                        "short_description": "",
                        "specifications_doc": {
                            "$schema": "http://127.0.0.1:8008/api/schemas/tasktemplate/cleanup/7/ref_resolved"
                        },
                        "specifications_template": "http://localhost:3000/api/task_template/56",
                        "task_type": "cleanup"
                    },
                    {
                        "id": 57,
                        "url": "http://localhost:3000/api/task_draft/57",
                        "description": "Ingest all preprocessed dataproducts",
                        "name": "Ingest",
                        "short_description": "",
                        "specifications_doc": {
                            "$schema": "http://127.0.0.1:8008/api/schemas/tasktemplate/ingest/7/ref_resolved"
                        },
                        "specifications_template": "http://localhost:3000/api/task_template/4",
                        "task_type": "ingest"
                    }
                ]
            }]
    },
};

export default SUServiceMock;